window.middleware = {};
window.middleware.db = {};

window.middleware.initdb = function(callback) {
    window.middleware.db.gen = null;
    window.middleware.db.peo = null;
    window.middleware.db.nue = null;
    window.middleware.db.eve = null;
    window.middleware.db.eve = null;

    if (window.checker.windows) { 
        window.middleware.db.gen = openDatabase("exportgeneral", "1.0", "Allgemeine Daten", 5*1024*1024, function() {
            window.middleware.db.peo = openDatabase("exportpeople", "1.0", "Mitarbeiter", 5*1024*1024, function() {
                window.middleware.db.nue = openDatabase("exportnewsland", "1.0", "NewsLand", 5*1024*1024, function() {
                    window.middleware.db.neb = openDatabase("exportnewsbranche", "1.0", "NewsBranche", 5*1024*1024, function() {
                        window.middleware.db.eve = openDatabase("exportevents", "1.0", "Events", 5*1024*1024, function() {
                            window.middleware.db.cha = openDatabase("exportchancen", "1.0", "Chancen", 5*1024*1024, function() {
                                window.middleware.init();
                            });
                        });
                    });
                });
            });
        });
    } else {
        window.middleware.db.gen = window.openDatabase("exportgeneral", "1.0", "Allgemeine Daten", 5*1024*1024);
        window.middleware.db.peo = window.openDatabase("exportpeople", "1.0", "Mitarbeiter", 5*1024*1024);
        window.middleware.db.nue = window.openDatabase("exportnewsland", "1.0", "NewsLand", 5*1024*1024);
        window.middleware.db.neb = window.openDatabase("exportnewsbranche", "1.0", "NewsBranche", 5*1024*1024);
        window.middleware.db.eve = window.openDatabase("exportevents", "1.0", "Events", 5*1024*1024);
        window.middleware.db.cha = window.openDatabase("exportchancen", "1.0", "Chancen", 5*1024*1024);
        window.middleware.init();  
    }
} 

window.middleware.init = function() {
    if ((!window.middleware.db.gen) || (!window.middleware.db.peo) || (!window.middleware.db.nue) || (!window.middleware.db.eve) || (!window.middleware.db.cha)) {
        message('Es konnte keine Datenbank angelegt werden.');
    } else {
    
        window.loadstepsDone = window.loadstepsDone + 1;//step open database
        $("#loading_info p").html('Aktualisiere Daten.');
    
        var db_gen = window.middleware.db.gen;
        var db_peo = window.middleware.db.peo;
        var db_nue = window.middleware.db.nue;
        var db_neb = window.middleware.db.neb;
        var db_eve = window.middleware.db.eve;
        var db_cha = window.middleware.db.cha;
        
        
        //versioncontrol
        var data = window.localStorage.getItem("database_version");
        if (data) { 
            var last_database_version = parseInt(data);
        } else {
            if (window.first) {
                var last_database_version = config.database_version;
            } else {
                var last_database_version = 1;
            }
        }
        window.localStorage.setItem("database_version", config.database_version);
        
        if (config.debug_content) {
            db_gen.transaction(function(tx) {
              tx.executeSql("drop table if exists land", []);
              tx.executeSql("drop table if exists branche", []);
              tx.executeSql("drop table if exists static", []);
              tx.executeSql("drop table if exists expert", []);
              tx.executeSql("drop table if exists reiseinfo", []);
              tx.executeSql("drop table if exists oekb", []);
              tx.executeSql("drop table if exists texte", []);
              tx.executeSql("drop table if exists notruf", []);
              tx.executeSql("drop table if exists hotel", []);
              tx.executeSql("drop table if exists restaurant", []);
              tx.executeSql("drop table if exists empfehlung", []);
              tx.executeSql("drop table if exists pub", []);
              tx.executeSql("drop table if exists bund", []);
              tx.executeSql("drop table if exists favorite", []);
              //tx.executeSql("update favorite set updated = 123", []);
            });
            db_cha.transaction(function(tx) {
                tx.executeSql("drop table if exists chance", []);
                tx.executeSql("drop table if exists chancetobranche", []);
            });
            db_peo.transaction(function(tx) {
                tx.executeSql("drop table if exists mitarbeiter", []);
                tx.executeSql("drop table if exists dienststelle", []);
                tx.executeSql("drop table if exists dienststelletoland", []);
                tx.executeSql("drop table if exists dienststelletomitarbeiter", []);
            });
            db_nue.transaction(function(tx) {
                tx.executeSql("drop table if exists newsland", []);
            });
            db_neb.transaction(function(tx) {
                tx.executeSql("drop table if exists newsbranche", []);
            });
            db_eve.transaction(function(tx) {
                tx.executeSql("drop table if exists events", []);
                tx.executeSql("drop table if exists eventstobranche", []);
                tx.executeSql("drop table if exists eventstoland", []);
            });
        }
        
        /*
        db_gen.transaction(function(tx) {
            tx.executeSql("SELECT COUNT(*) as num FROM sqlite_master WHERE type = 'table' AND name = 'landtoday'", [], 
                function(tx, rs) {
                    console.log (rs.rows.item(0).num);
                });
        });
        */
        
        db_gen.transaction(function(tx) { 
            //tx.executeSql("delete from branchetoday", []);
            tx.executeSql("drop table if exists branchetoday", []);
            //tx.executeSql("delete from updates", []);
            // tx.executeSql("drop table if exists updates", []);
            //tx.executeSql("delete from landtoday", []);
            tx.executeSql("drop table if exists landtoday", []);
            
            //versioncontroll
            if (last_database_version == 1) {
                tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime]);
                tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
            }
            if (last_database_version < 3) {
                //tx.executeSql("ALTER TABLE updates ADD updated VARCHAR(10)");
                tx.executeSql("drop table if exists updates", []);
            }
            if (last_database_version < 4) {
                tx.executeSql("ALTER TABLE static ADD since VARCHAR(255)");
                tx.executeSql("ALTER TABLE static ADD size VARCHAR(255)");
                tx.executeSql("ALTER TABLE static ADD descrip2 VARCHAR(255)");
                tx.executeSql("ALTER TABLE static ADD filename VARCHAR(255)");
                tx.executeSql("ALTER TABLE static ADD fix_id INTEGER");
                window.updatetime = '1427846400';
                tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime]);
                tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
            }
            //tx.executeSql("UPDATE land set updated = ? where isocode='IT'",[config.updatetime]);
            if (last_database_version < 5) {
                tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime]);
                tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
                window.nofavtime = Math.round((new Date().getTime() / 1000) + 300).toString();
            }
            //tx.executeSql("UPDATE land set updated = ?",[config.updatetime]);
            //tx.executeSql("UPDATE branche set updated = ?",[config.updatetime]);
            if (last_database_version < 6) {
                tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime]);
                tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
                window.nofavtime = Math.round((new Date().getTime() / 1000) + 300).toString();
                tx.executeSql("drop table if exists hotel", []);
                tx.executeSql("drop table if exists restaurant", []);
                tx.executeSql("drop table if exists empfehlung", []);
                tx.executeSql("drop table if exists pub", []);
                tx.executeSql("drop table if exists static", []);
                window.updatetime = '1427846400';
            }
            
            
            
            tx.executeSql("CREATE TABLE IF NOT EXISTS land " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "land_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "reg VARCHAR(100) NOT NULL, " + 
                    "land VARCHAR(100) NOT NULL, " + 
                    //"die_bez VARCHAR(100) NOT NULL, " + 
                    "org_id INTEGER, " + 
                    "ever INTEGER, " + 
                    "reg_org_id INTEGER, " + 
                    "link VARCHAR(255) NOT NULL, " + 
                    "updated VARCHAR(10), " + 
                    "reg_id INTEGER)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS branche " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "branche_id INTEGER, " + 
                    "zcode VARCHAR(5) NOT NULL, " + 
                    "descrip VARCHAR(255) NOT NULL, " + 
                    "org_id INTEGER, " + 
                    "ever INTEGER, " + 
                    "manager_id INTEGER, " + 
                    "updated VARCHAR(10), " + 
                    "messe_id INTEGER)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS static " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "stat_id INTEGER, " + 
                    "typ VARCHAR(50) NOT NULL, " + 
                    "img VARCHAR(255) NOT NULL, " + 
                    "since VARCHAR(255), " + 
                    "size VARCHAR(255), " + 
                    "descrip2 VARCHAR(255), " +
                    "filename VARCHAR(255), " + 
                    "fix_id INTEGER, " + 
                    "descrip VARCHAR(255) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS expert " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "exp_id INTEGER, " + 
                    "rol_id INTEGER, " + 
                    "descrip VARCHAR(255) NOT NULL, " + 
                    "image VARCHAR(255) NOT NULL, " + 
                    "first VARCHAR(255) NOT NULL, " + 
                    "last VARCHAR(255) NOT NULL, " + 
                    "title VARCHAR(255) NOT NULL, " + 
                    "title2 VARCHAR(255) NOT NULL, " + 
                    "ste_bez VARCHAR(255) NOT NULL, " + 
                    "phone VARCHAR(255) NOT NULL, " + 
                    "mobile VARCHAR(255) NOT NULL, " + 
                    "fax VARCHAR(255) NOT NULL, " + 
                    "email VARCHAR(255) NOT NULL, " + 
                    "house VARCHAR(255) NOT NULL, " + 
                    "street VARCHAR(255) NOT NULL, " + 
                    "zip VARCHAR(15) NOT NULL, " + 
                    "city VARCHAR(255) NOT NULL, " + 
                    "stock VARCHAR(15) NOT NULL, " + 
                    "room VARCHAR(50) NOT NULL, " + 
                    "country VARCHAR(100) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS oekb " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "oekb_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "cat TEXT, " + 
                    "deck_p TEXT, " + 
                    "deck_q TEXT, " + 
                    "bank TEXT, " + 
                    "interv TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS texte " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "texte_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "type VARCHAR(50) NOT NULL, " + 
                    "cont TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS reiseinfo " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "reise_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "type VARCHAR(50) NOT NULL, " + 
                    "cont TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS notruf " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "notruf_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "name VARCHAR(255) NOT NULL, " + 
                    "who VARCHAR(255) NOT NULL, " + 
                    "num VARCHAR(255) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS hotel " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "hotel_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "hotel VARCHAR(255) NOT NULL, " + 
                    "street1 VARCHAR(255) NOT NULL, " + 
                    "street2 VARCHAR(255) NOT NULL, " +
                    "zip VARCHAR(255) NOT NULL, " +
                    "city VARCHAR(255) NOT NULL, " +
                    "net TEXT, " +
                    "note TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS restaurant " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "rest_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "restaurant VARCHAR(255) NOT NULL, " + 
                    "street1 VARCHAR(255) NOT NULL, " + 
                    "street2 VARCHAR(255) NOT NULL, " +
                    "zip VARCHAR(255) NOT NULL, " +
                    "city VARCHAR(255) NOT NULL, " +
                    "net TEXT, " +
                    "note TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS empfehlung " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "empf_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "typ VARCHAR(255) NOT NULL, " + 
                    "inhalt TEXT)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS pub " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "pub_id INTEGER, " + 
                    "isocode VARCHAR(5) NOT NULL, " + 
                    "zcode VARCHAR(10) NOT NULL, " + 
                    "prod_id INTEGER, " + 
                    "prod_name VARCHAR(255) NOT NULL, " + 
                    "prod_sub VARCHAR(255) NOT NULL, " + 
                    "prod_cont TEXT, " + 
                    "number VARCHAR(255) NOT NULL, " + 
                    "anbiet VARCHAR(255) NOT NULL, " + 
                    "since VARCHAR(10) NOT NULL, " + 
                    "until VARCHAR(10) NOT NULL, " + 
                    "typ VARCHAR(128) NOT NULL, " + 
                    "pdflink VARCHAR(255) NOT NULL, " + 
                    "link VARCHAR(255) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS bund " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "bund_id INTEGER, " + 
                    "org_id INTEGER, " + 
                    "descrip VARCHAR(255) NOT NULL, " + 
                    "rol_id INTEGER)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS landtoday " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "isocode VARCHAR(5) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS branchetoday " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "zcode VARCHAR(10) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS favorite " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "type INTEGER NOT NULL, " + 
                    "name VARCHAR(255) NOT NULL, " + 
                    "content VARCHAR(255), " + 
                    "updated INTEGER, " + 
                    "key VARCHAR(255) NOT NULL)");
            tx.executeSql("CREATE TABLE IF NOT EXISTS updates " +
                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                    "type INTEGER NOT NULL, " +
                    "subtype INTEGER, " +
                    "content_1 VARCHAR(255), " + 
                    "content_2 VARCHAR(255), " +
                    "updated VARCHAR(10), " + 
                    "subkey VARCHAR(255), " + 
                    "key VARCHAR(255) NOT NULL)");
        }, function() {}, function() {
            db_peo.transaction(function(tx) {     //tx.executeSql("UPDATE dienststelle set reihe=0",[]);
                if (last_database_version < 5) {
                    tx.executeSql("ALTER TABLE dienststelletoland ADD reihe_land INTEGER");
                }
                if (last_database_version < 6) {
                    tx.executeSql("drop table if exists mitarbeiter", []);
                    tx.executeSql("drop table if exists dienststelle", []);
                    tx.executeSql("drop table if exists dienststelletoland", []);
                    tx.executeSql("drop table if exists dienststelletomitarbeiter", []);
                }
                if (last_database_version < 8) {
                    tx.executeSql("ALTER TABLE dienststelletomitarbeiter ADD reihe INTEGER");
                }
                tx.executeSql("CREATE TABLE IF NOT EXISTS mitarbeiter " +
                        "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                        "rol_id INTEGER, " + 
                        "tit VARCHAR(100) NOT NULL, " + 
                        "first VARCHAR(100) NOT NULL, " + 
                        "last VARCHAR(100) NOT NULL, " + 
                        "tit2 VARCHAR(100) NOT NULL, " + 
                        "image VARCHAR(255) NOT NULL, " + 
                        "stel_kat_id INTEGER NOT NULL, " + 
                        "mob VARCHAR(100) NOT NULL, " + 
                        "email VARCHAR(255) NOT NULL, " + 
                        "phone VARCHAR(255) NOT NULL, " + 
                        "etage VARCHAR(255), " + 
                        "room VARCHAR(255), " + 
                        "fax VARCHAR(255) NOT NULL)");
                tx.executeSql("CREATE TABLE IF NOT EXISTS dienststelletomitarbeiter " +
                        "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                        "rol_id INTEGER, " +  
                        "reihe INTEGER, " +  
                        "org_id INTEGER)");
                tx.executeSql("CREATE TABLE IF NOT EXISTS dienststelle " +
                        "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                        "org_id INTEGER, " + 
                        "decrip VARCHAR(255) NOT NULL, " + 
                        "times VARCHAR(255) NOT NULL, " + 
                        "profile VARCHAR(255) NOT NULL, " + 
                        "kam VARCHAR(100) NOT NULL, " + 
                        "tzone VARCHAR(50) NOT NULL, " + 
                        "house VARCHAR(50) NOT NULL, " + 
                        "street VARCHAR(255) NOT NULL, " + 
                        "zip VARCHAR(10) NOT NULL, " + 
                        "country VARCHAR(255) NOT NULL, " + 
                        "anr VARCHAR(255) NOT NULL, " + 
                        "email VARCHAR(255) NOT NULL, " + 
                        "web VARCHAR(255) NOT NULL, " + 
                        "vor VARCHAR(255) NOT NULL, " + 
                        "tel VARCHAR(255) NOT NULL, " + 
                        "fax VARCHAR(255) NOT NULL, " + 
                        "teldur VARCHAR(255) NOT NULL, " + 
                        "faxdur VARCHAR(255) NOT NULL, " +
                        "loc_buero_bz VARCHAR(255), " + 
                        "reihe INTEGER, " + 
                        "loc_adr1 VARCHAR(255), " + 
                        "loc_adr2 VARCHAR(255), " + 
                        "loc_adr3 VARCHAR(255), " + 
                        "loc_adr4 VARCHAR(255), " + 
                        "loc_adr5 VARCHAR(255), " + 
                        "loc_adr6 VARCHAR(255), " + 
                        "loc_adr7 VARCHAR(255), " + 
                        "loc_adr8 VARCHAR(255), " + 
                        "loc_adr9 VARCHAR(255), " + 
                        "loc_adr10 VARCHAR(255), " + 
                        "city VARCHAR(255) NOT NULL)");
                tx.executeSql("CREATE TABLE IF NOT EXISTS dienststelletoland " +
                        "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                        "reihe_land INTEGER, " +
                        "land_id INTEGER, " +  
                        "org_id INTEGER)");
            }, function() {}, function() {
                db_nue.transaction(function(tx) {
                    tx.executeSql("CREATE TABLE IF NOT EXISTS newsland " +
                            "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                            "doc_id INTEGER, " + 
                            "isocode VARCHAR(5) NOT NULL, " + 
                            "topic VARCHAR(255) NOT NULL, " + 
                            "sub VARCHAR(255) NOT NULL, " + 
                            "content TEXT, " + 
                            "autor VARCHAR(255) NOT NULL, " + 
                            "email VARCHAR(255) NOT NULL, " + 
                            "url VARCHAR(255) NOT NULL, " + 
                            "since VARCHAR(10) NOT NULL, " + 
                            //"updated VARCHAR(10) NOT NULL, " + 
                            "until VARCHAR(10) NOT NULL)");
                }, function() {}, function() { 
                    db_eve.transaction(function(tx) {
                        //versioncontroll
                        if (last_database_version == 1) {
                            tx.executeSql("ALTER TABLE events ADD isos VARCHAR(255)");
                        }
                        tx.executeSql("CREATE TABLE IF NOT EXISTS events " +
                                "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                "events_id VARCHAR(255), " + 
                                "type VARCHAR(255) NOT NULL, " + 
                                "date_start VARCHAR(10) NOT NULL, " + 
                                "date_end VARCHAR(10) NOT NULL, " + 
                                "reg VARCHAR(10) NOT NULL, " +
                                "topic VARCHAR(255) NOT NULL, " +
                                "sub VARCHAR(255) NOT NULL, " +
                                "content TEXT, " +
                                "host VARCHAR(255) NOT NULL, " +
                                "isos VARCHAR(255), " +
                                "city VARCHAR(255) NOT NULL, " +
                                "first VARCHAR(255) NOT NULL, " +
                                "last VARCHAR(255) NOT NULL, " +
                                "title VARCHAR(255) NOT NULL, " +
                                "phone VARCHAR(255) NOT NULL, " +
                                "mobile VARCHAR(255) NOT NULL, " +
                                "fax VARCHAR(255) NOT NULL, " +
                                "email VARCHAR(255) NOT NULL, " +
                                "since VARCHAR(10) NOT NULL, " +
                                "until VARCHAR(10) NOT NULL)");
                        tx.executeSql("CREATE TABLE IF NOT EXISTS eventstoland " +
                                "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                "land_id INTEGER, " +  
                                "events_id VARCHAR(255))");
                        tx.executeSql("CREATE TABLE IF NOT EXISTS eventstobranche " +
                                "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                "branche_id INTEGER, " +  
                                "events_id VARCHAR(255))");
                    }, function() {}, function() { 
                        db_cha.transaction(function(tx) {
                            if (last_database_version < 7) {
                                tx.executeSql("ALTER TABLE chance ADD sharelink VARCHAR(255)");
                            }
                            tx.executeSql("CREATE TABLE IF NOT EXISTS chance " +
                                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                    "chance_id INTEGER, " + 
                                    "land_id INTEGER, " + 
                                    "isocode VARCHAR(5) NOT NULL, " + 
                                    "topic VARCHAR(255) NOT NULL, " + 
                                    "sub VARCHAR(255) NOT NULL, " + 
                                    "content TEXT, " + 
                                    "type VARCHAR(255) NOT NULL, " + 
                                    "comp VARCHAR(255) NOT NULL, " + 
                                    "comp_type VARCHAR(255) NOT NULL, " + 
                                    "street VARCHAR(255) NOT NULL, " + 
                                    "extra_1 VARCHAR(255) NOT NULL, " + 
                                    "extra_2 VARCHAR(255) NOT NULL, " + 
                                    "zip VARCHAR(255) NOT NULL, " + 
                                    "city VARCHAR(255) NOT NULL, " + 
                                    "phone_land VARCHAR(255) NOT NULL, " + 
                                    "phone_city VARCHAR(255) NOT NULL, " + 
                                    "phone_1 VARCHAR(255) NOT NULL, " + 
                                    "phone_2 VARCHAR(255) NOT NULL, " + 
                                    "fax VARCHAR(255) NOT NULL, " + 
                                    "email VARCHAR(255) NOT NULL, " + 
                                    "web VARCHAR(255) NOT NULL, " + 
                                    "person VARCHAR(255) NOT NULL, " + 
                                    "lang VARCHAR(255) NOT NULL, " + 
                                    "sharelink VARCHAR(255) NOT NULL, " + 
                                    "link VARCHAR(255) NOT NULL, " + 
                                    "since VARCHAR(10) NOT NULL, " + 
                                    "until VARCHAR(10) NOT NULL)");
                            tx.executeSql("CREATE TABLE IF NOT EXISTS chancetobranche " +
                                    "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                    "chance_id INTEGER, " + 
                                    "branche_id INTEGER)");
                        }, function() {}, function() { 
                            db_neb.transaction(function(tx) {
                                //versioncontroll
                                if (last_database_version == 1) {
                                    tx.executeSql("ALTER TABLE newsbranche ADD isocode VARCHAR(5)");
                                }
                                tx.executeSql("CREATE TABLE IF NOT EXISTS newsbranche " +
                                        "(id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, " +
                                        "doc_id INTEGER, " + 
                                        "zcode VARCHAR(10) NOT NULL, " + 
                                        "isocode VARCHAR(5), " + 
                                        "topic VARCHAR(255) NOT NULL, " + 
                                        "sub VARCHAR(255) NOT NULL, " + 
                                        "content TEXT, " + 
                                        "autor VARCHAR(255) NOT NULL, " + 
                                        "email VARCHAR(255) NOT NULL, " + 
                                        "url VARCHAR(255) NOT NULL, " + 
                                        "since VARCHAR(10) NOT NULL, " + 
                                        "updated VARCHAR(10) NOT NULL, " + 
                                        "until VARCHAR(10) NOT NULL)");
                            }, function() {}, function() { 
                
                                /*
                                db_gen.transaction(function(tx) {
                                    tx.executeSql("SELECT COUNT(*) as num FROM sqlite_master WHERE type = 'table' AND name = 'chance'", [], 
                                        function(tx, rs) {
                                        alert ("n" + rs.rows.item(0).num);
                                        });
                                });
                                */
                                
                                //löschen alter daten
                                window.temp = getCurrentTimestamp();
                                window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
                                window.oldupdates = Math.round((new Date().getTime() / 1000) - (config.oldupdates)).toString();
                                db_gen.transaction(function(tx) {
                                    tx.executeSql("delete from pub where until < ?", [window.temp]);
                                    tx.executeSql("delete from updates where updated < ?", [window.oldupdates]);
                                }, function() {}, function() { 
                                    db_cha.transaction(function(tx) {
                                        tx.executeSql("delete from chancetobranche where chance_id in (SELECT chance_id FROM chance where chance.until < ?) ", [window.temp], function(tx, rs) {
                                            tx.executeSql("delete FROM chance where chance.until < ?", [window.temp]);
                                        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                                    }, function() {}, function() { 
                                        db_nue.transaction(function(tx) {
                                            tx.executeSql("delete from newsland where until < ?", [window.temp]);
                                        }, function() {}, function() { 
                                            db_neb.transaction(function(tx) {
                                                tx.executeSql("delete from newsbranche where until < ?", [window.temp]);
                                            }, function() {}, function() { 
                                                db_eve.transaction(function(tx) {
                                                    tx.executeSql("delete from eventstobranche where events_id in (SELECT events_id FROM events where events.until < ? or events.date_start < ?) ", [window.temp, window.yesterday], function(tx, rs) {
                                                        tx.executeSql("delete from eventstoland where events_id in (SELECT events_id FROM events where events.until < ? or events.date_start < ?) ", [window.temp, window.yesterday], function(tx, rs) {
                                                            tx.executeSql("delete from events where events.until < ? or events.date_start < ?", [window.temp, window.yesterday]);
                                                            //tx.executeSql("delete from events", []);
                                                            /*
                                                            window.yesterday = '1414000000';
                                                                tx.executeSql("SELECT * FROM events where events.until < ? or events.date_start < ?", [window.temp, window.yesterday], function(tx, rs) {
                                                                    console.log(rs.rows.length);
                                                            
                                                                });
                                                            */
                                                            //alert('delete FROM events where events.until < '+window.temp+' or events.date_start < '+window.yesterday);
                                                        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                                                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                                                }, function() {}, function() { 
                                                    window.middleware.initFavorite();
                                                    if (window.first) { 
                                                        window.middleware.startlocaldata(function() {  
                                                            if (window.onlinestatus) {
                                                                var temp = getCurrentTimestamp();
                                                                $.ajax({
                                                                    type     : "GET",
                                                                    url      : config.api_url + '?view=heartbeat&t=' + temp + '&jsoncallback=?',
                                                                    dataType : "jsonp",
                                                                    timeout  : 5000
                                                                }).done( function () {
                                                                    window.middleware.startonlinedata();
                                                                }).fail( function () {
                                                                    window.middleware.createStates(function() {});
                                                                    window.middleware.createIndustries(function() {}); 
                                                                    window.middleware.useConfig(); 
                                                                    window.middleware.createExpArea(); 
                                                                    window.middleware.createBund(); 
                                                                    window.loadstepsDone = window.loadstepsDone + 7;
                                                                });
                                                            } else {
                                                                window.middleware.createStates(function() {});
                                                                window.middleware.createIndustries(function() {}); 
                                                                window.middleware.useConfig(); 
                                                                window.middleware.createExpArea(); 
                                                                window.middleware.createBund(); 
                                                                window.loadstepsDone = window.loadstepsDone + 7;
                                                            }
                                                        });
                                                    } else {
                                                        if (window.onlinestatus) {
                                                            var temp = getCurrentTimestamp();
                                                            $.ajax({
                                                                type     : "GET",
                                                                url      : config.api_url + '?view=heartbeat&t=' + temp + '&jsoncallback=?',
                                                                dataType : "jsonp",
                                                                timeout  : 5000
                                                            }).done( function () {
                                                                window.middleware.startonlinedata();
                                                            }).fail( function () {
                                                                window.middleware.createStates(function() {});
                                                                window.middleware.createIndustries(function() {}); 
                                                                window.middleware.useConfig(); 
                                                                window.middleware.createExpArea(); 
                                                                window.middleware.createBund(); 
                                                                window.loadstepsDone = window.loadstepsDone + 7;
                                                            });
                                                        } else {
                                                            window.middleware.createStates(function() {});
                                                            window.middleware.createIndustries(function() {}); 
                                                            window.middleware.useConfig(); 
                                                            window.middleware.createExpArea(); 
                                                            window.middleware.createBund(); 
                                                            window.loadstepsDone = window.loadstepsDone + 7;
                                                        }
                                                    }
                                                });
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    });
                });
            });
        });
    }
};

window.middleware.startlocaldata = function(callback) {
    var temp = new Date().getTime();
    $.getJSON('content/startdata.json?time='+temp, function(data) {
        window.middleware.db.gen.transaction(function(tx){
            $.each(data.land, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete FROM land where land_id = ?", [val.land_id]);
                } else {
                    tx.executeSql("SELECT * FROM land where land_id = ?", [val.land_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO land(land_id, isocode, reg, land, org_id, link, reg_id, reg_org_id, updated, ever) VALUES (?,?,?,?,?,?,?,?,?,?)",
                                    [val.land_id, val.isocode, val.reg, val.land, val.org_id, val.link, val.reg_id, val.reg_org_id, '0', '0'],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE land set isocode = ?, reg = ?, land = ?, link = ?, reg_id = ?, reg_org_id = ? where land_id = ?",
                                    [val.isocode, val.reg, val.land, val.link, val.reg_id, val.reg_org_id, val.land_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                    });
                }  
            });
            $.each(data.branche, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete FROM branche where branche_id = ?", [val.branche_id]);
                } else {
                    tx.executeSql("SELECT * FROM branche where branche_id = ?", [val.branche_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO branche(branche_id, zcode, descrip, org_id, manager_id, messe_id, updated, ever) VALUES (?,?,?,?,?,?,?,?)",
                                    [val.branche_id, val.zcode, val.descrip, val.org_id, val.manager_id, val.messe_id,'0','0'],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE branche set zcode = ?, descrip = ?, org_id = ?, manager_id = ?, messe_id = ? where branche_id = ?",
                                    [val.zcode, val.descrip, val.org_id, val.manager_id, val.messe_id, val.branche_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                    });
                } 
            });
            $.each(data.static, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete FROM static where stat_id = ?", [val.stat_id]);
                } else {
                    tx.executeSql("SELECT * FROM static where stat_id = ?", [val.stat_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO static(stat_id, typ, img, descrip) VALUES (?,?,?,?)",
                                    [val.stat_id, val.typ, val.img, val.descrip],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ? where stat_id = ?",
                                    [val.typ, val.img, val.descrip, val.stat_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                    });
                } 
            });
            $.each(data.exp, function(key, val) {
                if (val.live == 0) {
                    tx.executeSql("delete FROM expert where exp_id = ?", [val.exp_id]);
                } else {
                    tx.executeSql("SELECT * FROM expert where exp_id = ?", [val.exp_id], function (tx, rs) {
                        if (rs.rows.length == 0) {
                            tx.executeSql("INSERT INTO expert(exp_id, rol_id, descrip, image, first, last, title, title2, ste_bez, phone, mobile, fax, email, house, street, zip, country, city, stock, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                    [val.exp_id, val.rol_id, val.descrip, val.image, val.first, val.last, val.title, val.title2, val.ste_bez, val.phone, val.mobile, val.fax, val.email, val.house, val.street, val.zip, val.country, val.city, val.stock, val.room],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE expert set rol_id = ?, descrip = ?, image = ?, first = ?, last = ?, title = ?, title2 = ?, ste_bez = ?, phone = ?, mobile = ?, fax = ?, email = ?, house = ?, street = ?, zip = ?, country = ?, city = ?, stock = ?, room = ? where exp_id = ?",
                                    [val.rol_id, val.descrip, val.image, val.first, val.last, val.title, val.title2, val.ste_bez, val.phone, val.mobile, val.fax, val.email, val.house, val.street, val.zip, val.country, val.city, val.stock, val.room, val.exp_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                    });
                } 
            });
            $.each(data.bund, function(key, val) {
                if (val.live == 0) { 
                    tx.executeSql("delete FROM bund where bund_id = ?", [val.bund_id]);
                } else {
                    tx.executeSql("SELECT * FROM bund where bund_id = ?", [val.bund_id], function (tx, rs) {
                        if (rs.rows.length == 0) { 
                            tx.executeSql("INSERT INTO bund(bund_id, org_id, rol_id, descrip) VALUES (?,?,?,?)",
                                    [val.bund_id, val.org_id, val.rol_id, val.descrip],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        } else {
                            tx.executeSql("UPDATE bund set org_id = ?, rol_id = ?, descrip = ? where bund_id = ?",
                                    [val.org_id, val.rol_id, val.descrip, val.bund_id],
                                    function (tx, r) {}, 
                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                        }
                    });
                } 
            });
        }, function() {}, function() {
            window.middleware.db.peo.transaction(function(tx){
                $.each(data.mitarbeiter, function(key, val) {
                    if (val.live == 0) { 
                        tx.executeSql("delete FROM mitarbeiter where rol_id = ?", [val.rol_id]);
                    } else {
                        tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                            if (rs.rows.length == 0) { 
                                tx.executeSql("INSERT INTO mitarbeiter (rol_id, tit, first, last, tit2, image, stel_kat_id, mob, email, phone, fax) VALUES (?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.rol_id, val.tit, val.first, val.last, val.tit2, val.image, val.stel_kat_id, val.mob, val.email, val.phone, val.fax],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE mitarbeiter set tit = ?, first = ?, last = ?, tit2 = ?, image = ?, stel_kat_id = ?, mob = ?, email = ?, phone = ?, fax = ? where rol_id = ?",
                                        [val.tit, val.first, val.last, val.tit2, val.image, val.stel_kat_id, val.mob, val.email, val.phone, val.fax, val.rol_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                        });
                    } 
                });
                $.each(data.dienst, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                        tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                        tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                    } else {
                        tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                        [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                        });
                    }
                });
            }, function() {}, function() {
                callback();
            });
        });
    });
}

window.middleware.startonlinedata = function() {
    window.middleware.getdata("land", function() { //alert('1');
        $("#loading_info p").html($("#loading_info p").html() + '.');
        window.loadstepsDone = window.loadstepsDone + 1;
        window.middleware.getdata("static", function() {  //alert('2');
            $("#loading_info p").html($("#loading_info p").html() + '.');
            window.loadstepsDone = window.loadstepsDone + 1;
            window.middleware.useConfig(); 
            window.middleware.createStates(function() { //alert('3');
                window.middleware.getdata("branche", function() { //alert('4');
                    $("#loading_info p").html($("#loading_info p").html() + '.');
                    window.loadstepsDone = window.loadstepsDone + 1;
                    window.middleware.createIndustries(function() { //alert('5');
                        window.middleware.getFavorite(function() {  //alert('6');
                            $("#loading_info p").html($("#loading_info p").html() + '.');
                            window.loadstepsDone = window.loadstepsDone + 1;
                            
                            if (window.checker.windows) {
                                window.middleware.getdata("exp", function() {  //alert('7');
                                    $("#loading_info p").html($("#loading_info p").html() + '.');
                                    window.loadstepsDone = window.loadstepsDone + 1;
                                    window.middleware.createExpArea(); 
                                    window.middleware.getdata("bund", function() {  //alert('8');
                                        $("#loading_info p").html($("#loading_info p").html() + '.');
                                        window.loadstepsDone = window.loadstepsDone + 1;
                                        window.middleware.createBund(); 
                                        window.middleware.getdata("expbund", function() {  //alert('9');
                                            $("#loading_info p").html($("#loading_info p").html() + '.');
                                            window.loadstepsDone = window.loadstepsDone + 1;
                                            //alert(window.loadstepsDone);
                                        });
                                    });
                                });
                            }
                        }); 
                    }); 
                });  
            });
        
        });
    });
    if (!window.checker.windows) {
        window.middleware.getdata("exp", function() {  //alert('7');
            $("#loading_info p").html($("#loading_info p").html() + '.');
            window.loadstepsDone = window.loadstepsDone + 1;
            window.middleware.createExpArea(); 
        });
        window.middleware.getdata("bund", function() {  //alert('8');
            $("#loading_info p").html($("#loading_info p").html() + '.');
            window.loadstepsDone = window.loadstepsDone + 1;
            window.middleware.createBund(); 
        });
        window.middleware.getdata("expbund", function() {  //alert('9');
            $("#loading_info p").html($("#loading_info p").html() + '.');
            window.loadstepsDone = window.loadstepsDone + 1;
        });
    }
}    
    
window.middleware.getdata = function(view, callback) {
    if (view == "land") {
        $.getJSON(config.api_url + '?view=land&t=' + window.updatetime + '&st='+window.statid+'&jsoncallback=?', function(data) {
            if (data.length == 0) {
                callback();
            } else {
                window.middleware.db.gen.transaction(function(tx){
                    $.each(data, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete FROM land where land_id = ?", [val.land_id]);
                        } else {
                            tx.executeSql("SELECT * FROM land where land_id = ?", [val.land_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO land(land_id, isocode, reg, land, org_id, link, reg_id, reg_org_id, updated) VALUES (?,?,?,?,?,?,?,?,?)",
                                            [val.land_id, val.isocode, val.reg, val.land, val.org_id, val.link, val.reg_id, val.reg_org_id, '0'],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE land set isocode = ?, reg = ?, land = ?, link = ?, reg_id = ?, reg_org_id = ? where land_id = ?",
                                            [val.isocode, val.reg, val.land, val.link, val.reg_id, val.reg_org_id, val.land_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    if ($.inArray('1_' + val.isocode, window.favorite) !== -1 ) {
                                        if (rs.rows.item(0).link != val.link) {
                                            window.middleware.updatedFavorite(1, 4, iso, '', 'Länderprofil', '');
                                        }
                                    }
                                }
    
                            });
                        }  
                    });
                    callback();
                });
            }
        });
    }
    if (view == "branche") {
        $.getJSON(config.api_url + '?view=branche&t=' + window.updatetime + '&jsoncallback=?', function(data) {
            if (data.length == 0) {
                callback();
            } else {
                window.middleware.db.gen.transaction(function(tx){
                    $.each(data, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete FROM branche where branche_id = ?", [val.branche_id]);
                        } else {
                            tx.executeSql("SELECT * FROM branche where branche_id = ?", [val.branche_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO branche(branche_id, zcode, descrip, org_id, manager_id, messe_id, updated) VALUES (?,?,?,?,?,?,?)",
                                            [val.branche_id, val.zcode, val.descrip, val.org_id, val.manager_id, val.messe_id,'0'],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE branche set zcode = ?, descrip = ?, org_id = ?, manager_id = ?, messe_id = ? where branche_id = ?",
                                            [val.zcode, val.descrip, val.org_id, val.manager_id, val.messe_id, val.branche_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                            });
                        } 
                    });
                    callback();
                });
            }
        });
    }
    if (view == "static") {
        $.getJSON(config.api_url + '?view=static&t=' + window.updatetime + '&jsoncallback=?', function(data) {
            if (data.length == 0) {
                callback();
            } else {
                window.tempstatic = data.length;
                window.tempstaticcounter = 0;
                window.middleware.db.gen.transaction(function(tx){
                    $.each(data, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("SELECT * FROM static where stat_id = ?", [val.stat_id], function (tx, rs) {
                                filename = val.img.substr(val.img.lastIndexOf("/")+1);
                                if (rs.rows.length == 0) {
                                } else {
                                    if (val.typ == 'ePaper') {
                                        if (window.rootFS) {
                                            if (window.checker.android) {
                                                //externalDataDirectory externalRootDirectory
                                                store = cordova.file.externalDataDirectory + 'Servicemagazin/';
                                            }
                                            if ((window.checker.iphone) || (window.checker.ipad)) {
                                                store = cordova.file.documentsDirectory + 'Servicemagazin/';
                                            }
                                            if (window.checker.windows) {
                                                store = cordova.file.dataDirectory + 'Servicemagazin/';
                                            }
                                            window.resolveLocalFileSystemURL(store + filename, function(entry) {
                                                entry.remove();
                                            }, function() {});
                                        }
                                    }
                                    tx.executeSql("delete FROM static where stat_id = ?", [val.stat_id]);
                                }
                            });
                            window.tempstaticcounter = window.tempstaticcounter + 1;
                            if (window.tempstaticcounter == window.tempstatic) {
                                callback();
                            }
                        } else {
                            tx.executeSql("SELECT * FROM static where stat_id = ?", [val.stat_id], function (tx, rs) {
                                filename = val.img.substr(val.img.lastIndexOf("/")+1);
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO static(stat_id, typ, img, descrip, since, size, descrip2, filename, fix_id) VALUES (?,?,?,?,?,?,?,?,?)",
                                            [val.stat_id, val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    window.tempstaticcounter = window.tempstaticcounter + 1;
                                    if (window.tempstaticcounter == window.tempstatic) {
                                        callback();
                                    }
                                } else {
                                    if (val.typ == 'Version') {
                                        //console.log('Version' + ' ' + rs.rows.item(0).since + ' ' + val.since);
                                        //message('Neue Version');
                                        if (val.since > rs.rows.item(0).since) { //message('Durchgeführt');
                                            window.nofavtime = Math.round((new Date().getTime() / 1000) + 300).toString();
                                            tx.executeSql("UPDATE branche set updated = ?",[config.updatecountrytime]);
                                            tx.executeSql("UPDATE land set updated = ?",[config.updatecountrytime],function (tx, r) {
                                                window.tempstaticcounter = window.tempstaticcounter + 1;
                                                if (window.tempstaticcounter == window.tempstatic) {
                                                    callback();
                                                }
                                            });
                                            tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                                    [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                                    function (tx, r) {}, 
                                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                        } else {
                                            tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                                    [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                                    function (tx, r) {}, 
                                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            window.tempstaticcounter = window.tempstaticcounter + 1;
                                            if (window.tempstaticcounter == window.tempstatic) {
                                                callback();
                                            }
                                        }
                                    } else {
                                        tx.executeSql("UPDATE static set typ = ?, img = ?, descrip = ?, since = ?, size = ?, descrip2 = ?, filename = ?, fix_id = ?  where stat_id = ?",
                                                [val.typ, val.img, val.descrip, val.since, val.size, val.descrip2, filename, val.fix_id, val.stat_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                        window.tempstaticcounter = window.tempstaticcounter + 1;
                                        if (window.tempstaticcounter == window.tempstatic) {
                                            callback();
                                        }
                                    }
                                }
                            });
                        } 
                    });
                    
                });
            }
        });
    }
    if (view == "exp") {
        $.getJSON(config.api_url + '?view=exp&t=' + window.updatetime + '&jsoncallback=?', function(data) {
            if (data.length == 0) {
                callback();
            } else {
                window.middleware.db.gen.transaction(function(tx){
                    $.each(data, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete FROM expert where exp_id = ?", [val.exp_id]);
                        } else {
                            tx.executeSql("SELECT * FROM expert where exp_id = ?", [val.exp_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO expert(exp_id, rol_id, descrip, image, first, last, title, title2, ste_bez, phone, mobile, fax, email, house, street, zip, country, city, stock, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.exp_id, val.rol_id, val.descrip, val.image, val.first, val.last, val.title, val.title2, val.ste_bez, val.phone, val.mobile, val.fax, val.email, val.house, val.street, val.zip, val.country, val.city, val.stock, val.room],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE expert set rol_id = ?, descrip = ?, image = ?, first = ?, last = ?, title = ?, title2 = ?, ste_bez = ?, phone = ?, mobile = ?, fax = ?, email = ?, house = ?, street = ?, zip = ?, country = ?, city = ?, stock = ?, room = ? where exp_id = ?",
                                            [val.rol_id, val.descrip, val.image, val.first, val.last, val.title, val.title2, val.ste_bez, val.phone, val.mobile, val.fax, val.email, val.house, val.street, val.zip, val.country, val.city, val.stock, val.room, val.exp_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('5_' + val.rol_id, window.favorite) !== -1 ) {
                                    window.favorite_updated.push('5_' + val.rol_id);
                                }
                            });
                        } 
                    });
                    callback();
                });
            }
        });
    }
    if (view == "bund") {
        $.getJSON(config.api_url + '?view=bundesland&t=' + window.updatetime + '&jsoncallback=?', function(data) {
            if (data.length == 0) {
                callback();
            } else {
                window.middleware.db.gen.transaction(function(tx){
                    $.each(data, function(key, val) {
                        if (val.live == 0) { 
                            tx.executeSql("delete FROM bund where bund_id = ?", [val.bund_id]);
                        } else {
                            tx.executeSql("SELECT * FROM bund where bund_id = ?", [val.bund_id], function (tx, rs) {
                                if (rs.rows.length == 0) { 
                                    tx.executeSql("INSERT INTO bund(bund_id, org_id, rol_id, descrip) VALUES (?,?,?,?)",
                                            [val.bund_id, val.org_id, val.rol_id, val.descrip],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE bund set org_id = ?, rol_id = ?, descrip = ? where bund_id = ?",
                                            [val.org_id, val.rol_id, val.descrip, val.bund_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                            });
                        } 
                    });
                    callback();
                });
            }
        });
    }
    if (view == "expbund") {
        $.getJSON(config.api_url + '?view=expbund&t=' + window.updatetime + '&jsoncallback=?', function(data) {
            window.middleware.db.peo.transaction(function(tx){
                $.each(data.mitarbeiter, function(key, val) {
                    if (val.live == 0) { 
                        tx.executeSql("delete FROM mitarbeiter where rol_id = ?", [val.rol_id]);
                    } else {
                        tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                            if (rs.rows.length == 0) { 
                                tx.executeSql("INSERT INTO mitarbeiter (rol_id, tit, first, last, tit2, image, stel_kat_id, mob, email, phone, fax) VALUES (?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.rol_id, val.tit, val.first, val.last, val.tit2, val.image, val.stel_kat_id, val.mob, val.email, val.phone, val.fax],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE mitarbeiter set tit = ?, first = ?, last = ?, tit2 = ?, image = ?, stel_kat_id = ?, mob = ?, email = ?, phone = ?, fax = ? where rol_id = ?",
                                        [val.tit, val.first, val.last, val.tit2, val.image, val.stel_kat_id, val.mob, val.email, val.phone, val.fax, val.rol_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                        });
                    } 
                });
                $.each(data.dienst, function(key, val) {
                    if (val.live == 0) {
                        tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                        tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                        tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                    } else {
                        tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                            if (rs.rows.length == 0) {
                                tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                        [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            } else {
                                tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                        [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                        function (tx, r) {}, 
                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                            }
                        });
                    }
                });
                if (data.dienst.length == 0) {
                    if (window.checker.windows) {
                        tx.executeSql("SELECT count(*) FROM dienststelle where org_id = ?", ['1'], function (tx, rs) {});
                    }
                }
            }, function() {}, function() {
                callback();
            });
        });
    }
}

window.middleware.getall = function() {
    window.counterland = 0;
    window.counterbranche = 0;
    window.middleware.db.gen.transaction(function(tx) {
        $.each(window.states, function(key, val) {
            
            var iso = val.isocode;
        
            tx.executeSql("SELECT * FROM land where isocode = ?", [val.isocode], function(tx, rs) {
                window.currentState["land"]    = rs.rows.item(0).land;
                window.currentState["isocode"] = val.isocode;
                window.currentState["link"]    = rs.rows.item(0).link;
                window.currentState["land_id"] = rs.rows.item(0).land_id;
                window.currentState["reg_id"] = rs.rows.item(0).reg_id;
                window.currentState["reg_org_id"] = rs.rows.item(0).reg_org_id;
                window.currentState["updated"] = rs.rows.item(0).updated;
                window.currentState["ever"] = rs.rows.item(0).ever;
                if (window.onlinestatus) { 
                    window.middleware.getState(iso,rs.rows.item(0).updated,function(iso) {
                        $('#test_block').html($('#test_block').html() + iso + ' ');
                        window.counterland = window.counterland + 1;
                        if (window.counterland == window.states.length) {
                            $('#test_block').html($('#test_block').html() + '***LÄNDERFERTIG*** ');
                            getdataOverlay('none');
                        }
                    });
                } else {
                    message('Sie sind offline.');
                }
            });
            
            
            
        });
        
        $.each(window.industries, function(key, val) {
            
            var zcode = val.id;
            
            tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
                window.currentIndustry["descrip"] = rs.rows.item(0).descrip;
                window.currentIndustry["zcode"]   = zcode;
                window.currentIndustry["branche_id"] = rs.rows.item(0).branche_id;
                window.currentIndustry["org_id"] = rs.rows.item(0).org_id;
                window.currentIndustry["manager_id"] = rs.rows.item(0).manager_id;
                window.currentIndustry["messe_id"] = rs.rows.item(0).messe_id;
                window.currentIndustry["updated"] = rs.rows.item(0).updated;
                window.currentIndustry["ever"] = rs.rows.item(0).ever;
                if (window.onlinestatus) { 
                    window.middleware.getIndustry(zcode, rs.rows.item(0).branche_id,rs.rows.item(0).updated,function(zcode) {
                        $('#test_block').html($('#test_block').html() + zcode + ' ');
                        window.counterbranche = window.counterbranche + 1;
                        if (window.counterbranche == window.industries.length) {
                            $('#test_block').html($('#test_block').html() + '***BRANCHENFERTIG*** ');
                            getdataOverlay('none');
                        }
                    });
                } else {
                        message('Sie sind offline..');
                }
            });
        }); 

    });  
}

window.middleware.createStates = function(callback) { 
    window.regions = [];
    var regionTemp = [];
    var stateTemp = [];
    window.middleware.db.gen.transaction(function(tx) { 
        tx.executeSql("SELECT * FROM land", [], function(tx, rs) { 
            for(var m=0;m<rs.rows.length;m++) {
                if ($.inArray(rs.rows.item(m).reg, regionTemp) > -1) {
                } else {
                    regionTemp.push(rs.rows.item(m).reg);
                }
                window.states.push(rs.rows.item(m));
            }
            regionTemp.sort(function (a, b) {
                return a.toLowerCase().localeCompare(b.toLowerCase());
            });
            for(var m=0;m<regionTemp.length;m++) {
                var temp = { "name" : regionTemp[m], "countrys" : [] };
                window.regions.push(temp);
            }
            for(var m=0;m<rs.rows.length;m++) {
                var pos = $.inArray(rs.rows.item(m).reg, regionTemp);
                var temptemp = { "name" : rs.rows.item(m).land, "id" : rs.rows.item(m).isocode};
                window.regions[pos].countrys.push(temptemp);
                if (config.debug_setfavorites) {
                    if ($.inArray('1_' + rs.rows.item(m).isocode, window.favorite) !== -1 ) {
                    } else {
                        window.middleware.setFavorite(1, rs.rows.item(m).isocode, "#fav_country", rs.rows.item(m).land);
                    }
                }
                
            }
            //countryspage
            var html = '<div data-role="collapsible-set" data-theme="g" data-content-theme="g" data-mini="false" data-iconpos="right">';
            for (n=0;n<window.regions.length;n++) {
                html += '<div data-role="collapsible" class="countries_collapsible"><h3 ';
                html += 'id="col_' + window.regions[n].name + '"';
                html += '>' + window.regions[n].name + '</h3><ul data-role="listview" data-inset="true" data-theme="h">';
                for (m=0;m<window.regions[n].countrys.length;m++) {
                    html += '<li><a id="country_' + window.regions[n].countrys[m].id + '" class="country_link">' + window.regions[n].countrys[m].name + '</a></li>';
                }
                html += '</ul></div>';
            }
            html += '</div>';
            $('#countrys .ui-content').html(html);
            $('.country_link').bind('click', function(event, ui) {
                var id = $(this).attr('id');
                id  = id.substr(8);
                window.middleware.setCurrentState(id);
            });
            /*
            if (window.nicescroll) {
                $('.countries_collapsible').bind('expand', function () {
                    alert('Expanded');
                }).bind('collapse', function () {
                    alert('Collapsed');
                });
            }
            */
            window.loadstepsDone = window.loadstepsDone + 1; //land
            callback();
        });
    });
};

window.middleware.createBund = function() {
    window.bund = [];
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM bund order by descrip", [], function(tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                var temp = { "name" : rs.rows.item(m).descrip, "id" : rs.rows.item(m).bund_id};
                window.bund.push(temp);
            }
            var html = '<ul data-role="listview" data-inset="true" data-theme="h" class="ui-listview">';
            for (n=0;n<window.bund.length;n++) {
                html += '<li><a id="bund_' + window.bund[n].id + '" class="bund_link">' + window.bund[n].name + '</a></li>';
            }
            html += '</div>';
            $('#per_state .ui-content').html(html);
            $('.bund_link').bind('click', function(event, ui) {
                var id = $(this).attr('id');
                id  = id.substr(5);
                window.middleware.setExpBund(id);
            });
            window.loadstepsDone = window.loadstepsDone + 1; //bundeslaender
        });
    });
};

window.middleware.setExpBundDienst= function(org_id, name, rol_id, bund_id) {
    window.middleware.db.peo.transaction(function(tx) {
        tx.executeSql("SELECT * FROM dienststelle where dienststelle.org_id = ?", [org_id], function(tx, rs) {
            var content = '';
            if (rs.rows.length > 0) {
                content += '<div class="wko_sitetitle">';
                content += '<div class="sharespace"></div><a href="javascript:;" onclick="shareExpBundContact(\'' + rs.rows.item(0).org_id + '\',\'' + rol_id + '\');" class="sharebutton"></a>'; 
                content += name + '</div>';
                /*
                if (0 < rs.rows.item(m).kam.length) {
                    content += '<div class="wko_sitetitle">' + rs.rows.item(m).kam + '</div>';
                }
                */
                content += '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(0).decrip + ' ' + rs.rows.item(0).anr + ' ' + rs.rows.item(0).street + ' ' + rs.rows.item(0).house + ' ' + rs.rows.item(0).zip + ' ' + rs.rows.item(0).city + ' ' + ' ' + rs.rows.item(0).country +'\');" ta class="con_link con_icon_adress">';
                if (0 < rs.rows.item(0).decrip.length) {
                    content += rs.rows.item(0).decrip + '<br />';
                }
                if (0 < rs.rows.item(0).anr.length) {
                    content += rs.rows.item(0).anr + '<br />';
                }
                if (0 < rs.rows.item(0).street.length) {
                    content += rs.rows.item(0).street + '<br />';
                }
                if (0 < rs.rows.item(0).house.length) {
                    content += rs.rows.item(0).house + '<br />';
                }
                if (0 < rs.rows.item(0).city.length) {
                    content += rs.rows.item(0).zip + ' ' + rs.rows.item(0).city;
                }
                content += '</a>';
                if ((rs.rows.item(0).tel.length > 0) || (rs.rows.item(0).teldur.length > 0)) {
                    var teltemp = ''
                    if (rs.rows.item(0).vor.length > 0) {
                        teltemp += rs.rows.item(0).vor + ' ';
                    }
                    if (rs.rows.item(0).tel.length > 0) {
                        teltemp += rs.rows.item(0).tel + ' ';
                    }
                    if (rs.rows.item(0).teldur.length > 0) {
                        teltemp += rs.rows.item(0).teldur;
                    }
                    content +=  '<a href="tel:' + teltemp + '" class="con_link con_icon_tel">' + teltemp + '</a>';
                }               
                window.areaCode[rs.rows.item(0).org_id] = '';
                if (rs.rows.item(0).vor.length > 0) {
                    window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).vor + ' ';
                }
                if (rs.rows.item(0).tel.length > 0) {
                    window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).tel + ' ';
                }
                window.temp_orgid = rs.rows.item(0).org_id;
                if ((rs.rows.item(0).fax.length > 0) || (rs.rows.item(0).faxdur.length > 0)) {
                    content +=  '<div class="con_icon_fax">';
                    if (rs.rows.item(0).vor.length > 0) {
                        content += rs.rows.item(0).vor + ' ';
                    }
                    if (rs.rows.item(0).fax.length > 0) {
                        content += rs.rows.item(0).fax + ' ';
                    }
                    if (rs.rows.item(0).faxdur.length > 0) {
                        content += rs.rows.item(0).faxdur;
                    }
                    content +=  '</div>';
                }
                if (rs.rows.item(0).email.length > 0) {
                    var temp2 = rs.rows.item(0).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                }
                if (0 < rs.rows.item(0).web.length) {
                    var temp = rs.rows.item(0).web;
                    temp = temp.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(0).web + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                }
                content +=  '</div>';
                
                if ($.inArray('4_' + bund_id, window.favorite) !== -1 ) {
                    temp = 'aus Favoriten entfernen';
                } else {
                    temp = 'zu Favoriten hinzufügen';
                }
                content = content + '<a onclick="window.middleware.setFavorite(4, \'' + bund_id + '\', \'#fav_experteb\', \'' + name.replace(/(['"])/g, "")  + '\');" id="fav_experteb" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                
                if (0 < rs.rows.item(0).times.length) {
                    content += '<div class="block"><p class="bold">Bürozeiten</p><p>' + rs.rows.item(0).times + '</p></div>';
                }
                if (0 < rs.rows.item(0).tzone.length) {
                    content += '<div class="block"><p class="bold">Zeitverschiebung</p><p>' + rs.rows.item(0).tzone + '</p></div>';
                }
                /*
                if (0 < rs.rows.item(0).country.length) {
                    content += '<div class="block"><p class="bold">Betreuungsbereich</p><p>' + rs.rows.item(0).country + '</p></div>';
                }
                */
            }
            if (rol_id > 0) {
                tx.executeSql("SELECT * FROM mitarbeiter where mitarbeiter.rol_id = ?", [rol_id], function(tx2, rs2) {
                    if (rs2.rows.length > 0) {
                        content += '<div class="block">';
                        content += '<p>';
                        if (rs2.rows.item(0).tit.length > 0) {
                            content += rs2.rows.item(0).tit + ' ';
                        }
                        if (rs2.rows.item(0).first.length > 0) {
                            content += rs2.rows.item(0).first + ' ';
                        }
                        if (rs2.rows.item(0).last.length > 0) {
                            content += rs2.rows.item(0).last;
                        }
                        content += '</p>';
                        content += '<p>';
                        /*
                        if (rs2.rows.item(0).phone.length > 0) {
                            content += '<div href="tel:' + rs2.rows.item(0).phone + '" class="con_icon_tel">' + rs2.rows.item(0).phone + '</div>';
                        }
                        */
                        if (rs2.rows.item(0).phone.length > 0) {
                            var teletemp = ''
                            if (window.areaCode[window.temp_orgid]) {
                                if (window.areaCode[window.temp_orgid].length > 0) {
                                    teletemp += window.areaCode[window.temp_orgid] + ' ';
                                }
                            }
                            teletemp += rs2.rows.item(0).phone;
                            content +=  '<a href="tel:' + teletemp + '" class="con_link con_icon_tel">' + teletemp + '</a>';
                        }
                        if (rs2.rows.item(0).mob.length > 0) {
                            content += '<a href="tel:' + rs2.rows.item(0).mob + '" class="con_link con_icon_tel">' + rs2.rows.item(0).mob + '</a>';
                        }
                        if (rs2.rows.item(0).fax.length > 0) {
                            content += '<div class="con_icon_fax">' + rs2.rows.item(0).fax + '</div>';
                        }
                        if (rs2.rows.item(0).email.length > 0) {
                            var temp = rs2.rows.item(0).email;
                            temp = temp.match(/.{1,2}/g).join("<wbr />");
                            content += '<a href="mailto:' + rs2.rows.item(0).email + '" class="con_link con_icon_email">' + temp + '</a>';
                        }
                        content += '</p>';
                        if (rs2.rows.item(0).image.length > 0) {
                            if (window.onlinestatus) {
                                content += '<p><img src="' + rs2.rows.item(0).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                            }
                        }
                        content += '</div>';
                    }
                    $("#blanko_content").html(content);
                    $("#blanko h1").html('Experte');
                    jumpPage('#blanko', false);
                });
            } else {
                $("#blanko_content").html(content);
                $("#blanko h1").html('Experte');
                jumpPage('#blanko', false);
            }
        });      
    }); 
}

window.middleware.setExpBund= function(bund_id) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM bund where bund_id = ?", [bund_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                window.middleware.setExpBundDienst(rs.rows.item(0).org_id, rs.rows.item(0).descrip, rs.rows.item(0).rol_id, bund_id);
            }
        });
    });
};

window.middleware.createIndustries = function(callback) {
    window.industries = [];
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM branche", [], function(tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                var temp = { "name" : rs.rows.item(m).descrip, "id" : rs.rows.item(m).zcode, "ever" : rs.rows.item(m).ever};
                window.industries.push(temp);
            }
            //industriespage
            var html = '<ul data-role="listview" data-inset="true" data-theme="h" class="ui-listview">';
            for (n=0;n<window.industries.length;n++) {
                html += '<li><a id="industry_' + window.industries[n].id + '" class="industry_link">' + window.industries[n].name + '</a></li>';
                if (config.debug_setfavorites) {
                    if ($.inArray('2_' + window.industries[n].id, window.favorite) !== -1 ) {
                    } else {
                        window.middleware.setFavorite(2, window.industries[n].id, "#fav_industry", window.industries[n].name);
                    }
                }
            }
            html += '</div>';
            $('#industries .ui-content').html(html);
            $('.industry_link').bind('click', function(event, ui) {
                var id = $(this).attr('id');
                id  = id.substr(9);
                window.middleware.setCurrentIndustry(id);
            });
            window.loadstepsDone = window.loadstepsDone + 1;
            callback();
        });
    });
};

window.middleware.useConfig = function() {
    var tempAll = []; 
    window.magazindownload = false;
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM static order by since desc", [], function(tx, rs) {
            var contentMagazine = '<ul id="magazine_cont">';
            for(var m=0;m<rs.rows.length;m++) {
                if (rs.rows.item(m).typ == 'ePaper') {
                    contentMagazine = contentMagazine + '<li id="mag_cont_' + rs.rows.item(m).id + '">';
                    contentMagazine = contentMagazine + '<a onclick="window.middleware.getMagazin(' + rs.rows.item(m).id + ')" class="magazine_item">';
                    contentMagazine = contentMagazine + '<h4>' + rs.rows.item(m).descrip + ' (' + rs.rows.item(m).size + 'mb)</h4><p>' + rs.rows.item(m).descrip2 + '</p>';
                    contentMagazine = contentMagazine + '</a>';
                    contentMagazine = contentMagazine + '<a class="magazine_delete magazine_delete_' + rs.rows.item(m).filename.replace(/\.[^/.]+$/, "") + '" style="display: none;" onclick="window.middleware.delMagazin(' + rs.rows.item(m).id + ')" >&nbsp;</a>';
                    contentMagazine = contentMagazine + '<div class="magazine_filename">' + rs.rows.item(m).filename + '</div>';
                    contentMagazine = contentMagazine + '<div class="magazine_url">' + rs.rows.item(m).img + '</div>';
                    contentMagazine = contentMagazine + '<div class="magazine_mb">' + rs.rows.item(m).size + '</div>';
                    contentMagazine = contentMagazine + '<div class="clear"></div></li>';
                } else { 
                    var temp = { "img" : rs.rows.item(m).img, "descrip" : rs.rows.item(m).descrip};
                    tempAll[rs.rows.item(m).typ] = temp;
                }
            }
            contentMagazine = contentMagazine + '</ul>';
            $("#magazine_cont").html(contentMagazine);
            if (window.onlinestatus) {
                if (typeof tempAll["Logo1"] != 'undefined') {  
                    if (tempAll["Logo1"].descrip.length > 0) {
                        var temp = '<a onclick="var ref = loadexternal(\'' + tempAll["Logo1"].descrip + '\');" href="javascript:;"><img style="border: 2px solid #edeae4; border-radius: 0" src="' + tempAll["Logo1"].img + '" width="100%" /></a>';
                        $("#banner_1").html(temp);
                        $("#banner_1").css('display', 'block');
                    }
                }
                if (typeof tempAll["Logo2"] != 'undefined') {  
                    if (tempAll["Logo2"].descrip.length > 0) {
                        var temp = '<a onclick="var ref = loadexternal(\'' + tempAll["Logo2"].descrip + '\');" href="javascript:;"><img style="border: 2px solid #edeae4; border-radius: 0" src="' + tempAll["Logo2"].img + '" width="100%" /></a>';
                        $("#banner_2").html(temp);
                        $("#banner_2").css('display', 'block');
                    }
                }
            }
            if (typeof tempAll["Service1"] != 'undefined') { 
                if (tempAll["Service1"].img.length > 0) {
                    $("#service1_beschreibung").html(tempAll["Service1"].descrip);
                    var temp = '<a onclick="var ref = window.open(\'' + tempAll["Service1"].img + '\', \'_blank\', \'location=yes\');" href="javascript:;"><img style="border: 2px solid #edeae4; border-radius: 0" src="img/servicelink.jpg" width="100%" /></a>';
                    $("#service1_link").html(temp);
                    $("#service1_link").css('display', 'block');
                }
            } 
            if (typeof tempAll["Service2"] != 'undefined') { 
                if (tempAll["Service2"].img.length > 0) {
                    var temp = '<a onclick="var ref = window.open(\'' + tempAll["Service2"].img + '\', \'_blank\', \'location=yes\');" href="javascript:;"><img style="border: 2px solid #edeae4; border-radius: 0" src="img/servicelink_2.jpg" width="100%" /></a>';
                    $("#service2_link").html(temp);
                    $("#service2_link").css('display', 'block');
                }
            } 
            window.loadstepsDone = window.loadstepsDone + 1;
            if (window.rootFS) {
                tx.executeSql("SELECT * FROM static where typ = ? order by since desc", ['ePaper'], function(tx, rs) {
                    for(var m=0;m<rs.rows.length;m++) {
                        var index = rs.rows.item(m).id
                        if (window.checker.android) {
                            store = cordova.file.externalDataDirectory + 'Servicemagazin/';
                        }
                        if ((window.checker.iphone) || (window.checker.ipad)) {
                            store = cordova.file.documentsDirectory + 'Servicemagazin/';
                        }
                        if (window.checker.windows) {
                            store = cordova.file.dataDirectory + 'Servicemagazin/';
                        }
                        window.resolveLocalFileSystemURL(store + rs.rows.item(m).filename, function(entry) {
                            $('.magazine_delete_' + entry.name.replace(/\.[^/.]+$/, "")).css('display', 'block');
                        }, function() {
                        });
                    }
                });
            }
        });
        
    });
};

window.middleware.createExpArea = function() {
    var content = '';
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM expert", [], function(tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                content = content + '<li><a class="per_exp" onclick="window.middleware.setExpert(\'' + rs.rows.item(m).rol_id + '\');">' + rs.rows.item(m).descrip + '</a></li>';
            }
            $("#per_exp_list").html(content);
            window.loadstepsDone = window.loadstepsDone + 1;
        });
    });
};

window.middleware.setExpert = function(fach) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM expert where rol_id = ?", [fach], function(tx, rs) {
            var content = '<div class="wko_sitetitle">';
            content += '<div class="sharespace"></div><a href="javascript:;" onclick="shareExpertContact(\'' + fach + '\');" class="sharebutton"></a>'; 
            content += rs.rows.item(0).descrip + '</div>';
            
            content = content + '<div class="block"><p class="bold">';
            
            if (rs.rows.item(0).title.length > 0) {
                content = content + rs.rows.item(0).title + ' ';
            }
            if (rs.rows.item(0).first.length > 0) {
                content = content + rs.rows.item(0).first + ' ';
            }
            if (rs.rows.item(0).last.length > 0) {
                content = content + rs.rows.item(0).last;
            }
            content = content + '</p>';
            if (rs.rows.item(0).ste_bez.length > 0) {
                content = content + '<p>' + rs.rows.item(0).ste_bez + '</p>';
            }
            
            content = content + '<p>';
            content = content + '<a href="#" class="con_link con_icon_adress">';

            if (rs.rows.item(0).street.length > 0) {
                content = content + rs.rows.item(0).street + '<br />';
            }
            if (rs.rows.item(0).city.length > 0) {
                content = content + rs.rows.item(0).zip + ' ' + rs.rows.item(0).city + '<br />';
            }
            if (rs.rows.item(0).house.length > 0) {
                content = content + 'Bauteil ' + rs.rows.item(0).house + '<br />';
            }
            if (rs.rows.item(0).stock.length > 0) {
                content = content + 'Stockwerk ' + rs.rows.item(0).stock + '<br />';
            }
            if (rs.rows.item(0).room.length > 0) {
                content = content + 'Zimmer ' + rs.rows.item(0).room + '<br />';
            }
            if (rs.rows.item(0).country.length > 0) {
                content = content + rs.rows.item(0).country;
            }
            content = content + '</a>';
            if (rs.rows.item(0).phone.length > 0) {
                content = content + '<a href="#" class="con_link con_icon_tel">' + rs.rows.item(0).phone + '</a>';
            }
            if (rs.rows.item(0).mobile.length > 0) {
                content = content + '<a href="#" class="con_link con_icon_tel">' + rs.rows.item(0).mobile + '</a>';
            }
            if (rs.rows.item(0).fax.length > 0) {
                content = content + '<div class="con_icon_fax">' + rs.rows.item(0).fax + '</div>';
            }
            if (rs.rows.item(0).email.length > 0) {
                var temp = rs.rows.item(0).email;
                temp = temp.match(/.{1,2}/g).join("<wbr />");
                content = content + '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp + '</a>';
            }
            content = content + '</p>';
            
            if (rs.rows.item(0).image.length > 0) {
                if (window.onlinestatus) {
                    content = content +  '<p><img src="' + rs.rows.item(0).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                }
            }
            content = content + '</div>';
            if ($.inArray('5_' + rs.rows.item(0).rol_id, window.favorite) !== -1 ) {
                temp = 'aus Favoriten entfernen';
            } else {
                temp = 'zu Favoriten hinzufügen';
            }
            content = content + '<a onclick="window.middleware.setFavorite(5, \'' + rs.rows.item(0).rol_id + '\', \'#fav_experte\', \'' + rs.rows.item(0).descrip.replace(/(['"])/g, "")  + '\');" id="fav_experte" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
            $("#blanko_content").html(content);
            $("#blanko h1").html('Ansprechpartner');
            jumpPage('#blanko', false);
        });
    });
};

//countrylink klicks

window.middleware.getState = function(iso, updated, callback) {
    window.today = 0;
    //console.log(iso);
    window.middleware.db.gen.transaction(function(tx){ 
        tx.executeSql("SELECT * FROM landtoday where isocode = ?", [iso], function (tx, rs) { 
            //console.log(rs.rows.length);
            if (rs.rows.length == 0) {
                window.today = 1;
                tx.executeSql("INSERT INTO landtoday (isocode) VALUES (?)",
                        [iso],
                        function (tx, r) {}, 
                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
            }
        });
    }, function() {}, function() { //console.log(window.today);
        window.today = 1;
        if (window.today == 0) {
            callback(iso);
        } else {
            if ($.mobile) { getdataOverlay('block'); } 
            $.getJSON(config.api_url + '?view=landdetail&iso=' + iso + '&t=' + updated + '&jsoncallback=?', function(data) {
                window.middleware.db.gen.transaction(function(tx) { 
                    /*
                    $.each(data.pub, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from pub where pub_id = ?", [val.pub_id]);
                        } else {
                            tx.executeSql("SELECT * FROM pub where pub_id = ?", [val.pub_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO pub(pub_id, isocode, zcode, prod_id, prod_name, prod_sub, prod_cont, number, anbiet, since, until, typ, link, pdflink) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.pub_id, val.isocode, val.zcode, val.prod_id, val.prod_name, val.prod_sub, val.prod_cont, val.number, val.anbiet, val.since, val.until, val.typ, val.link, val.pdflink],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE pub set isocode = ?, zcode = ?, prod_id = ?, prod_name = ?, prod_sub = ?, prod_cont = ?, number = ?, anbiet = ?, since = ?, until = ?, typ = ?, link = ?, pdflink = ? where pub_id = ?",
                                            [val.isocode, val.zcode, val.prod_id, val.prod_name, val.prod_sub, val.prod_cont, val.number, val.anbiet, val.since, val.until, val.typ, val.link, val.pdflink, val.pub_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    if (val.typ == 'Länderreport') {
                                        window.middleware.updatedFavorite(1, 4, iso, '', 'Länderreport', '');
                                    }
                                }
                            });
                        }
                    });
                    */
                    //if (data.pub.length == 0) {
                        if (window.checker.windows) {
                            tx.executeSql("SELECT count(*) FROM pub where pub_id = ?", ['1'], function (tx, rs) {});
                        }
                    //}
                    $.each(data.reiseinfo, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from reiseinfo where reise_id = ?", [val.reise_id]);
                        } else {
                            tx.executeSql("SELECT * FROM reiseinfo where reise_id = ?", [val.reise_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO reiseinfo(reise_id, isocode, type, cont) VALUES (?,?,?,?)",
                                            [val.reise_id, val.isocode, val.type, val.cont],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE reiseinfo set isocode = ?, type = ?, cont = ? where reise_id = ?",
                                            [val.isocode, val.type, val.cont, val.reise_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    window.middleware.updatedFavorite(1, 5, iso, '', val.type, '');
                                }
                            });
                        }
                    });
                    $.each(data.notruf, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from notruf where notruf_id = ?", [val.notruf_id]);
                        } else {
                            tx.executeSql("SELECT * FROM notruf where notruf_id = ?", [val.notruf_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO notruf(notruf_id, isocode, name, who, num) VALUES (?,?,?,?,?)",
                                            [val.notruf_id, val.isocode, val.name, val.who, val.num],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE notruf set isocode = ?, name = ?, who = ?, num = ? where notruf_id = ?",
                                            [val.isocode, val.name, val.who, val.num, val.notruf_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    window.middleware.updatedFavorite(1, 5, iso, '', 'Notrufnummer ' + val.name, '');
                                }
                            });
                        }
                    });
                    $.each(data.hotel, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from hotel where hotel_id = ?", [val.hotel_id]);
                        } else {
                            tx.executeSql("SELECT * FROM hotel where hotel_id = ?", [val.hotel_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO hotel(hotel_id, isocode, hotel, street1, street2, zip, city, net, note) VALUES (?,?,?,?,?,?,?,?,?)",
                                            [val.hotel_id, val.isocode, val.hotel, val.street1, val.street2, val.zip, val.city, val.net, val.note],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE hotel set isocode = ?, hotel = ?, street1 = ?, street2 = ?, zip = ?, city = ?, net = ?, note = ? where hotel_id = ?",
                                            [val.isocode, val.hotel, val.street1, val.street2, val.zip, val.city, val.net, val.note, val.hotel_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    window.middleware.updatedFavorite(1, 6, iso, '', val.hotel, '');
                                }
                            });
                        }
                    });
                    $.each(data.restaurant, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from restaurant where rest_id = ?", [val.rest_id]);
                        } else {
                            tx.executeSql("SELECT * FROM restaurant where rest_id = ?", [val.rest_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO restaurant(rest_id, isocode, restaurant, street1, street2, zip, city, net, note) VALUES (?,?,?,?,?,?,?,?,?)",
                                            [val.rest_id, val.isocode, val.restaurant, val.street1, val.street2, val.zip, val.city, val.net, val.note],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE restaurant set isocode = ?, restaurant = ?, street1 = ?, street2 = ?, zip = ?, city = ?, net = ?, note = ? where rest_id = ?",
                                            [val.isocode, val.restaurant, val.street1, val.street2, val.zip, val.city, val.net, val.note, val.rest_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    window.middleware.updatedFavorite(1, 6, iso, '', val.restaurant, '');
                                }
                            });
                        }
                    });
                    $.each(data.empfehlung, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from empfehlung where empf_id = ?", [val.empf_id]);
                        } else {
                            tx.executeSql("SELECT * FROM empfehlung where empf_id = ?", [val.empf_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO empfehlung(empf_id, isocode, typ, inhalt) VALUES (?,?,?,?)",
                                            [val.empf_id, val.isocode, val.typ, val.inhalt],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE empfehlung set isocode = ?, typ = ?, inhalt = ? where empf_id = ?",
                                            [val.isocode, val.typ, val.inhalt, val.empf_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    window.middleware.updatedFavorite(1, 6, iso, '', val.typ, '');
                                }
                            });
                        }
                    });
                    $.each(data.texte, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from texte where texte_id = ?", [val.texte_id]);
                        } else {
                            tx.executeSql("SELECT * FROM texte where texte_id = ?", [val.texte_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO texte(texte_id, isocode, type, cont) VALUES (?,?,?,?)",
                                            [val.texte_id, val.isocode, val.type, val.cont],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE texte set isocode = ?, type = ?, cont = ? where texte_id = ?",
                                            [val.isocode, val.type, val.cont, val.texte_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                    if (val.type == 'Infobox') {
                                        //window.middleware.updatedFavorite(1, 4, iso, '', 'Wirtschaftslage', '');
                                    } 
                                    if (val.type == 'Wirtschaftsreport') {
                                        //window.middleware.updatedFavorite(1, 4, iso, '', 'Update', '');
                                    } 
                                }
                            });
                        }
                    });
                    $.each(data.oekb, function(key, val) {
                        if (val.live == 0) {
                            tx.executeSql("delete from oekb where oekb_id = ?", [val.oekb_id]);
                        } else {
                            tx.executeSql("SELECT * FROM oekb where oekb_id = ?", [val.oekb_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO oekb(oekb_id, isocode, cat, deck_p, deck_q, bank, interv) VALUES (?,?,?,?,?,?,?)",
                                            [val.oekb_id, val.isocode, val.cat, val.deck_p, val.deck_q, val.bank, val.interv],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                        window.middleware.updatedFavorite(1, 7, iso, '', 'Kategorie', '');
                                        window.middleware.updatedFavorite(1, 7, iso, '', 'Deckungspolitik', '');
                                        window.middleware.updatedFavorite(1, 7, iso, '', 'Deckungsquote', '');
                                        window.middleware.updatedFavorite(1, 7, iso, '', 'Banken', '');
                                        window.middleware.updatedFavorite(1, 7, iso, '', 'Laufzeit', '');
                                    }
                                } else {
                                    tx.executeSql("UPDATE oekb set isocode = ?, cat = ?, deck_p = ?, deck_q = ?, bank = ?, interv = ? where oekb_id = ?",
                                            [val.isocode, val.cat, val.deck_p, val.deck_q, val.bank, val.interv, val.oekb_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                        if (val.cat != rs.rows.item(0).cat) {
                                            window.middleware.updatedFavorite(1, 7, iso, '', 'Kategorie', '');
                                        }
                                        if (val.deck_p != rs.rows.item(0).deck_p) {
                                            window.middleware.updatedFavorite(1, 7, iso, '', 'Deckungspolitik', '');
                                        }
                                        if (val.deck_q != rs.rows.item(0).deck_q) {
                                            window.middleware.updatedFavorite(1, 7, iso, '', 'Deckungsquote', '');
                                        }
                                        if (val.bank != rs.rows.item(0).bank) {
                                            window.middleware.updatedFavorite(1, 7, iso, '', 'Banken', '');
                                        }
                                        if (val.interv != rs.rows.item(0).interv) {
                                            window.middleware.updatedFavorite(1, 7, iso, '', 'Laufzeit', '');
                                        }
                                    }
                                }
                            });
                        }
                    });
                }, function() {}, function() {
                    window.middleware.db.nue.transaction(function(tx) { 
                        $.each(data.news, function(key, val) {
                            if (val.live == 0) {
                                tx.executeSql("delete from newsland where doc_id = ?", [val.doc_id]);
                                window.middleware.deleteFavorite(1, 1, val.isocode, val.doc_id);
                            } else {
                                tx.executeSql("SELECT * FROM newsland where doc_id = ?", [val.doc_id], function (tx, rs) {
                                    if (rs.rows.length == 0) {
                                        tx.executeSql("INSERT INTO newsland(doc_id, isocode, topic, sub, content, autor, email, url, since, until) VALUES (?,?,?,?,?,?,?,?,?,?)",
                                                [val.doc_id, val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until],
                                                function (tx, r) { debuglog('News neu: ' + val.isocode + ' ' + val.topic + ' ' + val.doc_id); }, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE newsland set isocode = ?, topic = ?, sub = ?, content = ?, autor = ?, email = ?, url = ?, since = ?, until = ?  where doc_id = ?",
                                                [val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.doc_id],
                                                function (tx, r) { debuglog('News update: ' + val.isocode + ' ' + val.topic + ' ' + val.doc_id);}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('1_' + val.isocode, window.favorite) !== -1 ) {
                                        window.middleware.updatedFavorite(1, 1, val.isocode, val.doc_id, val.topic, val.since);
                                        debuglog('Newsupdate: ' + val.isocode + ' ' + val.topic + ' ' + val.doc_id);
                                    }
                                });
                            }
                        });
                        if (data.news.length == 0) {
                            if (window.checker.windows) {
                                tx.executeSql("SELECT count(*) FROM newsland where doc_id = ?", ['1'], function (tx, rs) {});
                            }
                        }
                    }, function() {}, function() {
                        window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
                        window.middleware.db.eve.transaction(function(tx) { 
                            $.each(data.events, function(key, val) {
                                if (val.live == 0) {
                                    tx.executeSql("delete from events where events_id = ?", [val.events_id]);
                                    tx.executeSql("delete from eventstoland where events_id = ?", [val.events_id]);
                                    tx.executeSql("delete from eventstobranche where events_id = ?", [val.events_id]);
                                    window.middleware.deleteFavorite(1, 3, iso, val.events_id);
                                } else {
                                    tx.executeSql("SELECT * FROM events where events_id = ?", [val.events_id], function (tx, rs) {
                                        if (rs.rows.length == 0) {
                                            if (val.date_start > window.yesterday) {
                                                tx.executeSql("INSERT INTO events(events_id, type, date_start, date_end, reg, topic, sub, content, host, city, first, last, title, phone, mobile, fax, email, since, until) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.events_id, val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until],
                                                        function (tx, r) {
                                                            tx.executeSql("SELECT * FROM eventstoland where events_id = ? and land_id = ?", [val.events_id,val.land_id], function (tx, rs) {
                                                                if (rs.rows.length == 0) {     
                                                                    tx.executeSql("INSERT INTO eventstoland (events_id, land_id) VALUES (?,?)", [val.events_id,val.land_id]);
                                                                } 
                                                            });
                                                        }, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                        } else {
                                            tx.executeSql("UPDATE events set type = ?, date_start = ?, date_end = ?, reg = ?, topic = ?, sub = ?, content = ?, host = ?, city = ?, first = ?, last = ?, title = ?, phone = ?, mobile = ?, fax = ?, email = ?, since = ?, until = ?  where events_id = ?",
                                                    [val.type, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until, val.events_id],
                                                    function (tx, r) {
                                                        tx.executeSql("SELECT * FROM eventstoland where events_id = ? and land_id = ?", [val.events_id,val.land_id], function (tx, rs) {
                                                            if (rs.rows.length == 0) {     
                                                                tx.executeSql("INSERT INTO eventstoland (events_id, land_id) VALUES (?,?)", [val.events_id,val.land_id]);
                                                            } 
                                                        });
                                                    }, 
                                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                        }
                                        if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                            window.middleware.updatedFavorite(1, 3, iso, val.events_id, val.topic, val.date_start);
                                            debuglog('Eventupdate: ' + iso);
                                        }
                                    });
                                }
                            });
                            if (data.events.length == 0) {
                                if (window.checker.windows) {
                                    tx.executeSql("SELECT count(*) FROM events where events_id = ?", ['1'], function (tx, rs) {});
                                }
                            }
                        }, function() {}, function() {
                            window.middleware.db.peo.transaction(function(tx) { 
                                $.each(data.dienst, function(key, val) {
                                    tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                                    if (val.live == 0) {
                                        tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                                        tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                                        tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                                    } else {
                                        tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                            if (rs.rows.length == 0) {
                                                tx.executeSql("INSERT INTO dienststelle (reihe, org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.reihe, val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                                        function (tx, r) {
                                                            tx.executeSql("SELECT * FROM dienststelletoland where org_id = ? and land_id = ?", [val.org_id,val.land_id], function (tx, rs) {
                                                                if (rs.rows.length == 0) {     
                                                                    tx.executeSql("INSERT INTO dienststelletoland (org_id, land_id, reihe_land) VALUES (?,?,?)", [val.org_id,val.land_id,val.reihe]);
                                                                } else {
                                                                    tx.executeSql("UPDATE dienststelletoland set reihe_land = ? where org_id = ? and land_id = ?", [val.reihe,val.org_id,val.land_id]);
                                                                }
                                                            });
                                                        }, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            } else { 
                                                tx.executeSql("UPDATE dienststelle set reihe = ?, decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                                        [val.reihe, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                                        function (tx, r) { 
                                                            tx.executeSql("SELECT * FROM dienststelletoland where org_id = ? and land_id = ?", [val.org_id,val.land_id], function (tx, rs) {
                                                                if (rs.rows.length == 0) {     
                                                                    tx.executeSql("INSERT INTO dienststelletoland (org_id, land_id, reihe_land) VALUES (?,?,?)", [val.org_id,val.land_id,val.reihe]);
                                                                } else {
                                                                    tx.executeSql("UPDATE dienststelletoland set reihe_land = ? where org_id = ? and land_id = ?", [val.reihe,val.org_id,val.land_id]);
                                                                }
                                                            });
                                                        }, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                            if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                                window.middleware.updatedFavorite(1, 2, iso, '', val.decrip, '');
                                            }
                                            if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                                window.favorite_updated.push('3_' + iso);
                                            }
                                        });
                                    }
                                });
                                if (data.dienst.length == 0) {
                                    if (window.checker.windows) {
                                        tx.executeSql("SELECT count(*) FROM dienststelle where org_id = ?", ['1'], function (tx, rs) {});
                                    }
                                }
                                $.each(data.mitarbeiter, function(key, val) {
                                    if (val.live == 0) {
                                        tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                        tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                                    } else {
                                        tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                            if (rs.rows.length == 0) {
                                                tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                        function (tx, r) {
                                                            tx.executeSql("SELECT * FROM dienststelletomitarbeiter where org_id = ? and rol_id = ?", [val.org_id,val.rol_id], function (tx, rs) {
                                                                if (rs.rows.length == 0) {     
                                                                    tx.executeSql("INSERT INTO dienststelletomitarbeiter (org_id, rol_id, reihe) VALUES (?,?,?)", [val.org_id,val.rol_id, val.reihe]);
                                                                } else {
                                                                    tx.executeSql("UPDATE dienststelletomitarbeiter set reihe = ? where org_id = ? and rol_id = ? ", [val.reihe,val.org_id,val.rol_id]);
                                                                }
                                                            });
                                                        }, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            } else {
                                                tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                        [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                        function (tx, r) {
                                                            tx.executeSql("SELECT * FROM dienststelletomitarbeiter where org_id = ? and rol_id = ?", [val.org_id,val.rol_id], function (tx, rs) {
                                                                if (rs.rows.length == 0) {     
                                                                    tx.executeSql("INSERT INTO dienststelletomitarbeiter (org_id, rol_id, reihe) VALUES (?,?,?)", [val.org_id,val.rol_id, val.reihe]);
                                                                } else {
                                                                    tx.executeSql("UPDATE dienststelletomitarbeiter set reihe = ? where org_id = ? and rol_id = ? ", [val.reihe,val.org_id,val.rol_id]);
                                                                }
                                                            });
                                                        }, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                            if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                                window.middleware.updatedFavorite(1, 2, iso, '', val.first + ' ' + val.last, '');
                                            }
                                            if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                                window.favorite_updated.push('3_' + iso);
                                            }
                                        });
                                    }
                                });
                            }, function() {}, function() {
                                window.middleware.db.peo.transaction(function(tx) { 
                                    $.each(data.regdienst, function(key, val) {
                                        if (val.live == 0) {
                                            tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                                            tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                                            tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                                        } else {
                                            tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                                if (rs.rows.length == 0) {
                                                    tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                            [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                                            function (tx, r) {
                                                                tx.executeSql("SELECT * FROM dienststelletoland where org_id = ? and land_id = ?", [val.org_id,val.land_id], function (tx, rs) {
                                                                    if (rs.rows.length == 0) {     
                                                                        tx.executeSql("INSERT INTO dienststelletoland (org_id, land_id) VALUES (?,?)", [val.org_id,val.land_id]);
                                                                    } 
                                                                });
                                                            }, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                } else {
                                                    tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                                            [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                                            function (tx, r) {
                                                                tx.executeSql("SELECT * FROM dienststelletoland where org_id = ? and land_id = ?", [val.org_id,val.land_id], function (tx, rs) {
                                                                    if (rs.rows.length == 0) {     
                                                                        tx.executeSql("INSERT INTO dienststelletoland (org_id, land_id) VALUES (?,?)", [val.org_id,val.land_id]);
                                                                    } 
                                                                });
                                                            }, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                }
                                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                                    window.middleware.updatedFavorite(1, 2, iso, '', val.decrip, '');
                                                }
                                                if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                                    window.favorite_updated.push('3_' + iso);
                                                }
                                            });
                                        }
                                    });
                                    if (data.regdienst.length == 0) {
                                        if (window.checker.windows) {
                                            tx.executeSql("SELECT count(*) FROM dienststelle where org_id = ?", ['1'], function (tx, rs) {});
                                        }
                                    }
                                    $.each(data.regmanager, function(key, val) {
                                        if (val.live == 0) {
                                            tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                            tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                                        } else {
                                            tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                                if (rs.rows.length == 0) {
                                                    tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                            [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                            function (tx, r) {}, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                } else {
                                                    tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                            [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                            function (tx, r) {}, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                }
                                                if ($.inArray('1_' + iso, window.favorite) !== -1 ) {
                                                    window.middleware.updatedFavorite(1, 2, iso, '', val.first + ' ' + val.last, '');
                                                }
                                                if ($.inArray('3_' + iso, window.favorite) !== -1 ) {
                                                    window.favorite_updated.push('3_' + iso);
                                                }
                                            });
                                        }
                                    });
                                    $.each(data.locals, function(key, val) {
                                        tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                            if (rs.rows.length == 0) { } else {
                                                if (val.live == 0) {
                                                    tx.executeSql("UPDATE dienststelle set loc_buero_bz = '', loc_adr1 = '', loc_adr2 = '', loc_adr3 = '', loc_adr4 = '', loc_adr5 = '', loc_adr6 = '', loc_adr7 = '', loc_adr8 = '', loc_adr9 = '', loc_adr10 = ''   where org_id = ?",
                                                            [val.org_id],
                                                            function (tx, r) {}, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                } else {
                                                    tx.executeSql("UPDATE dienststelle set loc_buero_bz = ?, loc_adr1 = ?, loc_adr2 = ?, loc_adr3 = ?, loc_adr4 = ?, loc_adr5 = ?, loc_adr6 = ?, loc_adr7 = ?, loc_adr8 = ?, loc_adr9 = ?, loc_adr10 = ?   where org_id = ?",
                                                            [val.buero_bz, val.adr1, val.adr2, val.adr3, val.adr4, val.adr5, val.adr6, val.adr7, val.adr8, val.adr9, val.adr10, val.org_id],
                                                            function (tx, r) {}, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                }
                                            }
                                        });
                                    });
                                }, function() {}, function() {
                                    callback(iso);
                                });
                            });
                        });
                    });
                });
            })
            .fail(function() {
                getdataOverlay('none');
                window.updatewait = window.updatewait - 1;
                if (window.updateauto) {} else {
                    if (window.currentState["land"].length > 0) {  
                        message('Leider tritt aktuell bei der Verarbeitung der Daten "' + window.currentState["land"] + '" ein Fehler auf. Wir werden diesen schnellstmöglich beheben. Bitte probieren sie es später erneut.');
                    } else {
                        callback(iso);
                    }
                }
            });
        }
    });
};

window.middleware.prepareState = function(iso, callback) {
    $("#country h1").html(window.currentState["land"]);
    $("#country_pubs_wreport .wko_sitetitle").html(window.currentState["land"]);
    $("#country_pubs .wko_sitetitle").html(window.currentState["land"]);
    $("#country_wirtschaft .wko_sitetitle").html(window.currentState["land"]);
    $("#country_news .wko_sitetitle").html(window.currentState["land"]);
    $("#country_events .wko_sitetitle").html(window.currentState["land"]);
    $("#country_pubs_lreport .wko_sitetitle").html(window.currentState["land"]);
    $("#country_pubs_button_0").unbind("click");
    if (window.currentState["link"] == 'KEIN LAENDERPROFIL VORHANDEN') {
        $("#country_pubs_button_0_li").css('display', 'none');
    } else {
        $("#country_pubs_button_0_li").css('display', 'none'); //allways off
        $("#country_pubs_button_0").click(function() {
            var ref = window.open(window.currentState["link"], '_system', 'location=yes');
        });
    }
    if ($.inArray('1_' + window.currentState["isocode"], window.favorite) !== -1 ) {
        $("#fav_country .ui-btn-text").html('Land aus Favoriten entfernen');
    } else {
        $("#fav_country .ui-btn-text").html('Land zu Favoriten hinzufügen');
    }
    $("#fav_country").unbind("click");
    $("#fav_country").click(function() {
        window.middleware.setFavorite(1, window.currentState["isocode"], "#fav_country", window.currentState["land"]);
    });
    callback(iso);
};

window.middleware.setCurrentState = function(iso) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM land where isocode = ?", [iso], function(tx, rs) {
            window.currentState["land"]    = rs.rows.item(0).land;
            window.currentState["isocode"] = iso;
            window.currentState["link"]    = rs.rows.item(0).link;
            window.currentState["land_id"] = rs.rows.item(0).land_id;
            window.currentState["reg_id"] = rs.rows.item(0).reg_id;
            window.currentState["reg_org_id"] = rs.rows.item(0).reg_org_id;
            window.currentState["updated"] = rs.rows.item(0).updated;
            window.currentState["ever"] = rs.rows.item(0).ever;
            if (window.onlinestatus) { 
                window.middleware.getState(iso,rs.rows.item(0).updated,function(iso) {
                    window.middleware.prepareState(iso,function(iso) {
                        getdataOverlay('none');
                        window.currentState["updated"] = getCurrentTimestamp();
                        window.middleware.db.gen.transaction(function(tx) {
                            tx.executeSql("UPDATE land set updated = ?, ever = 1 where isocode = ?",
                                    [window.currentState["updated"], window.currentState["isocode"]],
                                    function (tx, r) {
                                        jumpPage('#country', false);
                                    }, 
                                    function (tx, e) {});
                        });
                    });
                });
            } else {
                if (window.currentState["ever"] == 1) {
                    window.middleware.prepareState(iso,function(iso) {
                        jumpPage('#country', false);
                    });
                } else {
                    message('Sie sind offline und haben dieses Land vorher noch nie aktualisiert. Es liegen daher keine Daten vor.');
                }
            }
        });
    });
};

window.middleware.setDirectContactLand = function(iso) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM land where isocode = ?", [iso], function(tx, rs) {
            window.currentState["land"]    = rs.rows.item(0).land;
            window.currentState["isocode"] = iso;
            window.currentState["link"]    = rs.rows.item(0).link;
            window.currentState["land_id"] = rs.rows.item(0).land_id;
            window.currentState["reg_id"] = rs.rows.item(0).reg_id;
            window.currentState["reg_org_id"] = rs.rows.item(0).reg_org_id;
            window.currentState["updated"] = rs.rows.item(0).updated;
            window.middleware.setCountryContacts();
        });
    });
}

window.middleware.setCountryContacts = function() { 
    window.middleware.db.peo.transaction(function(tx) {
        window.counter = 0;
        var content = '';
        var teams = [];
        tx.executeSql("SELECT * FROM dienststelle,dienststelletoland where dienststelle.org_id = dienststelletoland.org_id and dienststelletoland.land_id = ? order by dienststelletoland.reihe_land", [window.currentState["land_id"]], function(tx, rs) {
            for (var m=0;m<rs.rows.length;m++) {
                //console.log(rs.rows.item(m).reihe_land + rs.rows.item(m).decrip);
                if (0 < rs.rows.item(m).decrip.length) {
                    
                    content += '<div class="wko_sitetitle">';
                    if (m > 0) {
                        content += '<br />';
                    }
                    content += '<div class="sharespace"></div><a href="javascript:;" onclick="shareCountryContact(\'' + rs.rows.item(m).org_id + '\');" class="sharebutton"></a>';
                    content += rs.rows.item(m).decrip + '</div>';
                }
                /*
                if (0 < rs.rows.item(m).kam.length) {
                    content += '<div class="wko_sitetitle">' + rs.rows.item(m).kam + '</div>';
                }
                */
                content += '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(m).anr + ' ' + rs.rows.item(m).street + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).country + '\');" ta class="con_link con_icon_adress">';
                if (0 < rs.rows.item(m).anr.length) {
                    content += rs.rows.item(m).anr + '<br />';
                }
                if (0 < rs.rows.item(m).street.length) {
                    content += rs.rows.item(m).street + '<br />';
                }
                if (0 < rs.rows.item(m).house.length) {
                    content += rs.rows.item(m).house + '<br />';
                }
                if (0 < rs.rows.item(m).city.length) {
                    content += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                }
                content += '</a>';
                if ((rs.rows.item(m).tel.length > 0) || (rs.rows.item(m).teldur.length > 0)) {
                    var teltemp = ''
                    if (rs.rows.item(m).vor.length > 0) {
                        teltemp += rs.rows.item(m).vor + ' ';
                    }
                    if (rs.rows.item(m).tel.length > 0) {
                        if(rs.rows.item(m).tel.indexOf(',') === -1) {
                            teltemp += rs.rows.item(m).tel + ' ';
                        } else {
                            var teltemparray = rs.rows.item(m).tel.split(',');
                            teltemp += teltemparray[0] + ' ';
                        }
                    }
                    if (rs.rows.item(m).teldur.length > 0) {
                        teltemp += rs.rows.item(m).teldur;
                    }
                    content +=  '<a href="tel:' + teltemp + '" class="con_link con_icon_tel">' + teltemp + '</a>';
                }          
                
                //vorwahl definieren
                window.areaCode[rs.rows.item(m).org_id] = '';
                if (rs.rows.item(m).vor.length > 0) {
                    window.areaCode[rs.rows.item(m).org_id] += rs.rows.item(m).vor + ' ';
                }
                if (rs.rows.item(m).tel.length > 0) {
                    window.areaCode[rs.rows.item(m).org_id] += rs.rows.item(m).tel + ' ';
                }
                
                if ((rs.rows.item(m).fax.length > 0) || (rs.rows.item(m).faxdur.length > 0)) {
                    content +=  '<div class="con_icon_fax">';
                    if (rs.rows.item(m).vor.length > 0) {
                        content += rs.rows.item(m).vor + ' ';
                    }
                    if (rs.rows.item(m).fax.length > 0) {
                        content += rs.rows.item(m).fax + ' ';
                    }
                    if (rs.rows.item(m).faxdur.length > 0) {
                        content += rs.rows.item(m).faxdur;
                    }
                    content +=  '</div>';
                }
                if (rs.rows.item(m).email.length > 0) {
                    var temp2 = rs.rows.item(m).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="mailto:' + rs.rows.item(m).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                }
                if (0 < rs.rows.item(m).web.length) {
                    var temp = rs.rows.item(m).web;
                    temp = temp.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).web + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                }
                content +=  '</div>';
                
                //favbutton
                if (m == 0) {
                    window.counter = 1;
                    if ($.inArray('3_' + window.currentState["isocode"], window.favorite) !== -1 ) {
                        temp = 'aus Favoriten entfernen';
                    } else {
                        temp = 'zu Favoriten hinzufügen';
                    }
                    content = content + '<a onclick="window.middleware.setFavorite(3, \'' + window.currentState["isocode"] + '\', \'#fav_dienstland\', \'' + window.currentState["land"] + '\');" id="fav_dienstland" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                }
                
                //lokale adresse
                if (rs.rows.item(m).loc_buero_bz) {
                    if (0 < rs.rows.item(m).loc_buero_bz.length) {
                        content += '<div class="block"><p class="bold">Lokale Adresse</p><p style="padding-top: 10px;"><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(m).loc_adr1 + ' ' + rs.rows.item(m).loc_adr2 + ' ' + rs.rows.item(m).loc_adr3 + ' ' + rs.rows.item(m).loc_adr4 + ' ' + rs.rows.item(m).loc_adr5 + ' ' + rs.rows.item(m).loc_adr6 + ' ' + rs.rows.item(m).loc_adr7 + ' ' + rs.rows.item(m).loc_adr8 + ' ' + rs.rows.item(m).loc_adr9 + ' ' + rs.rows.item(m).loc_adr10 + '\');" ta class="con_link con_icon_adress">';
                        if (0 < rs.rows.item(m).loc_buero_bz.length) {
                            content += rs.rows.item(m).loc_buero_bz + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr1.length) {
                            content += rs.rows.item(m).loc_adr1 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr2.length) {
                            content += rs.rows.item(m).loc_adr2 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr3.length) {
                            content += rs.rows.item(m).loc_adr3 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr4.length) {
                            content += rs.rows.item(m).loc_adr4 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr5.length) {
                            content += rs.rows.item(m).loc_adr5 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr6.length) {
                            content += rs.rows.item(m).loc_adr6 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr7.length) {
                            content += rs.rows.item(m).loc_adr7 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr8.length) {
                            content += rs.rows.item(m).loc_adr8 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr9.length) {
                            content += rs.rows.item(m).loc_adr9 + '<br />';
                        }
                        if (0 < rs.rows.item(m).loc_adr10.length) {
                            content += rs.rows.item(m).loc_adr10 + '<br />';
                        }
                        content += '</a>';
                        content +=  '</div>';
                    }
                }
                
                //team
                content += '<div class="block" style="display:none;" id="team_' + rs.rows.item(m).org_id + '"></div>';
                tx.executeSql("SELECT *,dienststelletomitarbeiter.reihe as reihe FROM mitarbeiter,dienststelletomitarbeiter where mitarbeiter.rol_id = dienststelletomitarbeiter.rol_id and dienststelletomitarbeiter.org_id = ? order by dienststelletomitarbeiter.reihe", [rs.rows.item(m).org_id], function(tx2, rs2) {
                    var team = ''
                    var org_id = 0;
                    if (rs2.rows.length > 0) {
                        var conttemp = '<p class="bold">Team</p>';
                        for (var n=0;n<rs2.rows.length;n++) {
                            var org_id = rs2.rows.item(n).org_id
                            conttemp += '<p style="padding-top: 10px;">';
                            if (rs2.rows.item(n).tit.length > 0) {
                                conttemp += rs2.rows.item(n).tit + ' ';
                            }
                            if (rs2.rows.item(n).first.length > 0) {
                                conttemp += rs2.rows.item(n).first + ' ';
                            }
                            if (rs2.rows.item(n).last.length > 0) {
                                conttemp += rs2.rows.item(n).last;
                            }
                            //conttemp += rs2.rows.item(n).reihe;
                            conttemp += '</p>';
                            conttemp += '<p>';
                            /*
                            if (rs2.rows.item(n).phone.length > 0) {
                                conttemp += '<div href="tel:' + rs2.rows.item(n).phone + '" class="con_icon_tel">' + rs2.rows.item(n).phone + '</div>';
                            }
                            */
                            
                            if (rs2.rows.item(n).phone.length > 0) {
                                var teletemp = ''
                                if (window.areaCode[rs2.rows.item(n).org_id]) {
                                    if (window.areaCode[rs2.rows.item(n).org_id].length > 0) {
                                        teletemp += window.areaCode[rs2.rows.item(n).org_id] + ' ';
                                    }
                                }
                                teletemp += rs2.rows.item(n).phone;
                                conttemp +=  '<a href="tel:' + teletemp + '" class="con_link con_icon_tel">' + teletemp + '</a>';
                            }
                            
                            if (rs2.rows.item(n).mob.length > 0) {
                                //conttemp += '<div href="tel:' + rs2.rows.item(n).mob + '" class="con_icon_tel">' + rs2.rows.item(n).mob + '</div>';
                                conttemp += '<a href="tel:' + rs2.rows.item(n).mob + '" class="con_link con_icon_tel">' + rs2.rows.item(n).mob + '</a>';
                            }
                            if (rs2.rows.item(n).fax.length > 0) {
                                conttemp += '<div class="con_icon_fax">' + rs2.rows.item(n).fax + '</div>';
                            }
                            if (rs2.rows.item(n).email.length > 0) {
                                var temp = rs2.rows.item(n).email;
                                temp = temp.match(/.{1,2}/g).join("<wbr />");
                                conttemp += '<a href="mailto:' + rs2.rows.item(n).email + '" class="con_link con_icon_email">' + temp + '</a>';
                            }
                            conttemp += '</p>';
                            if (rs2.rows.item(n).image.length > 0) {
                                if (window.onlinestatus) {
                                    conttemp += '<p><img src="' + rs2.rows.item(n).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                                }
                            }
                        }
                        conttemp += '</p>';
                        var temp = { "id" : org_id, cont : conttemp };
                        teams.push(temp);
                    }
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                
                if (0 < rs.rows.item(m).times.length) {
                    content += '<div class="block"><p class="bold">Bürozeiten</p><p>' + rs.rows.item(m).times + '</p></div>';
                }
                if (0 < rs.rows.item(m).tzone.length) {
                    content += '<div class="block"><p class="bold">Zeitverschiebung</p><p>' + rs.rows.item(m).tzone + '</p></div>';
                }
                /*
                if (0 < rs.rows.item(m).country.length) {
                    content += '<div class="block"><p class="bold">Betreuungsbereich</p><p>' + rs.rows.item(m).country + '</p></div>';
                }
                */
            }
            
            tx.executeSql("SELECT * FROM dienststelle where dienststelle.org_id = ?", [window.currentState["reg_org_id"]], function(tx, rs) {
                
                //console.log(JSON.stringify(rs.rows, null, 4));
                if (rs.rows.length > 0) {
                    content += '<div class="wko_sitetitle"><br />';
                    content += '<div class="sharespace"></div><a href="javascript:;" onclick="shareCountryContact(\'' + rs.rows.item(0).org_id + '\');" class="sharebutton"></a>';    
                    content += 'Regionalmanager</div>';
                    /*
                    if (0 < rs.rows.item(m).kam.length) {
                        content += '<div class="wko_sitetitle">' + rs.rows.item(m).kam + '</div>';
                    }
                    */
                    content += '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(0).anr + ' ' + rs.rows.item(0).street + ' ' + rs.rows.item(0).zip + ' ' + rs.rows.item(0).city + ' ' + rs.rows.item(0).country + '\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(0).anr.length) {
                        content += rs.rows.item(0).anr + '<br />';
                    }
                    if (0 < rs.rows.item(0).street.length) {
                        content += rs.rows.item(0).street + '<br />';
                    }
                    if (0 < rs.rows.item(0).house.length) {
                        content += rs.rows.item(0).house + '<br />';
                    }
                    if (0 < rs.rows.item(0).city.length) {
                        content += rs.rows.item(0).zip + ' ' + rs.rows.item(0).city;
                    }
                    content += '</a>';
                    if ((rs.rows.item(0).tel.length > 0) || (rs.rows.item(0).teldur.length > 0)) {
                        var teltemp = ''
                        if (rs.rows.item(0).vor.length > 0) {
                            teltemp += rs.rows.item(0).vor + ' ';
                        }
                        if (rs.rows.item(0).tel.length > 0) {
                            teltemp += rs.rows.item(0).tel + ' ';
                        }
                        if (rs.rows.item(0).teldur.length > 0) {
                            teltemp += rs.rows.item(0).teldur;
                        }
                        content +=  '<a href="tel:' + teltemp + '" class="con_link con_icon_tel">' + teltemp + '</a>';
                    }            
                    window.areaCode[rs.rows.item(0).org_id] = '';
                    if (rs.rows.item(0).vor.length > 0) {
                        window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).vor + ' ';
                    }
                    if (rs.rows.item(0).tel.length > 0) {
                        window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).tel + ' ';
                    }
                    window.temp_orgid = rs.rows.item(0).org_id;
                    if ((rs.rows.item(0).fax.length > 0) || (rs.rows.item(0).faxdur.length > 0)) {
                        content +=  '<div class="con_icon_fax">';
                        if (rs.rows.item(0).vor.length > 0) {
                            content += rs.rows.item(0).vor + ' ';
                        }
                        if (rs.rows.item(0).fax.length > 0) {
                            content += rs.rows.item(0).fax + ' ';
                        }
                        if (rs.rows.item(0).faxdur.length > 0) {
                            content += rs.rows.item(0).faxdur;
                        }
                        content +=  '</div>';
                    }
                    if (rs.rows.item(0).email.length > 0) {
                        var temp2 = rs.rows.item(0).email;
                        temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                        content +=  '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                    }
                    if (0 < rs.rows.item(0).web.length) {
                        var temp = rs.rows.item(0).web;
                        temp = temp.match(/.{1,2}/g).join("<wbr />");
                        content +=  '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(0).web + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    content +=  '</div>';
                    
                    //lokale adresse
                    if (rs.rows.item(0).loc_buero_bz) {
                        if (0 < rs.rows.item(0).loc_buero_bz.length) {
                            content += '<div class="block"><p class="bold">Lokale Adresse</p><p style="padding-top: 10px;"><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(0).loc_adr1 + ' ' + rs.rows.item(0).loc_adr2 + ' ' + rs.rows.item(0).loc_adr3 + ' ' + rs.rows.item(0).loc_adr4 + ' ' + rs.rows.item(0).loc_adr5 + ' ' + rs.rows.item(0).loc_adr6 + ' ' + rs.rows.item(0).loc_adr7 + ' ' + rs.rows.item(0).loc_adr8 + ' ' + rs.rows.item(0).loc_adr9 + ' ' + rs.rows.item(0).loc_adr10 + '\');" ta class="con_link con_icon_adress">';
                            if (0 < rs.rows.item(0).loc_buero_bz.length) {
                                content += rs.rows.item(0).loc_buero_bz + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr1.length) {
                                content += rs.rows.item(0).loc_adr1 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr2.length) {
                                content += rs.rows.item(0).loc_adr2 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr3.length) {
                                content += rs.rows.item(0).loc_adr3 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr4.length) {
                                content += rs.rows.item(0).loc_adr4 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr5.length) {
                                content += rs.rows.item(0).loc_adr5 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr6.length) {
                                content += rs.rows.item(0).loc_adr6 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr7.length) {
                                content += rs.rows.item(0).loc_adr7 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr8.length) {
                                content += rs.rows.item(0).loc_adr8 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr9.length) {
                                content += rs.rows.item(0).loc_adr9 + '<br />';
                            }
                            if (0 < rs.rows.item(0).loc_adr10.length) {
                                content += rs.rows.item(0).loc_adr10 + '<br />';
                            }
                            content += '</a>';
                            content +=  '</div>';
                        }
                    }
                    
                    //favbutton
                    if (window.counter == 0) {
                        if ($.inArray('3_' + window.currentState["isocode"], window.favorite) !== -1 ) {
                            temp = 'aus Favoriten entfernen';
                        } else {
                            temp = 'zu Favoriten hinzufügen';
                        }
                        content = content + '<a onclick="window.middleware.setFavorite(3, \'' + window.currentState["isocode"] + '\', \'#fav_dienstland\', \'' + window.currentState["land"] + '\');" id="fav_dienstland" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                    }
                    
                    if (0 < rs.rows.item(0).times.length) {
                        content += '<div class="block"><p class="bold">Bürozeiten</p><p>' + rs.rows.item(0).times + '</p></div>';
                    }
                    if (0 < rs.rows.item(0).tzone.length) {
                        content += '<div class="block"><p class="bold">Zeitverschiebung</p><p>' + rs.rows.item(0).tzone + '</p></div>';
                    }
                    /*
                    if (0 < rs.rows.item(0).country.length) {
                        content += '<div class="block"><p class="bold">Betreuungsbereich</p><p>' + rs.rows.item(0).country + '</p></div>';
                    }
                    */
                }
                tx.executeSql("SELECT * FROM mitarbeiter where mitarbeiter.rol_id = ?", [window.currentState["reg_id"]], function(tx2, rs2) {
                    if (rs2.rows.length > 0) {
                        content += '<div class="block">';
                        content += '<p>';
                        if (rs2.rows.item(0).tit.length > 0) {
                            content += rs2.rows.item(0).tit + ' ';
                        }
                        if (rs2.rows.item(0).first.length > 0) {
                            content += rs2.rows.item(0).first + ' ';
                        }
                        if (rs2.rows.item(0).last.length > 0) {
                            content += rs2.rows.item(0).last;
                        }
                        content += '</p>';
                        content += '<p>';
                        /*
                        if (rs2.rows.item(0).phone.length > 0) {
                            content += '<div href="tel:' + rs2.rows.item(0).phone + '" class="con_icon_tel">' + rs2.rows.item(0).phone + '</div>';
                        }
                        */
                        if (rs2.rows.item(0).phone.length > 0) {
                            var teletemp = ''
                            if (window.areaCode[window.temp_orgid]) {
                                if (window.areaCode[window.temp_orgid].length > 0) {
                                    teletemp += window.areaCode[window.temp_orgid] + ' ';
                                }
                            }
                            teletemp += rs2.rows.item(0).phone;
                            content +=  '<a href="tel:' + teletemp + '" class="con_link con_icon_tel">' + teletemp + '</a>';
                        }
                        if (rs2.rows.item(0).mob.length > 0) {
                            //content += '<div href="tel:' + rs2.rows.item(0).mob + '" class="con_icon_tel">' + rs2.rows.item(0).mob + '</div>';
                            content += '<a href="tel:' + rs2.rows.item(0).mob + '" class="con_link con_icon_tel">' + rs2.rows.item(0).mob + '</a>';
                        }
                        if (rs2.rows.item(0).fax.length > 0) {
                            content += '<div class="con_icon_fax">' + rs2.rows.item(0).fax + '</div>';
                        }
                        if (rs2.rows.item(0).email.length > 0) {
                            var temp = rs2.rows.item(0).email;
                            temp = temp.match(/.{1,2}/g).join("<wbr />");
                            content += '<a href="mailto:' + rs2.rows.item(0).email + '" class="con_link con_icon_email">' + temp + '</a>';
                        }
                        content += '</p>';
                        if (rs2.rows.item(0).image.length > 0) {
                            if (window.onlinestatus) {
                                content += '<p><img src="' + rs2.rows.item(0).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                            }
                        }
                        content += '</div>';
                    }
                    
                    
                    
                    if (rs.rows.length == 0) {
                        //content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><div class="block"><p>Keine Ansprechpartner vorhanden.</p></div>';   
                    }
                    $("#blanko_content").html(content);
                    $("#blanko h1").html('Ansprechpartner');
                    
                    setTimeout(function() {
                        $.each(teams, function(key, val) {
                            $("#team_" + val.id).html(val.cont);
                            $("#team_" + val.id).css("display", "block");
                        });
                        jumpPage('#blanko', false);
                    }, 500 ); 
                    /*
                    var key;
                    for (key in window.areaCode) {
                        console.log ("Schlüssel " + key + " mit Wert " + window.areaCode[key]);
                    }
                    */
                    
                    
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
            }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    });
};  

window.middleware.setCountryNews = function() {
    window.middleware.db.nue.transaction(function(tx) {
        tx.executeSql("SELECT * FROM newsland where isocode = ? order by since desc, topic", [window.currentState["isocode"]], function(tx, rs) {
            //var content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><ul id="country_news_list" data-role="listview" data-inset="true" data-theme="h">';
            var content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
            for(var m=0;m<rs.rows.length;m++) {
                var date = new Date(rs.rows.item(m).since * 1000);
                //var dateString = date.getHours() + ":" + date.getMinutes() +" Uhr," + date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                //content = content + '<li><a onclick="window.middleware.detailLandNews('+rs.rows.item(m).doc_id+');" href="javascript:;"><h4>' + rs.rows.item(m).topic + '</h3><p>' + dateString + '</p></a></li>';
                content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    content = content + 'ui-first-child ';
                }
                if ((m+1) == rs.rows.length) {
                    content = content + 'ui-last-child';
                }
                content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandNews(';
                content = content + rs.rows.item(m).doc_id;
                content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                content = content + rs.rows.item(m).topic;
                content = content + '</h4><p class="ui-li-desc">';
                content = content + dateString;
                content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
            }
            content = content + '</ul>';
            if (rs.rows.length == 0) {
                content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><div class="block"><p>Keine Neuigkeiten vorhanden.</p></div>';   
            }
            $("#country_news_cont").html(content);
            //$('#country_news_list').listview().listview('refresh');
            //$('#country_news_list').listview('refresh');
            //$('#country_news').trigger('pagecreate');
            //$('#country_news').closest(":jqmData(role='page')").trigger('pagecreate');
            /*
            $('#country_news').bind('pageinit', function() {
                $('#country_news_list').listview('refresh');
              });
            */
            //$("#country_news .ui-content").listview().listview('refresh');
            jumpPage('#country_news', false);
        });
    });
};  

window.middleware.detailLandNews = function(doc_id) { 
    window.middleware.db.nue.transaction(function(tx) {
        tx.executeSql("SELECT * FROM newsland where doc_id = ?", [doc_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                $("#country_news_details .wko_sitetitle").html('<div class="sharespace"></div><a href="javascript:;" onclick="share(null, \'' + rs.rows.item(0).topic.replace(/(['"])/g, "") + '\', null, \'' + rs.rows.item(0).url + '\');" class="sharebutton"></a>' + rs.rows.item(0).topic);
                $("#country_news_sub").html(rs.rows.item(0).sub);
                $("#country_news_content").html(rs.rows.item(0).content);
                var temp = '';
                if (rs.rows.item(0).autor.length > 0) {
                    temp = temp + rs.rows.item(0).autor + '<br />';
                }
                if (rs.rows.item(0).email.length > 0) {
                    var temp2 = rs.rows.item(0).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    temp = temp + '<a href="mailto:' + rs.rows.item(0).email + '">' + temp2 + '</a>';
                }
                $("#country_news_autor").html(temp);
                
                if ($.inArray('7_' + rs.rows.item(0).doc_id, window.favorite) !== -1 ) {
                    temp = 'News aus Favoriten entfernen';
                } else {
                    temp = ' News zu Favoriten hinzufügen';
                }
                var date = new Date(rs.rows.item(0).since * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                temp = '<a onclick="window.middleware.setFavorite(7, \'' + rs.rows.item(0).doc_id + '\', \'#fav_country_news\', \'' + rs.rows.item(0).topic.replace(/(['"])/g, "") + '\', \'' + dateString + '\');" id="fav_country_news" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                $("#fav_country_news_cont").html(temp);
                
                /*
                $("#industry_pubs_rep_details_link").unbind("click");
                var n = rs.rows.item(0).link;
                (function(n) {
                    $("#industry_pubs_rep_details_link").click(function() {
                        var ref = window.open(n, '_blank', 'location=yes');
                    });
                })(n);
                */
                parseLinks('#country_news_content');
                jumpPage('#country_news_details', false);
            }
        });
    });
};

window.middleware.setCountryEvents = function() {
    window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
    window.middleware.db.eve.transaction(function(tx) {
        //tx.executeSql("SELECT * FROM events,eventstoland where events.events_id = eventstoland.events_id and eventstoland.land_id = ? order by events.date_start", [window.currentState["land_id"]], function(tx, rs) {
        tx.executeSql("SELECT * FROM events,eventstoland where events.events_id = eventstoland.events_id and eventstoland.land_id = ? and events.date_start > ? order by events.date_start, events.topic", [window.currentState["land_id"], window.yesterday], function(tx, rs) {
            var content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><ul id="country_events_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
            for(var m=0;m<rs.rows.length;m++) {
                var date = new Date(rs.rows.item(m).date_start * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    content = content + 'ui-first-child ';
                }
                if ((m+1) == rs.rows.length) {
                    content = content + 'ui-last-child ';
                }
                content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailLandEvents(\'';
                content = content + rs.rows.item(m).events_id;
                content = content + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                content = content + rs.rows.item(m).topic;
                content = content + '</h4><p class="ui-li-desc">';
                content = content + dateString;
                content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
            }
            content = content + '</ul>';
            if (rs.rows.length == 0) {
                content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div><div class="block"><p>Keine Veranstaltungen vorhanden.</p></div>';   
            }
            $("#country_events_cont").html(content);
            jumpPage('#country_events', false);
        });
    });
};  

window.middleware.detailLandEvents = function(events_id) {
    window.middleware.db.eve.transaction(function(tx) {
        tx.executeSql("SELECT * FROM events where events_id = ?", [events_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                $("#country_events_details .wko_sitetitle").html('<div class="sharespace"></div><a href="javascript:;" onclick="share(null, \'' + rs.rows.item(0).topic.replace(/(['"])/g, "")  + '\', null, \'https://www.wko.at/Content.Node/Veranstaltungsdetailseite.html?vaid=' + rs.rows.item(0).events_id + '\');" class="sharebutton"></a>' + rs.rows.item(0).topic);
                $("#country_events_sub").html(rs.rows.item(0).sub);
                $("#country_events_content").html(rs.rows.item(0).content);
                //veranstalter
                var temp = '';
                if (rs.rows.item(0).host.length > 0) {
                    temp = temp + '<p class="bold">Veranstalter</p><p>' + rs.rows.item(0).host + '</p>';
                }
                if (rs.rows.item(0).date_start.length > 0) {
                    var date = new Date(rs.rows.item(0).date_start * 1000);
                    var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear() + ', ' + date.getHours() + ":" + (date.getMinutes()<10?'0':'') + date.getMinutes() +" Uhr";
                    temp = temp + '<p class="bold">Termin</p><p>' + temp2;
                    if (rs.rows.item(0).date_end.length > 0) {
                        var date = new Date(rs.rows.item(0).date_end * 1000);
                        var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear() + ', ' + date.getHours() + ":" + (date.getMinutes()<10?'0':'') + date.getMinutes() +" Uhr";
                        temp = temp + '<br />bis<br />' + temp2;
                    }
                    temp = temp + '</p>';
                }
                if (rs.rows.item(0).city.length > 0) {
                    temp = temp + '<p class="bold">Veranstaltungsort</p><p>' + rs.rows.item(0).city + '</p>';
                }
                if (rs.rows.item(0).type.length > 0) {
                    temp = temp + '<p class="bold">Veranstaltungstyp</p><p>' + rs.rows.item(0).type + '</p>';
                }
                $("#country_events_host").html(temp);
                //ansprechpartner
                if ((rs.rows.item(0).last.length > 0) ||
                    (rs.rows.item(0).phone.length > 0) ||
                    (rs.rows.item(0).mobile.length > 0) ||
                    (rs.rows.item(0).fax.length > 0) ||
                    (rs.rows.item(0).email.length > 0)) {
                    var temp = '<p class="bold">Ansprechpartner</p>';
                    if (rs.rows.item(0).last.length > 0) {
                        temp = temp + '<p>';
                        if (rs.rows.item(0).title.length > 0) {
                            temp = temp + rs.rows.item(0).title + ' ';
                        }
                        temp = temp + rs.rows.item(0).first + ' ' + rs.rows.item(0).last + '</p>';
                    }
                    temp = temp + '<p>';
                    if (rs.rows.item(0).phone.length > 0) {
                        temp = temp + '<div class="con_icon_tel">';
                        temp = temp + rs.rows.item(0).phone;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).mobile.length > 0) {
                        temp = temp + '<div class="con_icon_tel">';
                        temp = temp + rs.rows.item(0).mobile;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).fax.length > 0) {
                        temp = temp + '<div class="con_icon_fax">';
                        temp = temp + rs.rows.item(0).fax;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).email.length > 0) {
                        var temp2 = rs.rows.item(0).email;
                        temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                        temp = temp + '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                    }
                    temp = temp + '</p>';
                } else { temp = ''; }
                if (rs.rows.item(0).reg.length > 0) {
                    var date = new Date(rs.rows.item(0).reg * 1000);
                    var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    temp = temp + '<p class="bold">Anmeldung bis</p><p>' + temp2 + '</p>';
                }
                $("#country_events_ap").html(temp);
                if ($.inArray('9_' + rs.rows.item(0).events_id, window.favorite) !== -1 ) {
                    temp = 'Event aus Favoriten entfernen';
                } else {
                    temp = 'Event zu Favoriten hinzufügen';
                }
                var date = new Date(rs.rows.item(0).date_start * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                temp = '<a onclick="window.middleware.setFavorite(9, \'' + rs.rows.item(0).events_id + '\', \'#fav_country_events\', \'' + rs.rows.item(0).topic.replace(/(['"])/g, "")  + '\', \'' + dateString + '\');" id="fav_country_events" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                $("#fav_country_events_cont").html(temp);
                parseLinks('#country_events_content');
                jumpPage('#country_events_details', false);
            }
        });
    });
};  

window.middleware.filterReiseinfo = function(filter) {
    if (filter == 0) {
        for (n=1;n<7;n++) {
            if ($("#country_reiseinfo_"+n).html().length > 0) {
                $("#country_reiseinfo_"+n).css("display", "block");
            }
        }
    } else {
        for (n=1;n<7;n++) {
            if (n == filter) {
                if ($("#country_reiseinfo_"+n).html().length > 0) {
                    $("#country_reiseinfo_"+n).css("display", "block");
                }
            } else {
                $("#country_reiseinfo_"+n).css("display", "none");
            }
        }
    }
    if (window.iscroll) {
        setTimeout(function() {
            $("#country_reiseinfo .ui-content").iscrollview().iscrollview('refresh');
        }, 500 ); 
    }
}

window.middleware.setReiseinfo = function() {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM empfehlung where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
            var reiseinfo = '';
            for(var m=0;m<rs.rows.length;m++) {
                if (rs.rows.item(m).typ == "allgemeine Reiseinformation") {
                    reiseinfo = rs.rows.item(m).inhalt;
                }
            }
            tx.executeSql("SELECT * FROM reiseinfo where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
                var feiertage = '';
                var zeiten = '';
                var sprachen = '';
                var strom = '';
                var notruf = '';
                for(var m=0;m<rs.rows.length;m++) {
                    if (rs.rows.item(m).type == "Feiertage") {
                        feiertage = rs.rows.item(m).cont;
                    }
                    if (rs.rows.item(m).type == "Geschäftszeiten") {
                        zeiten = rs.rows.item(m).cont;
                    }
                    if (rs.rows.item(m).type == "Landes- und Geschäftssprachen") {
                        sprachen = rs.rows.item(m).cont;
                    }
                    if (rs.rows.item(m).type == "Strom") {
                        strom = rs.rows.item(m).cont;
                    }
                }
                tx.executeSql("SELECT * FROM notruf where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
                    for(var n=0;n<rs.rows.length;n++) {
                        notruf += '<p class="reise_freetext">' + rs.rows.item(n).who;
                        if (rs.rows.item(n).who.length > 0) {
                            notruf += ' / ';
                        }
                        notruf += rs.rows.item(n).name + '<p><a href="tel:' + rs.rows.item(n).num + '" class="con_link con_icon_tel">' + rs.rows.item(n).num + '</a></p></p>';
                    }
                    $("#reiseinfo .wko_sitetitle").html(window.currentState["land"]);
                    $('#country_reiseinfo_sel').find('option').remove().end();
                    $('#country_reiseinfo_sel').append($('<option>', { 
                        value: '0',
                        text : 'Alle Reiseinformationen' 
                    }));
                    if (0 < reiseinfo.length) {
                        $("#country_reiseinfo_1").html('<div class="block"><p class="bold">Reiseempfehlungen</p><p class="reise_freetext">' + reiseinfo + '</p></div>');
                        $("#country_reiseinfo_1").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '1',
                            text : 'Reiseempfehlungen' 
                        }));
                    } else {
                        $("#country_reiseinfo_1").html('');
                        $("#country_reiseinfo_1").css('display', 'none');
                    }
                    if (0 < feiertage.length) {
                        $("#country_reiseinfo_2").html('<div class="block"><p class="bold">Feiertage</p><p class="reise_freetext">' + feiertage + '</p></div>');
                        $("#country_reiseinfo_2").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '2',
                            text : 'Feiertage' 
                        }));
                    } else {
                        $("#country_reiseinfo_2").html('');
                        $("#country_reiseinfo_2").css('display', 'none');
                    }
                    if (0 < zeiten.length) {
                        $("#country_reiseinfo_3").html('<div class="block"><p class="bold">Geschäftszeiten</p><p class="reise_freetext">' + zeiten + '</p></div>');
                        $("#country_reiseinfo_3").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '3',
                            text : 'Geschäftszeiten' 
                        }));
                    } else {
                        $("#country_reiseinfo_3").html('');
                        $("#country_reiseinfo_3").css('display', 'none');
                    }
                    if (0 < sprachen.length) {
                        $("#country_reiseinfo_4").html('<div class="block"><p class="bold">Landes- und Geschäftssprachen</p><p class="reise_freetext">' + sprachen + '</p></div>');
                        $("#country_reiseinfo_4").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '4',
                            text : 'Landes- und Geschäftssprachen' 
                        }));
                    } else {
                        $("#country_reiseinfo_4").html('');
                        $("#country_reiseinfo_4").css('display', 'none');
                    }
                    if (0 < strom.length) {
                        $("#country_reiseinfo_5").html('<div class="block"><p class="bold">Strom</p><p class="reise_freetext">' + strom + '</p></div>');
                        $("#country_reiseinfo_5").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '5',
                            text : 'Strom' 
                        }));
                    } else {
                        $("#country_reiseinfo_5").html('');
                        $("#country_reiseinfo_5").css('display', 'none');
                    }
                    if (0 < notruf.length) {
                        $("#country_reiseinfo_6").html('<div class="block"><p class="bold">Notrufnummer(n)</p><p>' + notruf + '</p></div>');
                        $("#country_reiseinfo_6").css('display', 'block');
                        $('#country_reiseinfo_sel').append($('<option>', { 
                            value: '6',
                            text : 'Notrufnummer(n)' 
                        }));
                    } else {
                        $("#country_reiseinfo_6").html('');
                        $("#country_reiseinfo_6").css('display', 'none');
                    }
                    if (($("#country_reiseinfo_1").html().length == 0) && ($("#country_reiseinfo_1").html().length == 0) && ($("#country_reiseinfo_1").html().length == 0) &&
                       ($("#country_reiseinfo_1").html().length == 0) && ($("#country_reiseinfo_1").html().length == 0) && ($("#country_reiseinfo_1").html().length == 0)) { 
                        $("#country_reiseinfo_with").css('display', 'none');
                        $("#country_reiseinfo_without").css('display', 'block');
                    } else {
                        $("#country_reiseinfo_with").css('display', 'block');
                        $("#country_reiseinfo_without").css('display', 'none');
                    }
                    parseLinks('.reise_freetext');
                    jumpPage('#country_reiseinfo', false);
                });
            });
        });
    });
}

window.middleware.filterEmpfehlungen = function(filter) {
    if (filter == 0) {
        $("#country_empfehl_1").css("display", "block");
        $("#country_empfehl_2").css("display", "block");
        //$("#country_empfehl_3").css("display", "block");
        $("#country_empfehl_4").css("display", "block");
        $(".empfehl_topic").css("display", "block");
    }
    if (filter == 1) {
        $("#country_empfehl_1").css("display", "block");
        $("#country_empfehl_2").css("display", "none");
        //$("#country_empfehl_3").css("display", "none");
        $("#country_empfehl_4").css("display", "none");
        $(".empfehl_topic").css("display", "none");
    }
    if (filter == 2) {
        $("#country_empfehl_1").css("display", "none");
        $("#country_empfehl_2").css("display", "block");
        //$("#country_empfehl_3").css("display", "none");
        $("#country_empfehl_4").css("display", "none");
        $(".empfehl_topic").css("display", "none");
    }
    if (filter == 3) {
        $("#country_empfehl_1").css("display", "none");
        $("#country_empfehl_2").css("display", "none");
        //$("#country_empfehl_3").css("display", "block");
        $("#country_empfehl_4").css("display", "none");
        $(".empfehl_topic").css("display", "none");
    }
    if (filter == 4) {
        $("#country_empfehl_1").css("display", "none");
        $("#country_empfehl_2").css("display", "none");
        //$("#country_empfehl_3").css("display", "none");
        $("#country_empfehl_4").css("display", "block");
        $(".empfehl_topic").css("display", "none");
    }
    if (window.iscroll) {
        setTimeout(function() {
            $(window.page + " .ui-content").iscrollview().iscrollview('refresh');
        }, 500 ); 
    }
}

window.middleware.listRefreshRestaurant = function(city) {
    var restaurants = '';
    if (city == '0') {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM restaurant where isocode = ? order by city,restaurant", [window.currentState["isocode"]], function(tx, rs) {
                for(var m=0;m<rs.rows.length;m++) {
                    var restaurant = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).restaurant +'\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(m).restaurant.length) {
                        restaurant += rs.rows.item(m).restaurant + '<br />';
                    }
                    if (0 < rs.rows.item(m).street1.length) {
                        restaurant += rs.rows.item(m).street1 + '<br />';
                    }
                    if (0 < rs.rows.item(m).street2.length) {
                        restaurant += rs.rows.item(m).street2 + '<br />';
                    }
                    if (0 < rs.rows.item(m).city.length) {
                        restaurant += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                    }
                    restaurant += '</a>';
                    if (0 < rs.rows.item(m).net.length) {
                        var temp = rs.rows.item(m).net;
                        temp = temp.match(/.{1,2}/g).join("<wbr />");
                        restaurant += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    if (0 < rs.rows.item(m).note.length) {
                        restaurant += '<p class="restaurant_note">' + rs.rows.item(m).note + '</p>';
                    }
                    restaurant += '</p></div>';
                    if ($.inArray('12_' + rs.rows.item(m).restaurant_id, window.favorite) !== -1 ) {
                        temp = 'aus Favoriten entfernen';
                    } else {
                        temp = 'zu Favoriten hinzufügen';
                    }
                    restaurant += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(12, \'' + rs.rows.item(m).rest_id + '\', \'#fav_restaurant_' + rs.rows.item(m).rest_id + '\', \'\');" id="fav_restaurant_' + rs.rows.item(m).rest_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                    restaurants = restaurants + restaurant;
                }
                if (0 < restaurants.length) {
                    $("#country_empfehl_2 .ui-select").css("display", "block");
                    parseLinks('.restaurant_note');
                    $("#country_empfehl_2_list").html(restaurants);
                } else {
                    $("#country_empfehl_2 .ui-select").css("display", "none");
                    $("#country_empfehl_2_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                }
            });
        }); 
    } else {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM restaurant where isocode = ? order by city,restaurant", [window.currentState["isocode"]], function(tx, rs) {
                for(var m=0;m<rs.rows.length;m++) {
                    if (city == $.trim(rs.rows.item(m).city)) {
                        var restaurant = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).restaurant +'\');" ta class="con_link con_icon_adress">';
                        if (0 < rs.rows.item(m).restaurant.length) {
                            restaurant += rs.rows.item(m).restaurant + '<br />';
                        }
                        if (0 < rs.rows.item(m).street1.length) {
                            restaurant += rs.rows.item(m).street1 + '<br />';
                        }
                        if (0 < rs.rows.item(m).street2.length) {
                            restaurant += rs.rows.item(m).street2 + '<br />';
                        }
                        if (0 < rs.rows.item(m).city.length) {
                            restaurant += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                        }
                        restaurant += '</a>';
                        if (0 < rs.rows.item(m).net.length) {
                            var temp = rs.rows.item(m).net;
                            temp = temp.match(/.{1,2}/g).join("<wbr />");
                            restaurant += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                        }
                        if (0 < rs.rows.item(m).note.length) {
                            restaurant += '<p class="restaurant_note">' + rs.rows.item(m).note + '</p>';
                        }
                        restaurant += '</p></div>';
                        if ($.inArray('12_' + rs.rows.item(m).restaurant_id, window.favorite) !== -1 ) {
                            temp = 'aus Favoriten entfernen';
                        } else {
                            temp = 'zu Favoriten hinzufügen';
                        }
                        restaurant += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(12, \'' + rs.rows.item(m).rest_id + '\', \'#fav_restaurant_' + rs.rows.item(m).rest_id + '\', \'\');" id="fav_restaurant_' + rs.rows.item(m).rest_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                        restaurants = restaurants + restaurant;
                    }
                }
                if (0 < restaurants.length) {
                    $("#country_empfehl_2 .ui-select").css("display", "block");
                    parseLinks('.restaurant_note');
                    $("#country_empfehl_2_list").html(restaurants);
                } else {
                    $("#country_empfehl_2 .ui-select").css("display", "none");
                    $("#country_empfehl_2_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                }
            });
        }); 
    }
    if (window.iscroll) {
        setTimeout(function() {
            $(window.page + " .ui-content").iscrollview().iscrollview('refresh');
        }, 500 ); 
    }
}    
        
window.middleware.listRefreshHotel = function(city) {
    var hotels = '';
    if (city == '0') {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM hotel where isocode = ? order by city,hotel", [window.currentState["isocode"]], function(tx, rs) {
                for(var m=0;m<rs.rows.length;m++) {
                    var hotel = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).hotel +'\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(m).hotel.length) {
                        hotel += rs.rows.item(m).hotel + '<br />';
                    }
                    if (0 < rs.rows.item(m).street1.length) {
                        hotel += rs.rows.item(m).street1 + '<br />';
                    }
                    if (0 < rs.rows.item(m).street2.length) {
                        hotel += rs.rows.item(m).street2 + '<br />';
                    }
                    if (0 < rs.rows.item(m).city.length) {
                        hotel += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                    }
                    hotel += '</a>';
                    if (0 < rs.rows.item(m).net.length) {
                        var temp = rs.rows.item(m).net;
                        temp = temp.match(/.{1,2}/g).join("<wbr />");
                        hotel += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    if (0 < rs.rows.item(m).note.length) {
                        hotel += '<p class="hotel_note">' + rs.rows.item(m).note + '</p>';
                    }
                    hotel += '</p>';
                    hotel += '</div>';
                    if ($.inArray('11_' + rs.rows.item(m).hotel_id, window.favorite) !== -1 ) {
                        temp = 'aus Favoriten entfernen';
                    } else {
                        temp = 'zu Favoriten hinzufügen';
                    }
                    hotel += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(11, \'' + rs.rows.item(m).hotel_id + '\', \'#fav_hotel_' + rs.rows.item(m).hotel_id + '\', \'\');" id="fav_hotel_' + rs.rows.item(m).hotel_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                    hotels = hotels + hotel;
                }
                if (0 < hotels.length) {
                    $("#country_empfehl_1 .ui-select").css("display", "block");
                    $("#country_empfehl_1_list").html(hotels);
                    parseLinks('.hotel_note');
                } else {
                    $("#country_empfehl_1 .ui-select").css("display", "none");
                    $("#country_empfehl_1_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                }
            });
        });
    } else {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM hotel where isocode = ? order by city,hotel", [window.currentState["isocode"]], function(tx, rs) {
                for(var m=0;m<rs.rows.length;m++) {
                    if (city == $.trim(rs.rows.item(m).city)) {
                        var hotel = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).hotel +'\');" ta class="con_link con_icon_adress">';
                        if (0 < rs.rows.item(m).hotel.length) {
                            hotel += rs.rows.item(m).hotel + '<br />';
                        }
                        if (0 < rs.rows.item(m).street1.length) {
                            hotel += rs.rows.item(m).street1 + '<br />';
                        }
                        if (0 < rs.rows.item(m).street2.length) {
                            hotel += rs.rows.item(m).street2 + '<br />';
                        }
                        if (0 < rs.rows.item(m).city.length) {
                            hotel += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                        }
                        hotel += '</a>';
                        if (0 < rs.rows.item(m).net.length) {
                            var temp = rs.rows.item(m).net;
                            temp = temp.match(/.{1,2}/g).join("<wbr />");
                            hotel += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                        }
                        if (0 < rs.rows.item(m).note.length) {
                            hotel += '<p class="hotel_note">' + rs.rows.item(m).note + '</p>';
                        }
                        hotel += '</p>';
                        hotel += '</div>';
                        if ($.inArray('11_' + rs.rows.item(m).hotel_id, window.favorite) !== -1 ) {
                            temp = 'aus Favoriten entfernen';
                        } else {
                            temp = 'zu Favoriten hinzufügen';
                        }
                        hotel += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(11, \'' + rs.rows.item(m).hotel_id + '\', \'#fav_hotel_' + rs.rows.item(m).hotel_id + '\', \'\');" id="fav_hotel_' + rs.rows.item(m).hotel_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                        hotels = hotels + hotel;
                    }
                }
                if (0 < hotels.length) {
                    $("#country_empfehl_1 .ui-select").css("display", "block");
                    $("#country_empfehl_1_list").html(hotels);
                    parseLinks('.hotel_note');
                } else {
                    $("#country_empfehl_1 .ui-select").css("display", "none");
                    $("#country_empfehl_1_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                }
            });
        });
    }
    if (window.iscroll) {
        setTimeout(function() {
            $(window.page + " .ui-content").iscrollview().iscrollview('refresh');
        }, 500 ); 
    }
}

window.middleware.setEmpfehlungen = function() {
    var hotels = '';
    var restaurants = '';
    var reiseinfo = '';
    var dos = '';
    var content = '';
    var counter = 0;
    window.tempcitieshot = [];
    window.tempcitiesres = [];
    $('#country_empfehl_sel').find('option').remove().end();
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM hotel where isocode = ? order by city,hotel", [window.currentState["isocode"]], function(tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                var hotel = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).hotel +'\');" ta class="con_link con_icon_adress">';
                if (0 < rs.rows.item(m).hotel.length) {
                    hotel += rs.rows.item(m).hotel + '<br />';
                }
                if (0 < rs.rows.item(m).street1.length) {
                    hotel += rs.rows.item(m).street1 + '<br />';
                }
                if (0 < rs.rows.item(m).street2.length) {
                    hotel += rs.rows.item(m).street2 + '<br />';
                }
                if (0 < rs.rows.item(m).city.length) {
                    hotel += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                }
                hotel += '</a>';
                if (0 < rs.rows.item(m).net.length) {
                    var temp = rs.rows.item(m).net;
                    temp = temp.match(/.{1,2}/g).join("<wbr />");
                    hotel += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                }
                if (0 < rs.rows.item(m).note.length) {
                    hotel += '<p class="hotel_note">' + rs.rows.item(m).note + '</p>';
                }
                hotel += '</p>';
                hotel += '</div>';
                if ($.inArray('11_' + rs.rows.item(m).hotel_id, window.favorite) !== -1 ) {
                    temp = 'aus Favoriten entfernen';
                } else {
                    temp = 'zu Favoriten hinzufügen';
                }
                hotel += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(11, \'' + rs.rows.item(m).hotel_id + '\', \'#fav_hotel_' + rs.rows.item(m).hotel_id + '\', \'\');" id="fav_hotel_' + rs.rows.item(m).hotel_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                hotels = hotels + hotel;
                
                if ($.inArray($.trim(rs.rows.item(m).city), window.tempcitieshot) > -1) {
                } else {
                    window.tempcitieshot.push($.trim(rs.rows.item(m).city));
                }      
            }
            if (0 < hotels.length) {
                //content = content + '<div class="block"><p class="bold">Hotels</p><p>' + hotels + '</p></div>';
                //content = content + '<div id="country_empfehl_1"><p class="bold" style="font-weight: bold;">Hotels</p>' + hotels + '</div>';
                $("#country_empfehl_1_list").html(hotels);

                $('#country_empfehl_sel_1').find('option').remove().end();
                for(var m=0;m<window.tempcitieshot.length;m++) { 
                    $('#country_empfehl_sel_1').append($('<option>', { 
                        value: window.tempcitieshot[m],
                        text : window.tempcitieshot[m]
                    }));
                }
                window.tempcitieshot = [];
                var options = $('#country_empfehl_sel_1 option');
                var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
                arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
                options.each(function(i, o) {
                  o.value = arr[i].v;
                  $(o).text(arr[i].t);
                });
                $('#country_empfehl_sel_1').prepend($('<option>', { 
                    value: '0',
                    text : 'Alle Städte' 
                }));
                setTimeout(function() {
                    $('#country_empfehl_sel_1').selectmenu('refresh', true);
                }, 750 );    
                $('#country_empfehl_sel').append($('<option>', { 
                    value: '1',
                    text : 'Hotels' 
                }));
                $("#country_empfehl_sel_1_cont").css("display", "block");
                counter = counter + 1;
            } else {
                $("#country_empfehl_1_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                $("#country_empfehl_sel_1_cont").css("display", "none");
            }
            tx.executeSql("SELECT * FROM restaurant where isocode = ? order by city,restaurant", [window.currentState["isocode"]], function(tx, rs) {
                for(var m=0;m<rs.rows.length;m++) {
                    var restaurant = '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + window.currentState["land"] + ' ' + rs.rows.item(m).zip + ' ' + rs.rows.item(m).city + ' ' + rs.rows.item(m).street1 + ' ' + rs.rows.item(m).street2 + ' ' + rs.rows.item(m).restaurant +'\');" ta class="con_link con_icon_adress">';
                    if (0 < rs.rows.item(m).restaurant.length) {
                        restaurant += rs.rows.item(m).restaurant + '<br />';
                    }
                    if (0 < rs.rows.item(m).street1.length) {
                        restaurant += rs.rows.item(m).street1 + '<br />';
                    }
                    if (0 < rs.rows.item(m).street2.length) {
                        restaurant += rs.rows.item(m).street2 + '<br />';
                    }
                    if (0 < rs.rows.item(m).city.length) {
                        restaurant += rs.rows.item(m).zip + ' ' + rs.rows.item(m).city;
                    }
                    restaurant += '</a>';
                    if (0 < rs.rows.item(m).net.length) {
                        var temp = rs.rows.item(m).net;
                        temp = temp.match(/.{1,2}/g).join("<wbr />");
                        restaurant += '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(m).net + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                    }
                    if (0 < rs.rows.item(m).note.length) {
                        restaurant += '<p class="restaurant_note">' + rs.rows.item(m).note + '</p>';
                    }
                    restaurant += '</p></div>';
                    if ($.inArray('12_' + rs.rows.item(m).restaurant_id, window.favorite) !== -1 ) {
                        temp = 'aus Favoriten entfernen';
                    } else {
                        temp = 'zu Favoriten hinzufügen';
                    }
                    restaurant += '<a style="margin: 0 0 20px 0;" onclick="window.middleware.setFavorite(12, \'' + rs.rows.item(m).rest_id + '\', \'#fav_restaurant_' + rs.rows.item(m).rest_id + '\', \'\');" id="fav_restaurant_' + rs.rows.item(m).rest_id + '" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                    restaurants = restaurants + restaurant;
                    
                    if ($.inArray($.trim(rs.rows.item(m).city), window.tempcitiesres) > -1) {
                    } else {
                        window.tempcitiesres.push($.trim(rs.rows.item(m).city));
                    }  
                }
                if (0 < restaurants.length) {
                    //content = content + '<div class="block"><p class="bold">Restaurants</p><p>' + restaurants + '</p></div>';
                    $("#country_empfehl_2_list").html(restaurants);
                    
                    $('#country_empfehl_sel_2').find('option').remove().end();
                    for(var m=0;m<window.tempcitiesres.length;m++) { 
                        $('#country_empfehl_sel_2').append($('<option>', { 
                            value: window.tempcitiesres[m],
                            text : window.tempcitiesres[m]
                        }));
                    }
                    window.tempcitiesres = [];
                    var options = $('#country_empfehl_sel_2 option');
                    var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
                    arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
                    options.each(function(i, o) {
                      o.value = arr[i].v;
                      $(o).text(arr[i].t);
                    });
                    $('#country_empfehl_sel_2').prepend($('<option>', { 
                        value: '0',
                        text : 'Alle Städte' 
                    }));
                    setTimeout(function() {
                        $('#country_empfehl_sel_2').selectmenu('refresh', true);
                    }, 750 );  
                    $('#country_empfehl_sel').append($('<option>', { 
                        value: '2',
                        text : 'Restaurants' 
                    }));
                    $("#country_empfehl_sel_2_cont").css("display", "block");
                    counter = counter + 1;
                } else {
                    $("#country_empfehl_2_list").html('Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.');
                    $("#country_empfehl_sel_2_cont").css("display", "none");
                }
                tx.executeSql("SELECT * FROM empfehlung where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
                    
                    for(var m=0;m<rs.rows.length;m++) {
                        if (rs.rows.item(m).typ == "allgemeine Reiseinformation") {
                            reiseinfo = rs.rows.item(m).inhalt;
                        }
                        if (rs.rows.item(m).typ == "DoDont") { 
                            dos = rs.rows.item(m).inhalt;
                        }
                    }
                    /*
                    if (0 < reiseinfo.length) {
                        $("#country_empfehl_3").html('<div class="block"><p class="bold empfehl_topic">allgemeine Reiseinformation</p><p>' + reiseinfo + '</p></div>');
                        $('#country_empfehl_sel').append($('<option>', { 
                            value: '3',
                            text : 'allgemeine Reiseinformation' 
                        }));
                        counter = counter + 1;
                        parseLinks('#country_empfehl_3');
                    } else {
                        $("#country_empfehl_3").html('<div class="block"><p class="bold empfehl_topic">allgemeine Reiseinformation</p><p>Für weitere Informationen wenden Sie sich bitte an das zuständige AußenwirtschaftsCenter.</p></div>');
                    }
                    */
                    if (0 < dos.length) {
                        $("#country_empfehl_4").html('<div class="block"><p class="bold empfehl_topic">Do\'s and Don\'ts</p><p>' + dos + '</p></div>');
                        $('#country_empfehl_sel').append($('<option>', { 
                            value: '4',
                            text : 'Do\'s and Don\'ts' 
                        }));
                        counter = counter + 1;
                        parseLinks('#country_empfehl_4');
                    } else {
                        $("#country_empfehl_4").html('<div class="block"><p class="bold empfehl_topic">Do\'s and Don\'ts</p><p>Für weitere Informationen wenden Sie sich bitte an das zuständige <a href="javascript:;" onclick="window.middleware.setCountryContacts();" style="color: #ee0000 !important;">AußenwirtschaftsCenter</a>.</p></div>');
                    }
                    
                    /*
                    if (content == '<div class="wko_sitetitle">' + window.currentState["land"] + '</div>') { 
                        content = content + '<div class="block"><p>Keine Daten vorhanden.</p></div>';
                    }
                    */
                    //$("#country_empfehl_list").html(content);
                    
                    $('#country_empfehl_sel').prepend($('<option>', { 
                        value: '0',
                        text : 'Alle Empfehlungen' 
                    }));
                    $("#country_empfehl_sel").siblings('option').removeAttr('selected').val('0').attr('selected', true);
                    setTimeout(function() {
                        $('#country_empfehl_sel').selectmenu('refresh', true);
                        window.middleware.filterEmpfehlungen(0);
                    }, 50 );
                    
                    $("#country_empfehl .wko_sitetitle").html(window.currentState["land"]);
                    if (counter > 0) {
                        $("#country_empfehl_with").css("display", "block");
                        $("#country_empfehl_without").css("display", "none");
                    } else {
                        $("#country_empfehl_with").css("display", "none");
                        $("#country_empfehl_without").css("display", "block");
                    }
                    parseLinks('.hotel_note');
                    parseLinks('.restaurant_note');
                    jumpPage('#country_empfehl', false);
                
                });
            });
        });
    });
}

window.middleware.setOekbinfos = function() {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM oekb where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
            var content = '<div class="wko_sitetitle">' + window.currentState["land"] + '</div>';
            if (rs.rows.length == 0) {
                content = content + '<div class="block"><p>Keine Daten vorhanden.</p></div>';
            } else {
                if (0 < rs.rows.item(0).cat.length) {
                    content = content + '<div class="block"><p class="bold">Kategorie</p><p>' + rs.rows.item(0).cat + '</p></div>';
                }
                if (0 < rs.rows.item(0).deck_p.length) {
                    content = content + '<div class="block"><p class="bold">Deckungspolitik</p><p>' + rs.rows.item(0).deck_p + '</p></div>';
                }
                if (0 < rs.rows.item(0).deck_q.length) {
                    content = content + '<div class="block"><p class="bold">Deckungsquote</p><p>' + rs.rows.item(0).deck_q + '</p></div>';
                }
                if (0 < rs.rows.item(0).bank.length) {
                    content = content + '<div class="block"><p class="bold">Banken</p><p>' + rs.rows.item(0).bank + '</p></div>';
                }
                if (0 < rs.rows.item(0).interv.length) {
                    content = content + '<div class="block"><p class="bold">Laufzeit</p><p>' + rs.rows.item(0).interv + '</p></div>';
                }
            }
            $("#blanko_content").html(content);
            $("#blanko h1").html('OeKB Informationen');
            jumpPage('#blanko', false);
        });
    });
}

window.middleware.setCountryPubs = function() {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM texte where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
            var temp_1 = 0;
            var temp_2 = 0
            for(var m=0;m<rs.rows.length;m++) {
                if (rs.rows.item(m).type == 'Wirtschaftsreport') {
                    $("#country_pubs_wreport_content").html(rs.rows.item(m).cont);
                    temp_2 = 1;
                } 
            }
            if (temp_2 == 0) {
                $("#country_pubs_wreport_content_con").css('display', 'none');
            } else {
                $("#country_pubs_wreport_content_con").css('display', 'block');
            }
            tx.executeSql("SELECT * FROM pub where isocode = ? and typ like ?", [window.currentState["isocode"], 'Update'], function(tx, rs) {
                if (rs.rows.length == 0) {
                    $("#country_pubs_wreport_time").html("Leider keine Daten vorhanden.");
                    $("#country_pubs_wreport_content_con").css('display', 'none');
                    $("#wko_wreport_link").css('display', 'none');
                    jumpPage('#country_pubs', false);
                } else {
                    $("#country_pubs_wreport_content_con").css('display', 'block');
                    $("#wko_wreport_link").css('display', 'block');
                    var date = new Date(rs.rows.item(0).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    $("#country_pubs_wreport_time").html("Erscheinungsdatum: " + dateString + "<br />Artikelnummer: " + rs.rows.item(0).number);
                    $("#wko_wreport_link").unbind("click");
                    var n = rs.rows.item(0).link;
                    (function(n) {
                        $("#wko_wreport_link").click(function() {
                            var ref = loadexternal(n, '_blank', 'location=yes');
                        });
                    })(n);
                    jumpPage('#country_pubs', false);
                }
            });
        });
    });
}

window.middleware.setCountryWirtschaft = function() {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM texte where isocode = ?", [window.currentState["isocode"]], function(tx, rs) {
            var temp_1 = 0;
            var temp_2 = 0
            var videos = '';
            for(var m=0;m<rs.rows.length;m++) {
                if (rs.rows.item(m).type == 'Infobox') {
                    $("#country_wirtschaft_infobox").html(rs.rows.item(m).cont);
                    temp_1 = 1;
                } 
                if (window.onlinestatus == true) {
                    if (rs.rows.item(m).type == 'Youtube') {
                        var temphtml = '<div class="country_video"><a onclick="var ref = window.open(\'https://m.youtube.com/watch?v=' + rs.rows.item(m).cont + '\', \'_system\', \'location=yes\');" href="javascript:;"> <img src="http://img.youtube.com/vi/' + rs.rows.item(m).cont + '/hqdefault.jpg" width="100%"/></a></div>';
                        videos = videos + temphtml;
                        temp_2 = temp_2 + 1;
                    } 
                }
            }
            if (temp_1 == 0) {
                $("#country_wirtschaft_infobox_con").css('display', 'none');
            } else {
                $("#country_wirtschaft_infobox_con").css('display', 'block');
            }
            if (temp_2 == 0) {
                $("#country_wirtschaft_videos").css('display', 'none');
                $("#country_wirtschaft_videos").html('');
            } else {
                $("#country_wirtschaft_videos").css('display', 'block');
                $("#country_wirtschaft_videos").html(videos);
                
                setTimeout(function() {
                    $("#country_wirtschaft .ui-content").iscrollview().iscrollview('refresh');
                }, 1000 ); 
                setTimeout(function() {
                    $("#country_wirtschaft .ui-content").iscrollview().iscrollview('refresh');
                }, 1500 ); 
                setTimeout(function() {
                    $("#country_wirtschaft .ui-content").iscrollview().iscrollview('refresh');
                }, 2000 ); 
            }
            jumpPage('#country_wirtschaft', false);
            
        });
    });
}

window.middleware.setCountryReport = function() {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM pub where isocode = ? and typ like ?", [window.currentState["isocode"], 'Länderreport'], function(tx, rs) {
            if (rs.rows.length == 0) {
                $("#country_pubs_lreport .block:first").html("Leider keine Daten vorhanden.");
                $("#country_pubs_lreport_cont").css('display', 'none');
                $("#country_pubs_lreport .block:last").css('display', 'none');
                $("#wko_lreport_link").css('display', 'none');
                jumpPage('#country_pubs_lreport', false);
            } else {
                $("#country_pubs_lreport_cont").css('display', 'block');
                $("#country_pubs_lreport .block:last").css('display', 'block');
                $("#wko_lreport_link").css('display', 'block');
                $("#country_pubs_lreport .block:first").html(rs.rows.item(0).prod_sub);
                $("#country_pubs_lreport_cont").html(rs.rows.item(0).prod_cont);
                var date = new Date(rs.rows.item(0).since * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                $("#country_pubs_lreport .block:last").html("Erscheinungsdatum: " + dateString);
                $("#wko_lreport_link").unbind("click");
                var n = rs.rows.item(0).link;
                (function(n) {
                    $("#wko_lreport_link").click(function() {
                        var ref = loadexternal(n, '_blank', 'location=yes');
                    });
                })(n);
                parseLinks('#country_pubs_lreport_cont');
                jumpPage('#country_pubs_lreport', false);
            }
        }); 
    });
}

//industrie

window.middleware.getIndustry = function(zcode, branche_id, updated, callback) {
    window.today = 0;
    window.middleware.db.gen.transaction(function(tx){
        tx.executeSql("SELECT * FROM branchetoday where zcode = ?", [zcode], function (tx, rs) {
            if (rs.rows.length == 0) {
                window.today = 1;
                tx.executeSql("INSERT INTO branchetoday (zcode) VALUES (?)",
                        [zcode],
                        function (tx, r) {}, 
                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
            }
        });
    }, function() {}, function() {
        window.today = 1;
        if (window.today == 0) {
            callback(zcode);
        } else {
            if ($.mobile) { getdataOverlay('block'); }
            $.getJSON(config.api_url + '?view=branchedetail&zcode=' + zcode + '&bid=' + branche_id + '&t=' + updated + '&jsoncallback=?', function(data) {
                window.middleware.db.gen.transaction(function(tx) { 
                /*
                    $.each(data.pub, function(key, val) { 
                        if (val.live == 0) {
                            tx.executeSql("delete from pub where pub_id = ?", [val.pub_id]);
                        } else {
                            tx.executeSql("SELECT * FROM pub where pub_id = ?", [val.pub_id], function (tx, rs) {
                                if (rs.rows.length == 0) {
                                    tx.executeSql("INSERT INTO pub(pub_id, isocode, zcode, prod_id, prod_name, prod_sub, prod_cont, number, anbiet, since, until, typ, link, pdflink) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                            [val.pub_id, val.isocode, val.zcode, val.prod_id, val.prod_name, val.prod_sub, val.prod_cont, val.number, val.anbiet, val.since, val.until, val.typ, val.link, val.pdflink],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                } else {
                                    tx.executeSql("UPDATE pub set isocode = ?, zcode = ?, prod_id = ?, prod_name = ?, prod_sub = ?, prod_cont = ?, number = ?, anbiet = ?, since = ?, until = ?, typ = ?, link = ?, pdflink = ? where pub_id = ?",
                                            [val.isocode, val.zcode, val.prod_id, val.prod_name, val.prod_sub, val.prod_cont, val.number, val.anbiet, val.since, val.until, val.typ, val.link, val.pdflink, val.pub_id],
                                            function (tx, r) {}, 
                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                }
                                if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                    if (val.typ == 'IO-Report') {
                                        window.middleware.updatedFavorite(2, 4, zcode, '', val.prod_name, '');
                                    }
                                    if (val.typ == 'Branchenprofil') {
                                        window.middleware.updatedFavorite(2, 6, zcode, '', val.prod_name, '');
                                    }
                                }
                            });
                        }
                    }); 
                    */
                    //if (data.pub.length == 0) {
                        if (window.checker.windows) {
                            tx.executeSql("SELECT count(*) FROM pub where pub_id = ?", ['1'], function (tx, rs) {});
                        }
                    //}
                }, function() {}, function() {
                    window.middleware.db.neb.transaction(function(tx) { 
                        $.each(data.news, function(key, val) {
                            if (val.live == 0) {
                                tx.executeSql("delete from newsbranche where doc_id = ?", [val.doc_id]);
                                window.middleware.deleteFavorite(2, 1, zcode, val.doc_id);
                            } else {
                                tx.executeSql("SELECT * FROM newsbranche where doc_id = ?", [val.doc_id], function (tx, rs) {
                                    if (rs.rows.length == 0) { 
                                        tx.executeSql("INSERT INTO newsbranche(doc_id, zcode, isocode, topic, sub, content, autor, email, url, since, until, updated) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)",
                                                [val.doc_id, val.zcode, val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.updated],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    } else {
                                        tx.executeSql("UPDATE newsbranche set zcode = ?, isocode = ?, topic = ?, sub = ?, content = ?, autor = ?, email = ?, url = ?, since = ?, until = ?, updated = ?  where doc_id = ?",
                                                [val.zcode, val.isocode, val.topic, val.sub, val.content, val.autor, val.email, val.url, val.since, val.until, val.updated, val.doc_id],
                                                function (tx, r) {}, 
                                                function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                    }
                                    if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                        window.middleware.updatedFavorite(2, 1, zcode, val.doc_id, val.topic, val.since);
                                        debuglog('Newsupdate: ' + val.zcode + ' ' + val.topic + ' ' + val.doc_id);
                                    }
                                });
                            }
                        });
                        if (data.news.length == 0) {
                            if (window.checker.windows) {
                                tx.executeSql("SELECT count(*) FROM newsbranche where doc_id = ?", ['1'], function (tx, rs) {});
                            }
                        }
                    }, function() {}, function() {
                        window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
                        window.middleware.db.eve.transaction(function(tx) { 
                            $.each(data.events, function(key, val) {
                                if (val.live == 0) {
                                    tx.executeSql("delete from events where events_id = ?", [val.events_id]);
                                    tx.executeSql("delete from eventstoland where events_id = ?", [val.events_id]);
                                    tx.executeSql("delete from eventstobranche where events_id = ?", [val.events_id]);
                                    window.middleware.deleteFavorite(2, 3, zcode, val.events_id);
                                } else {
                                    tx.executeSql("SELECT * FROM events where events_id = ?", [val.events_id], function (tx, rs) {
                                        if (rs.rows.length == 0) {
                                            if (val.date_start > window.yesterday) {
                                            tx.executeSql("INSERT INTO events(events_id, type, isos, date_start, date_end, reg, topic, sub, content, host, city, first, last, title, phone, mobile, fax, email, since, until) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                    [val.events_id, val.type, val.isos, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until],
                                                    function (tx, r) {
                                                        tx.executeSql("SELECT * FROM eventstobranche where events_id = ? and branche_id = ?", [val.events_id,branche_id], function (tx, rs) {
                                                            if (rs.rows.length == 0) {     
                                                                tx.executeSql("INSERT INTO eventstobranche (events_id, branche_id) VALUES (?,?)", [val.events_id,branche_id]);
                                                            } 
                                                        });
                                                    }, 
                                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                        } else {
                                            tx.executeSql("UPDATE events set type = ?, isos = ?, date_start = ?, date_end = ?, reg = ?, topic = ?, sub = ?, content = ?, host = ?, city = ?, first = ?, last = ?, title = ?, phone = ?, mobile = ?, fax = ?, email = ?, since = ?, until = ?  where events_id = ?",
                                                    [val.type, val.isos, val.date_start, val.date_end, val.reg, val.topic, val.sub, val.content, val.host, val.city, val.first, val.last, val.title, val.phone, val.mobile, val.fax, val.email, val.since, val.until, val.events_id],
                                                    function (tx, r) {
                                                        tx.executeSql("SELECT * FROM eventstobranche where events_id = ? and branche_id = ?", [val.events_id,branche_id], function (tx, rs) {
                                                            if (rs.rows.length == 0) {     
                                                                tx.executeSql("INSERT INTO eventstobranche (events_id, branche_id) VALUES (?,?)", [val.events_id,branche_id]);
                                                            } 
                                                        });
                                                    }, 
                                                    function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                        }
                                        if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                            window.middleware.updatedFavorite(2, 3, zcode, val.events_id, val.topic, val.date_start);
                                            debuglog('Eventupdate: ' + val.zcode);
                                        }
                                    });
                                }
                            });
                            if (data.events.length == 0) {
                                if (window.checker.windows) {
                                    tx.executeSql("SELECT count(*) FROM events where events_id = ?", ['1'], function (tx, rs) {});
                                }
                            }
                        }, function(error) { console.log(JSON.stringify(error.message, null, 4)); }, function() {
                            window.middleware.db.peo.transaction(function(tx) { 
                                $.each(data.dienst, function(key, val) {
                                    if (val.live == 0) {
                                        tx.executeSql("delete from dienststelle where org_id = ?", [val.org_id]);
                                        tx.executeSql("delete from dienststelletoland where org_id = ?", [val.org_id]);
                                        tx.executeSql("delete from dienststelletomitarbeiter where org_id = ?", [val.org_id]);
                                    } else {
                                        tx.executeSql("SELECT * FROM dienststelle where org_id = ?", [val.org_id], function (tx, rs) {
                                            if (rs.rows.length == 0) {
                                                tx.executeSql("INSERT INTO dienststelle (org_id, decrip, times, profile, kam, tzone, house, street, zip, country, anr, email, web, vor, tel, fax, teldur, faxdur, city) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.org_id, val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            } else {
                                                tx.executeSql("UPDATE dienststelle set decrip = ?, times = ?, profile = ?, kam = ?, tzone = ?, house = ?, street = ?, zip = ?, country = ?, anr = ?, email = ?, web = ?, vor = ?, tel = ?, fax = ?, teldur = ?, faxdur = ?, city = ?  where org_id = ?",
                                                        [val.decrip, val.times, val.profile, val.kam, val.tzone, val.house, val.street, val.zip, val.country, val.anr, val.email, val.web, val.vor, val.tel, val.fax, val.teldur, val.faxdur, val.city, val.org_id],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                            if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                                window.middleware.updatedFavorite(2, 2, zcode, '', val.decrip, '');
                                            }
                                            if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                                window.favorite_updated.push('6_' + zcode);
                                            }
                                        });
                                    }
                                });
                                if (data.dienst.length == 0) {
                                    if (window.checker.windows) {
                                        tx.executeSql("SELECT count(*) FROM dienststelle where org_id = ?", ['1'], function (tx, rs) {});
                                    }
                                }
                                $.each(data.manager, function(key, val) {
                                    if (val.live == 0) {
                                        tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                        tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                                    } else {
                                        tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                            if (rs.rows.length == 0) {
                                                tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            } else {
                                                tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                        [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                            if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                                window.middleware.updatedFavorite(2, 2, zcode, '', val.first + ' ' + val.last, '');
                                            }
                                            if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                                window.favorite_updated.push('6_' + zcode);
                                            }
                                        });
                                    }
                                });
                                $.each(data.messe, function(key, val) {
                                    if (val.live == 0) {
                                        tx.executeSql("delete from mitarbeiter where rol_id = ?", [val.rol_id]);
                                        tx.executeSql("delete from dienststelletomitarbeiter where rol_id = ?", [val.rol_id]);
                                    } else {
                                        tx.executeSql("SELECT * FROM mitarbeiter where rol_id = ?", [val.rol_id], function (tx, rs) {
                                            if (rs.rows.length == 0) {
                                                tx.executeSql("INSERT INTO mitarbeiter (rol_id, image, first, last, tit, tit2, phone, mob, fax, email, stel_kat_id, etage, room) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                        [val.rol_id, val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            } else {
                                                tx.executeSql("UPDATE mitarbeiter set  image = ?, first = ?, last = ?, tit = ?, tit2 = ?, phone = ?, mob = ?, fax = ?, email = ?, stel_kat_id = ?, etage = ?, room = ? where rol_id = ?",
                                                        [val.image, val.first, val.last, val.tit, val.tit2, val.phone, val.mob, val.fax, val.email, val.stel_kat_id, val.etage, val.room, val.rol_id],
                                                        function (tx, r) {}, 
                                                        function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                            }
                                            if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                                window.middleware.updatedFavorite(2, 2, zcode, '', val.first + ' ' + val.last, '');
                                            }
                                            if ($.inArray('6_' + zcode, window.favorite) !== -1 ) {
                                                window.favorite_updated.push('6_' + zcode);
                                            }
                                        });
                                    }
                                });
                            }, function() {}, function() {
                                window.middleware.db.cha.transaction(function(tx) { 
                                    $.each(data.chance, function(key, val) { 
                                        if (val.live == 0) {
                                            tx.executeSql("delete from chance where chance_id = ?", [val.chance_id]);
                                            tx.executeSql("delete from chancetobranche where chance_id = ?", [val.chance_id]);
                                            window.middleware.deleteFavorite(2, 5, zcode, val.chance_id);
                                        } else {
                                            tx.executeSql("SELECT * FROM chance where chance_id = ?", [val.chance_id], function (tx, rs) {
                                                if (rs.rows.length == 0) {
                                                    tx.executeSql("INSERT INTO chance(chance_id, isocode, land_id, topic, sub, content, type, comp, comp_type, street, extra_1, extra_2, zip, city, phone_land, phone_city, phone_1, phone_2, fax, email, web, person, lang, sharelink, link, since, until) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)",
                                                            [val.chance_id, val.isocode, val.land_id, val.topic, val.sub, val.content, val.type, val.comp, val.comp_type, val.street, val.extra_1, val.extra_2, val.zip, val.city, val.phone_land, val.phone_city, val.phone_1, val.phone_2, val.fax, val.email, val.web, val.person, val.lang, val.sharelink, val.link, val.since, val.until],
                                                            function (tx, r) {
                                                                tx.executeSql("SELECT * FROM chancetobranche where chance_id = ? and branche_id = ?", [val.chance_id,branche_id], function (tx, rs) {
                                                                    if (rs.rows.length == 0) {     
                                                                        tx.executeSql("INSERT INTO chancetobranche (chance_id, branche_id) VALUES (?,?)", [val.chance_id, branche_id]);
                                                                    } 
                                                                });
                                                            }, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                } else {
                                                    tx.executeSql("UPDATE chance set isocode = ?, land_id = ?, topic = ?, sub = ?, content = ?, type = ?, comp = ?, comp_type = ?, street = ?, extra_1 = ?, extra_2 = ?, zip = ?, city = ?, phone_land = ?, phone_city = ?, phone_1 = ?, phone_2 = ?, fax = ?, email = ?, web = ?, person = ?, lang = ?, sharelink = ?, link = ?, since = ?, until = ? where chance_id = ?",
                                                            [val.isocode, val.land_id, val.topic, val.sub, val.content, val.type, val.comp, val.comp_type, val.street, val.extra_1, val.extra_2, val.zip, val.city, val.phone_land, val.phone_city, val.phone_1, val.phone_2, val.fax, val.email, val.web, val.person, val.lang, val.sharelink, val.link, val.since, val.until, val.chance_id],
                                                            function (tx, r) {
                                                                tx.executeSql("SELECT * FROM chancetobranche where chance_id = ? and branche_id = ?", [val.chance_id,branche_id], function (tx, rs) {
                                                                    if (rs.rows.length == 0) {     
                                                                        tx.executeSql("INSERT INTO chancetobranche (chance_id, branche_id) VALUES (?,?)", [val.chance_id, branche_id]);
                                                                    } 
                                                                });
                                                            }, 
                                                            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
                                                }
                                                if ($.inArray('2_' + zcode, window.favorite) !== -1 ) {
                                                    window.middleware.updatedFavorite(2, 5, zcode, val.chance_id, val.topic, val.since);
                                                }
                                            });
                                        }
                                    });
                                    if (data.chance.length == 0) {
                                        if (window.checker.windows) {
                                            tx.executeSql("SELECT count(*) FROM chance where chance_id = ?", ['1'], function (tx, rs) {});
                                        }
                                    }
                                }, function() {}, function() {
                                    callback(zcode);
                                });
                            });
                        });
                    });
                });
            })
            .fail(function() {
                getdataOverlay('none');
                message('Leider tritt aktuell bei der Verarbeitung der Daten "' + window.currentIndustry["descrip"] + '" ein Fehler auf. Wir werden diesen schnellstmöglich beheben. Bitte probieren sie es später erneut.');
            });
        }
    });
};

window.middleware.prepareIndustry = function(zcode, callback) {
    $("#industry h1").html(window.currentIndustry["descrip"]);
    callback(zcode);
};

window.middleware.setCurrentIndustry = function(zcode) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
            window.currentIndustry["descrip"] = rs.rows.item(0).descrip;
            window.currentIndustry["zcode"]   = zcode;
            window.currentIndustry["branche_id"] = rs.rows.item(0).branche_id;
            window.currentIndustry["org_id"] = rs.rows.item(0).org_id;
            window.currentIndustry["manager_id"] = rs.rows.item(0).manager_id;
            window.currentIndustry["messe_id"] = rs.rows.item(0).messe_id;
            window.currentIndustry["updated"] = rs.rows.item(0).updated;
            window.currentIndustry["ever"] = rs.rows.item(0).ever;
            if (window.onlinestatus) { 
                window.middleware.getIndustry(zcode, rs.rows.item(0).branche_id,rs.rows.item(0).updated,function(zcode) {
                    window.middleware.prepareIndustry(zcode,function(zcode) {
                        getdataOverlay('none');
                        window.currentIndustry["updated"] = getCurrentTimestamp();
                        
                        if ($.inArray('2_' + window.currentIndustry["zcode"], window.favorite) !== -1 ) {
                            $("#fav_industry .ui-btn-text").html('Branche aus Favoriten entfernen');
                        } else {
                            $("#fav_industry .ui-btn-text").html('Branche zu Favoriten hinzufügen');
                        }
                        $("#fav_industry").unbind("click");
                        $("#fav_industry").click(function() {
                            window.middleware.setFavorite(2, window.currentIndustry["zcode"], "#fav_industry", window.currentIndustry["descrip"]);
                        });
                        
                        window.middleware.db.gen.transaction(function(tx) {
                            tx.executeSql("UPDATE branche set updated = ?, ever = 1 where zcode = ?",
                                    [window.currentIndustry["updated"], window.currentIndustry["zcode"]],
                                    function (tx, r) {
                                jumpPage('#industry', false);
                                    }, 
                                    function (tx, e) {});
                        });
                    });
                });
            } else {
                if (window.currentIndustry["ever"] == 1) {
                    window.middleware.prepareIndustry(zcode,function(zcode) {
                        if ($.inArray('2_' + window.currentIndustry["zcode"], window.favorite) !== -1 ) {
                            $("#fav_industry .ui-btn-text").html('Branche aus Favoriten entfernen');
                        } else {
                            $("#fav_industry .ui-btn-text").html('Branche zu Favoriten hinzufügen');
                        }
                        $("#fav_industry").unbind("click");
                        $("#fav_industry").click(function() {
                            window.middleware.setFavorite(2, window.currentIndustry["zcode"], "#fav_industry", window.currentIndustry["descrip"]);
                        });
                        jumpPage('#industry', false);
                    });
                } else {
                    message('Sie sind offline und haben diese Branche vorher noch nie aktualisiert. Es liegen daher keine Daten vor.');
                }
            }
        });
    });
};

window.middleware.setDirectContactIndustry = function(zcode) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM branche where zcode = ?", [zcode], function(tx, rs) {
            window.currentIndustry["descrip"] = rs.rows.item(0).descrip;
            window.currentIndustry["zcode"]   = zcode;
            window.currentIndustry["branche_id"] = rs.rows.item(0).branche_id;
            window.currentIndustry["org_id"] = rs.rows.item(0).org_id;
            window.currentIndustry["manager_id"] = rs.rows.item(0).manager_id;
            window.currentIndustry["messe_id"] = rs.rows.item(0).messe_id;
            window.currentIndustry["updated"] = rs.rows.item(0).updated;
            window.middleware.setIndustryContacts();
        });
    });
};

window.middleware.setIndustryContacts = function() {
    var teams = [];
    window.middleware.db.peo.transaction(function(tx) {
        tx.executeSql("SELECT * FROM dienststelle where dienststelle.org_id = ?", [window.currentIndustry["org_id"]], function(tx, rs) {
            var content = '';
            if (rs.rows.length == 0) {
                content = '<div class="wko_sitetitle">' + window.currentIndustry["descrip"] + '</div><div class="block"><p>Keine Ansprechpartner vorhanden.</p></div>';   
            } else {

                if (0 < rs.rows.item(0).decrip.length) {
                    content += '<div class="wko_sitetitle">';
                    content += '<div class="sharespace"></div><a href="javascript:;" onclick="shareIndustryContact(\'' + rs.rows.item(0).org_id + '\',\'' + window.currentIndustry["manager_id"] + '\',\'' + window.currentIndustry["messe_id"] + '\');" class="sharebutton"></a>'; 
                    content += rs.rows.item(0).decrip + '</div>';
                }
                /*
                if (0 < rs.rows.item(m).kam.length) {
                    content += '<div class="wko_sitetitle">' + rs.rows.item(m).kam + '</div>';
                }
                */
                content += '<div class="block"><p><a href="javascript:;" onclick="loadexternal(\'http://maps.google.com/?q=' + rs.rows.item(0).anr + ' ' + rs.rows.item(0).street + ' ' + rs.rows.item(0).zip + ' ' + rs.rows.item(0).city + ' ' + rs.rows.item(0).country + '\');" ta class="con_link con_icon_adress">';
                if (0 < rs.rows.item(0).anr.length) {
                    content += rs.rows.item(0).anr + '<br />';
                }
                if (0 < rs.rows.item(0).street.length) {
                    content += rs.rows.item(0).street + '<br />';
                }
                if (0 < rs.rows.item(0).house.length) {
                    content += rs.rows.item(0).house + '<br />';
                }
                if (0 < rs.rows.item(0).city.length) {
                    content += rs.rows.item(0).zip + ' ' + rs.rows.item(0).city;
                }
                content += '</a>';
                if ((rs.rows.item(0).tel.length > 0) || (rs.rows.item(0).teldur.length > 0)) {
                    var teltemp = ''
                    if (rs.rows.item(0).vor.length > 0) {
                        teltemp += rs.rows.item(0).vor + ' ';
                    }
                    if (rs.rows.item(0).tel.length > 0) {
                        teltemp += rs.rows.item(0).tel + ' ';
                    }
                    if (rs.rows.item(0).teldur.length > 0) {
                        teltemp += rs.rows.item(0).teldur;
                    }
                    content +=  '<a href="tel:' + teltemp + '" class="con_link con_icon_tel">' + teltemp + '</a>';
                }       
                window.areaCode[rs.rows.item(0).org_id] = '';
                if (rs.rows.item(0).vor.length > 0) {
                    window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).vor + ' ';
                }
                if (rs.rows.item(0).tel.length > 0) {
                    window.areaCode[rs.rows.item(0).org_id] += rs.rows.item(0).tel + ' ';
                }
                window.temp_orgid = rs.rows.item(0).org_id;
                if ((rs.rows.item(0).fax.length > 0) || (rs.rows.item(0).faxdur.length > 0)) {
                    content +=  '<div class="con_icon_fax">';
                    if (rs.rows.item(0).vor.length > 0) {
                        content += rs.rows.item(0).vor + ' ';
                    }
                    if (rs.rows.item(0).fax.length > 0) {
                        content += rs.rows.item(0).fax + ' ';
                    }
                    if (rs.rows.item(0).faxdur.length > 0) {
                        content += rs.rows.item(0).faxdur;
                    }
                    content +=  '</div>';
                }
                if (rs.rows.item(0).email.length > 0) {
                    var temp2 = rs.rows.item(0).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                }
                if (0 < rs.rows.item(0).web.length) {
                    var temp = rs.rows.item(0).web;
                    temp = temp.match(/.{1,2}/g).join("<wbr />");
                    content +=  '<a href="javascript:;" onclick="loadexternal(\'' + rs.rows.item(0).web + '\');" class="con_link con_icon_url">' + temp + '</a>';;
                }
                content +=  '</div>';
                
                //favbutton
                if ($.inArray('6_' + window.currentIndustry["zcode"], window.favorite) !== -1 ) {
                    temp = 'aus Favoriten entfernen';
                } else {
                    temp = 'zu Favoriten hinzufügen';
                }
                content = content + '<a onclick="window.middleware.setFavorite(6, \'' + window.currentIndustry["zcode"] + '\', \'#fav_dienstbranche\', \'' + window.currentIndustry["descrip"] + '\');" id="fav_dienstbranche" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
 
                
                if (0 < rs.rows.item(0).times.length) {
                    content += '<div class="block"><p class="bold">Bürozeiten</p><p>' + rs.rows.item(0).times + '</p></div>';
                }
                if (0 < rs.rows.item(0).tzone.length) {
                    content += '<div class="block"><p class="bold">Zeitverschiebung</p><p>' + rs.rows.item(0).tzone + '</p></div>';
                }
                /*
                if (0 < rs.rows.item(0).country.length) {
                    content += '<div class="block"><p class="bold">Betreuungsbereich</p><p>' + rs.rows.item(0).country + '</p></div>';
                }
                */
                
                tx.executeSql("SELECT * FROM mitarbeiter where mitarbeiter.rol_id = ?", [window.currentIndustry["manager_id"]], function(tx2, rs2) {
                    content += '<div class="block">';
                    if (rs2.rows.length > 0) {
                        content +=  '<p class="bold">Branchenmanager</p>';
                        content += '<p>';
                        if (rs2.rows.item(0).tit.length > 0) {
                            content += rs2.rows.item(0).tit + ' ';
                        }
                        if (rs2.rows.item(0).first.length > 0) {
                            content += rs2.rows.item(0).first + ' ';
                        }
                        if (rs2.rows.item(0).last.length > 0) {
                            content += rs2.rows.item(0).last;
                        }
                        content += '</p>';
                        content += '<p>';
                        /*
                        if (rs2.rows.item(0).phone.length > 0) {
                            content += '<div href="tel:' + rs2.rows.item(0).phone + '" class="con_icon_tel">' + rs2.rows.item(0).phone + '</div>';
                        }
                        */
                        if (rs2.rows.item(0).phone.length > 0) {
                            var teletemp = ''
                            if (window.areaCode[window.temp_orgid]) {
                                if (window.areaCode[window.temp_orgid].length > 0) {
                                    teletemp += window.areaCode[window.temp_orgid] + ' ';
                                }
                            }
                            teletemp += rs2.rows.item(0).phone;
                            content +=  '<a href="tel:' + teletemp + '" class="con_link con_icon_tel">' + teletemp + '</a>';
                        }
                        if (rs2.rows.item(0).mob.length > 0) {
                            //content += '<div href="tel:' + rs2.rows.item(0).mob + '" class="con_icon_tel">' + rs2.rows.item(0).mob + '</div>';
                            content += '<a href="tel:' + rs2.rows.item(0).mob + '" class="con_link con_icon_tel">' + rs2.rows.item(0).mob + '</a>';
                        }
                        if (rs2.rows.item(0).fax.length > 0) {
                            content += '<div class="con_icon_fax">' + rs2.rows.item(0).fax + '</div>';
                        }
                        if (rs2.rows.item(0).email.length > 0) {
                            var temp = rs2.rows.item(0).email;
                            temp = temp.match(/.{1,2}/g).join("<wbr />");
                            content += '<a href="mailto:' + rs2.rows.item(0).email + '" class="con_link con_icon_email">' + temp + '</a>';
                        }
                        content += '</p>';
                        if (rs2.rows.item(0).image.length > 0) {
                            if (window.onlinestatus) {
                                content += '<p><img src="' + rs2.rows.item(0).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                            }
                        }
                    }
                    tx.executeSql("SELECT * FROM mitarbeiter where mitarbeiter.rol_id = ?", [window.currentIndustry["messe_id"]], function(tx2, rs2) {
                        if (rs2.rows.length > 0) {
                            content +=  '<p class="bold" style="padding-top: 10px;">Messeansprechpartner</p>';
                            content += '<p>';
                            if (rs2.rows.item(0).tit.length > 0) {
                                content += rs2.rows.item(0).tit + ' ';
                            }
                            if (rs2.rows.item(0).first.length > 0) {
                                content += rs2.rows.item(0).first + ' ';
                            }
                            if (rs2.rows.item(0).last.length > 0) {
                                content += rs2.rows.item(0).last;
                            }
                            content += '</p>';
                            content += '<p>';
                            /*
                            if (rs2.rows.item(0).phone.length > 0) {
                                content += '<div href="tel:' + rs2.rows.item(0).phone + '" class="con_icon_tel">' + rs2.rows.item(0).phone + '</div>';
                            }
                            */
                            if (rs2.rows.item(0).phone.length > 0) {
                                var teletemp = ''
                                if (window.areaCode[window.temp_orgid]) {
                                    if (window.areaCode[window.temp_orgid].length > 0) {
                                        teletemp += window.areaCode[window.temp_orgid] + ' ';
                                    }
                                }
                                teletemp += rs2.rows.item(0).phone;
                                content +=  '<a href="tel:' + teletemp + '" class="con_link con_icon_tel">' + teletemp + '</a>';
                            }
                            if (rs2.rows.item(0).mob.length > 0) {
                                //content += '<div href="tel:' + rs2.rows.item(0).mob + '" class="con_icon_tel">' + rs2.rows.item(0).mob + '</div>';
                                content += '<a href="tel:' + rs2.rows.item(0).mob + '" class="con_link con_icon_tel">' + rs2.rows.item(0).mob + '</a>';
                            }
                            if (rs2.rows.item(0).fax.length > 0) {
                                content += '<div class="con_icon_fax">' + rs2.rows.item(0).fax + '</div>';
                            }
                            if (rs2.rows.item(0).email.length > 0) {
                                var temp = rs2.rows.item(0).email;
                                temp = temp.match(/.{1,2}/g).join("<wbr />");
                                content += '<a href="mailto:' + rs2.rows.item(0).email + '" class="con_link con_icon_email">' + temp + '</a>';
                            }
                            content += '</p>';
                            if (rs2.rows.item(0).image.length > 0) {
                                if (window.onlinestatus) {
                                    content += '<p><img src="' + rs2.rows.item(0).image + '" width="160" height="221" style="border:1px solid #555555;margin-top: 5px;" /></p>';
                                }
                            }
                        }
                        content += '</div>';
                        
                        $("#blanko_content").html(content);
                        $("#blanko h1").html('Ansprechpartner');
                        jumpPage('#blanko', false);
                    }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
                }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')'); });
            }
        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    });
};  

window.middleware.setIndustryNews = function(isocode) {
    $("#industry_news .wko_sitetitle").html(window.currentIndustry["descrip"]);
    window.tempstates = [];
    if (isocode == '0') {
        window.middleware.db.neb.transaction(function(tx) {
            tx.executeSql("SELECT * FROM newsbranche where zcode = ? order by since desc, topic", [window.currentIndustry["zcode"]], function(tx, rs) {
                var content = '<ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheNews(';
                    content = content + rs.rows.item(m).doc_id;
                    content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                    if (rs.rows.item(m).isocode.length > 0) {
                        if ($.inArray(rs.rows.item(m).isocode, window.tempstates) > -1) {
                        } else {
                            window.tempstates.push(rs.rows.item(m).isocode);
                        }
                    }
                }
                content = content + '</ul>';
                
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Neuigkeiten vorhanden.</p></div>';   
                    $('#industry_news_sel_cont').css('display', 'none');
                } else {
                    $('#industry_news_sel_cont').css('display', 'block');
                }
                $('#industry_news_sel').find('option').remove().end();
                for(var m=0;m<window.tempstates.length;m++) { 
                    var temp = '';
                    $.each(window.states, function(key, val) {
                        if (val.isocode == window.tempstates[m]) {
                            temp = val.land;
                        }
                    });    
                    $('#industry_news_sel').append($('<option>', { 
                        value: window.tempstates[m],
                        text : temp
                    }));
                }
                window.tempstates = [];
                var options = $('#industry_news_sel option');
                var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
                arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
                options.each(function(i, o) {
                  o.value = arr[i].v;
                  $(o).text(arr[i].t);
                });
                $('#industry_news_sel').prepend($('<option>', { 
                    value: '0',
                    text : 'Alle Länder anzeigen' 
                }));
                setTimeout(function() {
                    $('#industry_news_sel').selectmenu('refresh', true);
                }, 750 );  
                
                $("#industry_news_cont").html(content);
                jumpPage('#industry_news', false);
            });
        });
    } else {
        window.middleware.db.neb.transaction(function(tx) {
            tx.executeSql("SELECT * FROM newsbranche where zcode = ? and isocode = ? order by since desc, topic", [window.currentIndustry["zcode"], isocode], function(tx, rs) {
                var content = '<ul id="country_news_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheNews(';
                    content = content + rs.rows.item(m).doc_id;
                    content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                content = content + '</ul>';
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Neuigkeiten vorhanden.</p></div>';   
                }
                $("#industry_news_cont").html(content);
                jumpPage('#industry_news', false);
            });
        });
    }
};  

window.middleware.detailBrancheNews = function(doc_id) {
    window.middleware.db.neb.transaction(function(tx) {
        tx.executeSql("SELECT * FROM newsbranche where doc_id = ?", [doc_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                $("#industry_news_details .wko_sitetitle").html('<div class="sharespace"></div><a href="javascript:;" onclick="share(null, \'' + rs.rows.item(0).topic.replace(/(['"])/g, "")  + '\', null, \'' + rs.rows.item(0).url + '\');" class="sharebutton"></a>' + rs.rows.item(0).topic);
                $("#industry_news_sub").html(rs.rows.item(0).sub);
                $("#industry_news_content").html(rs.rows.item(0).content);
                var temp = '';
                if (rs.rows.item(0).autor.length > 0) {
                    temp = temp + rs.rows.item(0).autor + '<wbr />';
                }
                if (rs.rows.item(0).email.length > 0) {
                    var temp2 = rs.rows.item(0).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    temp = temp + '<a href="mailto:' + rs.rows.item(0).email + '">' + temp2 + '</a>';
                }
                $("#industry_news_autor").html(temp);
                if ($.inArray('8_' + rs.rows.item(0).doc_id, window.favorite) !== -1 ) {
                    temp = 'News aus Favoriten entfernen';
                } else {
                    temp = ' News zu Favoriten hinzufügen';
                }
                var date = new Date(rs.rows.item(0).since * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                temp = '<a onclick="window.middleware.setFavorite(8, \'' + rs.rows.item(0).doc_id + '\', \'#fav_industry_news\', \'' + rs.rows.item(0).topic.replace(/(['"])/g, "") + '\', \'' + dateString + '\');" id="fav_industry_news" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                $("#fav_industry_news_cont").html(temp);
                parseLinks('#industry_news_content');
                jumpPage('#industry_news_details', false);
            }
        });
    });
};

window.middleware.setIndustryEvents = function(isocode) {
    $("#industry_events .wko_sitetitle").html(window.currentIndustry["descrip"]);
    window.tempstates = [];
    if (isocode == '0') {
        window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
        window.temp = getCurrentTimestamp();
        window.middleware.db.eve.transaction(function(tx) {
            //tx.executeSql("SELECT * FROM events where events.until < ? or events.date_start < ?", [window.temp, window.yesterday], function(tx, rs) {
            tx.executeSql("SELECT * FROM events,eventstobranche where events.events_id = eventstobranche.events_id and eventstobranche.branche_id = ? order by events.date_start, events.topic", [window.currentIndustry["branche_id"]], function(tx, rs) {
            //tx.executeSql("SELECT * FROM events,eventstobranche where events.events_id = eventstobranche.events_id and eventstobranche.branche_id = ? and events.date_start > ? order by events.date_start", [window.currentIndustry["branche_id"], window.yesterday], function(tx, rs) {
                
                var content = '<ul id="country_events_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).date_start * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryEvents(\'';
                    content = content + rs.rows.item(m).events_id;
                    content = content + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                    
                    if (rs.rows.item(m).isos.length > 0) {
                        var isos = rs.rows.item(m).isos.split(':');
                        for(var i=0;i<isos.length;i++) {
                            if ($.inArray(isos[i], window.tempstates) > -1) {
                            } else {
                                window.tempstates.push(isos[i]);
                            }
                        }
                    }
                }
                content = content + '</ul>';
                
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Veranstaltungen vorhanden.</p></div>';   
                    $('#industry_events_sel_cont').css('display', 'none');
                } else {
                    $('#industry_events_sel_cont').css('display', 'block');
                }
                $('#industry_events_sel').find('option').remove().end();
                for(var m=0;m<window.tempstates.length;m++) { 
                    var temp = '';
                    $.each(window.states, function(key, val) {
                        if (val.isocode == window.tempstates[m]) {
                            temp = val.land;
                        }
                    });    
                    $('#industry_events_sel').append($('<option>', { 
                        value: window.tempstates[m],
                        text : temp
                    }));
                }
                window.tempstates = [];
                var options = $('#industry_events_sel option');
                var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
                arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
                options.each(function(i, o) {
                  o.value = arr[i].v;
                  $(o).text(arr[i].t);
                });
                $('#industry_events_sel').prepend($('<option>', { 
                    value: '0',
                    text : 'Alle Länder anzeigen' 
                }));
                setTimeout(function() {
                    $('#industry_events_sel').selectmenu('refresh', true);
                }, 750 );    
                
                $("#industry_events_cont").html(content);
                jumpPage('#industry_events', false);
            }, 
            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        });
    } else {
        window.yesterday = Math.round((new Date().getTime() / 1000) - (3600*24)).toString();
        window.temp = getCurrentTimestamp();
        window.middleware.db.eve.transaction(function(tx) {
            tx.executeSql("SELECT * FROM events,eventstobranche where events.events_id = eventstobranche.events_id and eventstobranche.branche_id = ? and events.isos like '%" + isocode + "%' order by events.date_start, events.topic", [window.currentIndustry["branche_id"]], function(tx, rs) {
                var content = '<ul id="country_events_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).date_start * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryEvents(\'';
                    content = content + rs.rows.item(m).events_id;
                    content = content + '\');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                content = content + '</ul>';
                $("#industry_events_cont").html(content);
                jumpPage('#industry_events', false);
            }, 
            function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        });
    }
};  

window.middleware.detailIndustryEvents = function(events_id) {
    window.middleware.db.eve.transaction(function(tx) {
        tx.executeSql("SELECT * FROM events where events_id = ?", [events_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                $("#industry_events_details .wko_sitetitle").html('<div class="sharespace"></div><a href="javascript:;" onclick="share(null, \'' + rs.rows.item(0).topic.replace(/(['"])/g, "")  + '\', null, \'https://www.wko.at/Content.Node/Veranstaltungsdetailseite.html?vaid=' + rs.rows.item(0).events_id + '\');" class="sharebutton"></a>' + rs.rows.item(0).topic);
                $("#industry_events_sub").html(rs.rows.item(0).sub);
                $("#industry_events_content").html(rs.rows.item(0).content);
                //veranstalter
                var temp = '';
                if (rs.rows.item(0).host.length > 0) {
                    temp = temp + '<p class="bold">Veranstalter</p><p>' + rs.rows.item(0).host + '</p>';
                }
                if (rs.rows.item(0).date_start.length > 0) {
                    var date = new Date(rs.rows.item(0).date_start * 1000);
                    var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear() + ', ' + date.getHours() + ":" + (date.getMinutes()<10?'0':'') + date.getMinutes() +" Uhr";
                    temp = temp + '<p class="bold">Termin</p><p>' + temp2;
                    if (rs.rows.item(0).date_end.length > 0) {
                        var date = new Date(rs.rows.item(0).date_end * 1000);
                        var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear() + ', ' + date.getHours() + ":" + (date.getMinutes()<10?'0':'') + date.getMinutes() +" Uhr";
                        temp = temp + '<br />bis<br />' + temp2;
                    }
                    temp = temp + '</p>';
                }
                if (rs.rows.item(0).city.length > 0) {
                    temp = temp + '<p class="bold">Veranstaltungsort</p><p>' + rs.rows.item(0).city + '</p>';
                }
                if (rs.rows.item(0).type.length > 0) {
                    temp = temp + '<p class="bold">Veranstaltungstyp</p><p>' + rs.rows.item(0).type + '</p>';
                }
                $("#industry_events_host").html(temp);
                //ansprechpartner
                if ((rs.rows.item(0).last.length > 0) ||
                    (rs.rows.item(0).phone.length > 0) ||
                    (rs.rows.item(0).mobile.length > 0) ||
                    (rs.rows.item(0).fax.length > 0) ||
                    (rs.rows.item(0).email.length > 0)) {
                    var temp = '<p class="bold">Ansprechpartner</p>';
                    if (rs.rows.item(0).last.length > 0) {
                        temp = temp + '<p>';
                        if (rs.rows.item(0).title.length > 0) {
                            temp = temp + rs.rows.item(0).title + ' ';
                        }
                        temp = temp + rs.rows.item(0).first + ' ' + rs.rows.item(0).last + '</p>';
                    }
                    temp = temp + '<p>';
                    if (rs.rows.item(0).phone.length > 0) {
                        temp = temp + '<div class="con_icon_tel">';
                        temp = temp + rs.rows.item(0).phone;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).mobile.length > 0) {
                        temp = temp + '<div class="con_icon_tel">';
                        temp = temp + rs.rows.item(0).mobile;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).fax.length > 0) {
                        temp = temp + '<div class="con_icon_fax">';
                        temp = temp + rs.rows.item(0).fax;
                        temp = temp + '</div>';
                    }
                    if (rs.rows.item(0).email.length > 0) {
                        var temp2 = rs.rows.item(0).email;
                        temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                        temp = temp + '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                    }
                    temp = temp + '</p>';
                } else { temp = ''; }
                if (rs.rows.item(0).reg.length > 0) {
                    var date = new Date(rs.rows.item(0).reg * 1000);
                    var temp2 =  date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    temp = temp + '<p class="bold">Anmeldung bis</p><p>' + temp2 + '</p>';
                }
                $("#industry_events_ap").html(temp);
                if ($.inArray('10_' + rs.rows.item(0).events_id, window.favorite) !== -1 ) {
                    temp = 'Event aus Favoriten entfernen';
                } else {
                    temp = 'Event zu Favoriten hinzufügen';
                }
                var date = new Date(rs.rows.item(0).date_start * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                temp = '<a onclick="window.middleware.setFavorite(10, \'' + rs.rows.item(0).events_id + '\', \'#fav_industry_events\', \'' + rs.rows.item(0).topic.replace(/(['"])/g, "") + '\', \'' + dateString + '\');" id="fav_industry_events" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-up-f"><span class="ui-btn-inner"><span class="ui-btn-text">' + temp + '</span></span></a>';
                $("#fav_industry_events_cont").html(temp);
                jumpPage('#industry_events_details', false);
            }
        });
    });
};  



window.middleware.setBrancheProfiles = function() {
    $("#industry_pubs .wko_sitetitle").html(window.currentIndustry["descrip"]);
    var content = '<div class="wko_sitetitle">' + window.currentIndustry["descrip"] + '</div><ul class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM pub where zcode = ? and typ = 'Branchenprofil'", [window.currentIndustry["zcode"]], function(tx, rs) {
            for(var m=0;m<rs.rows.length;m++) {
                if (0 < rs.rows.item(m).pdflink.length) {
                    var temp = '';
                    $.each(window.states, function(key, val) {
                        if (val.isocode == rs.rows.item(m).isocode) {
                            temp = val.land;
                        }
                    });  
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a class="ui-link-inherit" onclick="window.open(\'' + rs.rows.item(m).pdflink + '\', \'_system\', \'location=yes\');" href="javascript:;">';
                    content = content + temp;
                    content = content + '</a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
            }
        });
    }, function() {}, function() {
        content = content + '</ul>';
        $("#industry_pubs_pro_content").html(content);
        jumpPage('#industry_pubs', false);
    });
};

window.middleware.detailBrancheReports = function(pub_id) {
    window.middleware.db.gen.transaction(function(tx) {
        tx.executeSql("SELECT * FROM pub where pub_id = ?", [pub_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                $("#industry_pubs_rep_details .wko_sitetitle").html(rs.rows.item(0).prod_name);
                $("#industry_pubs_rep_details .block:first").html(rs.rows.item(0).prod_sub);
                $("#industry_pubs_rep_details_cont").html(rs.rows.item(0).prod_cont);
                var date = new Date(rs.rows.item(0).since * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                $("#industry_pubs_rep_details .block:last").html("Erscheinungsdatum: " + dateString + '<br />Artikelnummer: ' + rs.rows.item(0).number);
                $("#industry_pubs_rep_details_link").unbind("click");
                var n = rs.rows.item(0).link;
                (function(n) {
                    $("#industry_pubs_rep_details_link").click(function() {
                        var ref = loadexternal(n, '_blank', 'location=yes');
                    });
                })(n);
                parseLinks('#industry_pubs_rep_details_cont');
                jumpPage('#industry_pubs_rep_details', false);
            }
        });
    });
};

window.middleware.listBrancheReports = function(isocode, callback) {
    window.tempstates = [];
    if (isocode == '0') {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM pub where zcode = ? and typ = 'IO-Report' order by since desc", [window.currentIndustry["zcode"]], function(tx, rs) {
                var content = '<ul id="industry_pubs_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).since * 1000);
                    //var dateString = date.getHours() + ":" + date.getMinutes() +" Uhr," + date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    //content = content + '<li><a onclick="window.middleware.detailBrancheReports('+rs.rows.item(m).pub_id+');" href="javascript:;"><h4>' + rs.rows.item(m).prod_name + '</h3><p>' + dateString + '</p></a></li>';
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheReports('+rs.rows.item(m).pub_id+');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).prod_name
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                    if ($.inArray(rs.rows.item(m).isocode, window.tempstates) > -1) {
                    } else {
                        window.tempstates.push(rs.rows.item(m).isocode);
                    }
                }
                conten = content + '</ul>';
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Branchenreports vorhanden.</p></div>';   
                    $('#industry_pubs_sel_cont').css('display', 'none');
                } else {
                    $('#industry_pubs_sel_cont').css('display', 'block');
                }
                $('#industry_pubs_sel').find('option').remove().end();
                for(var m=0;m<window.tempstates.length;m++) { 
                    var temp = '';
                    $.each(window.states, function(key, val) {
                        if (val.isocode == window.tempstates[m]) {
                            temp = val.land;
                        }
                    });    
                    $('#industry_pubs_sel').append($('<option>', { 
                        value: window.tempstates[m],
                        text : temp
                    }));
                }
                window.tempstates = [];
                var options = $('#industry_pubs_sel option');
                var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
                arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
                options.each(function(i, o) {
                  o.value = arr[i].v;
                  $(o).text(arr[i].t);
                });
                $('#industry_pubs_sel').prepend($('<option>', { 
                    value: '0',
                    text : 'Alle Länder anzeigen' 
                }));
                setTimeout(function() {
                    $('#industry_pubs_sel').selectmenu('refresh', true);
                }, 750 );    
                $("#industry_pubs_rep_list").html(content);
                callback();
            });
        });
    } else {
        window.middleware.db.gen.transaction(function(tx) {
            tx.executeSql("SELECT * FROM pub where zcode = ? and typ = 'IO-Report' and isocode = ? order by since desc", [window.currentIndustry["zcode"], isocode], function(tx, rs) {
                var content = '<ul id="industry_pubs_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                for(var m=0;m<rs.rows.length;m++) {
                    var date = new Date(rs.rows.item(m).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailBrancheReports('+rs.rows.item(m).pub_id+');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).prod_name
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                    if ($.inArray(rs.rows.item(m).isocode, window.tempstates) > -1) {
                    } else {
                        window.tempstates.push(rs.rows.item(m).isocode);
                    }
                }
                conten = content + '</ul>';
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Branchenreports vorhanden.</p></div>';   
                    $('#industry_pubs_sel_cont').css('display', 'none');
                } else {
                    $('#industry_pubs_sel_cont').css('display', 'block');
                }
                $("#industry_pubs_rep_list").html(content);
                callback();
            });
        });
    }
};  

window.middleware.setBrancheReports = function(isocode, forward) {
    $("#industry_pubs_rep .wko_sitetitle").html(window.currentIndustry["descrip"]);
    //window.forward = forward;
    //window.isocode = isocode;
    /*
    if (forward) {
        //selectfeldaufbau später
        
    } else {
        
    }
    */
    window.middleware.listBrancheReports(isocode,function(isocode) {
        jumpPage('#industry_pubs_rep', false);
    });
};

window.middleware.listRefreshIndustryChance = function(isocode) {
    if (isocode == '0') {
        window.middleware.db.cha.transaction(function(tx) {
            tx.executeSql("SELECT * FROM chance,chancetobranche where chance.chance_id = chancetobranche.chance_id and chancetobranche.branche_id = ? order by chance.since desc, chance.topic", [window.currentIndustry["branche_id"]], function(tx, rs) {
                var content = '<ul id="industry_chance_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                $("#industry_chances .wko_sitetitle").html(window.currentIndustry["descrip"]);
                for(var m=0;m<rs.rows.length;m++) { 
                    var date = new Date(rs.rows.item(m).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryChance(';
                    content = content + rs.rows.item(m).chance_id;
                    content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                content = content + '</ul>';
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Neuigkeiten vorhanden.</p></div>';   
                } 
                $("#industry_chances_list").html(content);
                if (window.iscroll) {
                    setTimeout(function() {
                        $("#industry_chances .ui-content").iscrollview().iscrollview('refresh');
                        $("#industry_chances .ui-content").iscrollview("scrollTo", 0, 0, 0, false);
                    }, 500 );    
                } else {
                    $('#industry_chances .ui-content').scrollTop(0);
                }
            }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        });
    } else {
        window.middleware.db.cha.transaction(function(tx) {
            tx.executeSql("SELECT * FROM chance,chancetobranche where chance.chance_id = chancetobranche.chance_id and chancetobranche.branche_id = ? and chance.isocode = ? order by chance.since desc", [window.currentIndustry["branche_id"], isocode], function(tx, rs) {
                var content = '<ul id="industry_chance_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
                $("#industry_chances .wko_sitetitle").html(window.currentIndustry["descrip"]);
                for(var m=0;m<rs.rows.length;m++) { 
                    var date = new Date(rs.rows.item(m).since * 1000);
                    var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                    content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                    if (m == 0) {
                        content = content + 'ui-first-child ';
                    }
                    if ((m+1) == rs.rows.length) {
                        content = content + 'ui-last-child ';
                    }
                    content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryChance(';
                    content = content + rs.rows.item(m).chance_id;
                    content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                    content = content + rs.rows.item(m).topic;
                    content = content + '</h4><p class="ui-li-desc">';
                    content = content + dateString;
                    content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                }
                content = content + '</ul>';
                if (rs.rows.length == 0) {
                    content = '<div class="block"><p>Keine Neuigkeiten vorhanden.</p></div>';   
                } 
                $("#industry_chances_list").html(content);
                if (window.iscroll) {
                    setTimeout(function() {
                        $("#industry_chances .ui-content").iscrollview().iscrollview('refresh');
                        $("#industry_chances .ui-content").iscrollview("scrollTo", 0, 0, 0, false);
                    }, 500 );    
                } else {
                    $('#industry_chances .ui-content').scrollTop(0);
                }
            }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
        });
    }
};

window.middleware.listIndustryChance = function() {
    window.tempstates = [];
    window.middleware.db.cha.transaction(function(tx) {
        tx.executeSql("SELECT * FROM chance,chancetobranche where chance.chance_id = chancetobranche.chance_id and chancetobranche.branche_id = ? order by chance.since desc", [window.currentIndustry["branche_id"]], function(tx, rs) {
            var content = '<ul id="industry_chance_list" class="ui-listview ui-listview-inset ui-corner-all ui-shadow">';
            $("#industry_chances .wko_sitetitle").html(window.currentIndustry["descrip"]);
            for(var m=0;m<rs.rows.length;m++) { 
                var date = new Date(rs.rows.item(m).since * 1000);
                //var dateString = date.getHours() + ":" + date.getMinutes() +" Uhr," + date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                content = content + '<li class="ui-btn ui-btn-icon-right ui-li-has-arrow ui-li ';
                if (m == 0) {
                    content = content + 'ui-first-child';
                }
                if ((m+1) == rs.rows.length) {
                    content = content + 'ui-last-child';
                }
                content = content + ' ui-btn-up-h"><div class="ui-btn-inner ui-li"><div class="ui-btn-text"><a onclick="window.middleware.detailIndustryChance(';
                content = content + rs.rows.item(m).chance_id;
                content = content + ');" href="javascript:;" class="ui-link-inherit"><h4 class="ui-li-heading">';
                content = content + rs.rows.item(m).topic;
                content = content + '</h4><p class="ui-li-desc">';
                content = content + dateString;
                content = content + '</p></a></div><span class="ui-icon ui-icon-arrow-r ui-icon-shadow">&nbsp;</span></div></li>';
                
                //selectarray
                if ($.inArray(rs.rows.item(m).isocode, window.tempstates) > -1) {
                } else {
                    window.tempstates.push(rs.rows.item(m).isocode);
                }
            }
            content = content + '</ul>';
            if (rs.rows.length == 0) {
                content = '<div class="block"><p>Keine Geschäftschancen vorhanden.</p></div>';   
                $('#industry_chances_sel_cont').css('display', 'none');
            } else {
                $('#industry_chances_sel_cont').css('display', 'block');
            }
            
            $('#industry_chances_sel').find('option').remove().end();
            for(var m=0;m<window.tempstates.length;m++) { 
                var temp = '';
                $.each(window.states, function(key, val) {
                    if (val.isocode == window.tempstates[m]) {
                        temp = val.land;
                    }
                });    
                $('#industry_chances_sel').append($('<option>', { 
                    value: window.tempstates[m],
                    text : temp
                }));
            }
            window.tempstates = [];
            var options = $('#industry_chances_sel option');
            var arr = options.map(function(_, o) { return { t: $(o).text(), v: o.value }; }).get();
            arr.sort(function(o1, o2) { return o1.t > o2.t ? 1 : o1.t < o2.t ? -1 : 0; });
            options.each(function(i, o) {
              o.value = arr[i].v;
              $(o).text(arr[i].t);
            });
            
            $('#industry_chances_sel').prepend($('<option>', { 
                value: '0',
                text : 'Alle Länder anzeigen' 
            }));
            setTimeout(function() {
                $('#industry_chances_sel').selectmenu('refresh', true);
            }, 750 );    
            
            
            $("#industry_chances_list").html(content);
            jumpPage('#industry_chances', false);
        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    });
};  

window.middleware.detailIndustryChance = function(chance_id) {
    window.middleware.db.cha.transaction(function(tx) {
        tx.executeSql("SELECT * FROM chance where chance_id = ?", [chance_id], function(tx, rs) {
            if (0 < rs.rows.length) {
                var temp = '';
                if (rs.rows.item(0).sharelink) {
                    if (rs.rows.item(0).sharelink.length > 0) {
                        temp += '<div class="sharespace"></div><a href="javascript:;" onclick="shareIndChance(\'' + rs.rows.item(0).sharelink + '\');" class="sharebutton"></a>';
                    }
                }
                temp += rs.rows.item(0).topic;
                $("#industry_chances_details .wko_sitetitle").html(temp);
                
                var date = new Date(rs.rows.item(0).since * 1000);
                var dateString = date.getDate() + "." + (date.getMonth()+1) + "." + date.getFullYear();
                $("#industry_chances_sub").html('<b>' + dateString + '</b><br />' + rs.rows.item(0).sub);
                $("#industry_chances_content").html(rs.rows.item(0).content);
                var temp = '';
                if (rs.rows.item(0).comp.length > 0) {
                    if (temp != '') { temp = temp + '<br />' }
                    temp = temp + rs.rows.item(0).comp;
                }
                if (rs.rows.item(0).person.length > 0) {
                    if (temp != '') { temp = temp + '<br />' }
                    temp = temp + rs.rows.item(0).person;
                }
                if (temp != '') { temp = temp + '<br /><br />' }
                temp = temp + '<div class="con_icon_adress">';
                if (rs.rows.item(0).street.length > 0) {
                    temp = temp + rs.rows.item(0).street + '<br />';
                }
                if (rs.rows.item(0).extra_1.length > 0) {
                    temp = temp + rs.rows.item(0).extra_1 + '<br />';
                }
                if (rs.rows.item(0).extra_2.length > 0) {
                    temp = temp + rs.rows.item(0).extra_2 + '<br />';
                }
                if (rs.rows.item(0).city.length > 0) {
                    temp = temp + rs.rows.item(0).zip + ' ' + rs.rows.item(0).city + '<br />';
                }
                temp = temp + '</div>';
                
                temp = temp + '<p>';
                if (rs.rows.item(0).phone_1.length > 0) {
                    temp = temp + '<div class="con_icon_tel">';
                    if (rs.rows.item(0).phone_land.length > 0) {
                        temp = temp + rs.rows.item(0).phone_land + ' ';
                    }
                    if (rs.rows.item(0).phone_city.length > 0) {
                        temp = temp + rs.rows.item(0).phone_city + ' ';
                    }
                    temp = temp + rs.rows.item(0).phone_1;
                    temp = temp + '</div>';
                }
                if (rs.rows.item(0).phone_2.length > 0) {
                    temp = temp + '<div class="con_icon_tel">';
                    if (rs.rows.item(0).phone_land.length > 0) {
                        temp = temp + rs.rows.item(0).phone_land + ' ';
                    }
                    if (rs.rows.item(0).phone_city.length > 0) {
                        temp = temp + rs.rows.item(0).phone_city + ' ';
                    }
                    temp = temp + rs.rows.item(0).phone_2;
                    temp = temp + '</div>';
                }
                if (rs.rows.item(0).fax.length > 0) {
                    temp = temp + '<div class="con_icon_fax">';
                    if (rs.rows.item(0).phone_land.length > 0) {
                        temp = temp + rs.rows.item(0).phone_land + ' ';
                    }
                    if (rs.rows.item(0).phone_city.length > 0) {
                        temp = temp + rs.rows.item(0).phone_city + ' ';
                    }
                    temp = temp + rs.rows.item(0).fax;
                    temp = temp + '</div>';
                }
                if (rs.rows.item(0).email.length > 0) {
                    var temp2 = rs.rows.item(0).email;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    temp = temp + '<a href="mailto:' + rs.rows.item(0).email + '" class="con_link con_icon_email">' + temp2 + '</a>';
                }
                if (rs.rows.item(0).web.length > 0) {
                    var temp2 = rs.rows.item(0).web;
                    temp2 = temp2.match(/.{1,2}/g).join("<wbr />");
                    temp = temp + '<a href="#" onclick="loadexternal(' + rs.rows.item(0).email + ');" class="con_link con_icon_url">' + temp2 + '</a>';
                }
                temp = temp + '</p>';
                
                if (temp == '') {
                    $("#industry_chances_autor").html('');
                    $("#industry_chances_autor").css('display', 'none');
                } else {
                    $("#industry_chances_autor").html(temp);
                    $("#industry_chances_autor").css('display', 'block');
                }
                var temp = '<b>Weitere Informationen</b>';
                if (rs.rows.item(0).type.length > 0) {
                    if (temp != '') { temp = temp + '<br />' }
                    temp = temp + 'Geschäftstyp: ' + rs.rows.item(0).type;
                }
                if (rs.rows.item(0).comp_type.length > 0) {
                    if (temp != '') { temp = temp + '<br />' }
                    temp = temp + 'Firmentyp: ' + rs.rows.item(0).comp_type;
                }
                if (rs.rows.item(0).lang.length > 0) {
                    if (temp != '') { temp = temp + '<br />' }
                    temp = temp + 'Sprache: ' + rs.rows.item(0).lang;
                }
                
                if (temp == '<b>Weitere Informationen</b>') {
                    $("#industry_chances_extra").html('');
                    $("#industry_chances_extra").css('display', 'none');
                } else {
                    $("#industry_chances_extra").html(temp);
                    $("#industry_chances_extra").css('display', 'block');
                }
                parseLinks('#industry_chances_content');
                jumpPage('#industry_chances_details', false);
            }
        }, function (tx, e) { console.log(e.message + ' (Code ' + e.code + ')')});
    });
};

